This section shows how Range Charts can be created via the Grid API.
Creating Range Charts Copy Link
Range Charts can be created through gridApi.createRangeChart() as shown below:
api.createRangeChart({
chartType: 'groupedColumn',
cellRange: {
rowStartIndex: 0,
rowEndIndex: 4,
columns: ['country', 'gold', 'silver'],
},
// other options...
});The snippet above creates a Range Chart with the groupedColumn chart type using data from the first 4 and the country, gold, silver columns. For a full list of options see Range Chart API.
The following example demonstrates how Range Charts can be created programmatically via gridApi.createRangeChart(). Note the following:
- Clicking 'Top 5 Medal Winners' will chart the first five rows of Gold and Silver medals by Country.
- Clicking 'Bronze Medals by Country' will chart Bronze by Country using all rows (the provided cell range does not specify rows).
- Note the 'Bronze Medals by Country' chart is unlinked from the grid as
unlinkChart=true. Notice that sorting in the grid does not affect the chart and there is no chart range in the grid.
import { AgChartsEnterpriseModule } from "ag-charts-enterprise";
import {
ClientSideRowModelModule,
GridApi,
GridOptions,
GridReadyEvent,
ModuleRegistry,
NumberEditorModule,
NumberFilterModule,
TextEditorModule,
TextFilterModule,
createGrid,
enableDevValidations,
} from "ag-grid-community";
import {
ColumnMenuModule,
ContextMenuModule,
IntegratedChartsModule,
RowGroupingModule,
} from "ag-grid-enterprise";
import { getData } from "./data";
if (process.env.NODE_ENV !== "production") {
// Enable extended validations only for development
enableDevValidations();
}
ModuleRegistry.registerModules([
NumberEditorModule,
TextEditorModule,
TextFilterModule,
NumberFilterModule,
ClientSideRowModelModule,
IntegratedChartsModule.with(AgChartsEnterpriseModule),
ColumnMenuModule,
ContextMenuModule,
RowGroupingModule,
]);
let gridApi: GridApi;
const gridOptions: GridOptions = {
columnDefs: [
{ field: "country", width: 150, chartDataType: "category" },
{ field: "gold", chartDataType: "series", sort: "desc" },
{ field: "silver", chartDataType: "series", sort: "desc" },
{ field: "bronze", chartDataType: "series" },
],
defaultColDef: {
editable: true,
flex: 1,
minWidth: 100,
filter: true,
},
cellSelection: true,
enableCharts: true,
popupParent: document.body,
onGridReady: (params: GridReadyEvent) => {
getData().then((rowData) => params.api.setGridOption("rowData", rowData));
},
};
function onChart1() {
gridApi.createRangeChart({
cellRange: {
rowStartIndex: 0,
rowEndIndex: 4,
columns: ["country", "gold", "silver"],
},
chartType: "groupedColumn",
chartThemeOverrides: {
common: {
title: {
enabled: true,
text: "Top 5 Medal Winners",
},
},
},
});
}
function onChart2() {
gridApi.createRangeChart({
cellRange: {
columns: ["country", "bronze"],
},
chartType: "groupedBar",
chartThemeOverrides: {
common: {
title: {
enabled: true,
text: "Bronze Medal by Country",
},
},
},
unlinkChart: true,
});
}
const gridDiv = document.querySelector<HTMLElement>("#myGrid")!;
gridApi = createGrid(gridDiv, gridOptions);
if (typeof window !== "undefined") {
// Attach external event handlers to window so they can be called from index.html
(<any>window).onChart1 = onChart1;
(<any>window).onChart2 = onChart2;
}
.outer-div {
height: 100%;
display: flex;
flex-direction: column;
}
.button-bar {
padding-bottom: 4px;
}
.grid-wrapper {
height: 20px;
flex: 1 1 auto;
}
export async function getData(delay: number = 100): Promise<any[]> {
return new Promise((resolve) => setTimeout(() => resolve(generateData()), delay));
}
function generateData(): any[] {
const countries = [
'Ireland',
'Spain',
'United Kingdom',
'France',
'Germany',
'Luxembourg',
'Sweden',
'Norway',
'Italy',
'Greece',
'Iceland',
'Portugal',
'Malta',
'Brazil',
'Argentina',
'Colombia',
'Peru',
'Venezuela',
'Uruguay',
'Belgium',
];
return countries.map((country, index) => ({
country,
gold: Math.floor(((index + 1 / 7) * 333) % 100),
silver: Math.floor(((index + 1 / 3) * 555) % 100),
bronze: Math.floor(((index + 1 / 7.3) * 777) % 100),
}));
}
<div class="outer-div">
<div class="button-bar">
<button onclick="onChart1()">Top 5 Medal Winners</button>
<button onclick="onChart2()">Bronze Medals by Country</button>
</div>
<div class="grid-wrapper">
<div id="myGrid" style="height: 100%"></div>
</div>
</div>
Range Chart Dashboard Copy Link
The following example passes a Chart Container to the API to place the chart in a location other than the grid's popup window. Note the following:
- The charts are placed in
divelements outside the grid. - The two pie charts are showing aggregations rather than charting individual rows.
- The bar chart is sensitive to changes in the rows. For example if you sort, the chart updates to always chart the first five rows.
- All data is editable in the grid. Changes to the grid data is reflected in the charts.
- The pie charts have legends on the right side. This is configured in the
chartThemeOverrides. - The chart menu has been hidden in the example below.
import { AgChartsEnterpriseModule } from "ag-charts-enterprise";
import {
ClientSideRowModelModule,
FirstDataRenderedEvent,
GridApi,
GridOptions,
GridReadyEvent,
ModuleRegistry,
NumberEditorModule,
NumberFilterModule,
TextEditorModule,
TextFilterModule,
createGrid,
enableDevValidations,
} from "ag-grid-community";
import {
ColumnMenuModule,
ContextMenuModule,
IntegratedChartsModule,
RowGroupingModule,
} from "ag-grid-enterprise";
import { getData } from "./data";
if (process.env.NODE_ENV !== "production") {
// Enable extended validations only for development
enableDevValidations();
}
ModuleRegistry.registerModules([
NumberEditorModule,
TextEditorModule,
TextFilterModule,
NumberFilterModule,
ClientSideRowModelModule,
IntegratedChartsModule.with(AgChartsEnterpriseModule),
ColumnMenuModule,
ContextMenuModule,
RowGroupingModule,
]);
let gridApi: GridApi;
const gridOptions: GridOptions = {
columnDefs: [
{ field: "country", width: 150, chartDataType: "category" },
{ field: "group", chartDataType: "category" },
{ field: "gold", chartDataType: "series" },
{ field: "silver", chartDataType: "series" },
{ field: "bronze", chartDataType: "series" },
],
defaultColDef: {
editable: true,
flex: 1,
minWidth: 100,
filter: true,
},
cellSelection: true,
enableCharts: true,
chartToolPanelsDef: { panels: [] },
popupParent: document.body,
onGridReady: (params: GridReadyEvent) => {
getData().then((rowData) => params.api.setGridOption("rowData", rowData));
},
onFirstDataRendered,
getChartToolbarItems: () => [],
};
function onFirstDataRendered(event: FirstDataRenderedEvent) {
createGroupedBarChart(event, "#chart1", ["country", "gold", "silver"]);
createPieChart(event, "#chart2", ["group", "gold"]);
createPieChart(event, "#chart3", ["group", "silver"]);
}
function createGroupedBarChart(
params: FirstDataRenderedEvent,
selector: string,
columns: string[],
) {
params.api.createRangeChart({
chartContainer: document.querySelector(selector) as HTMLElement,
cellRange: {
rowStartIndex: 0,
rowEndIndex: 4,
columns,
},
suppressChartRanges: true,
chartType: "groupedBar",
});
}
function createPieChart(
params: FirstDataRenderedEvent,
selector: string,
columns: string[],
) {
params.api.createRangeChart({
chartContainer: document.querySelector(selector) as HTMLElement,
cellRange: { columns },
suppressChartRanges: true,
chartType: "pie",
aggFunc: "sum",
chartThemeOverrides: {
common: {
padding: {
top: 20,
left: 10,
bottom: 30,
right: 10,
},
legend: {
position: "right",
},
},
},
});
}
const gridDiv = document.querySelector<HTMLElement>("#myGrid")!;
gridApi = createGrid(gridDiv, gridOptions);
export async function getData(delay: number = 100): Promise<any[]> {
// Simulate a server delay using setTimeout wrapped in a Promise
return await new Promise<any[]>((resolve) => setTimeout(() => resolve(generateData()), delay));
}
function generateData(): any[] {
const countries = [
'Ireland',
'Spain',
'United Kingdom',
'France',
'Germany',
'Luxembourg',
'Sweden',
'Norway',
'Italy',
'Greece',
'Iceland',
'Portugal',
'Malta',
'Brazil',
'Argentina',
'Colombia',
'Peru',
'Venezuela',
'Uruguay',
'Belgium',
];
return countries.map((country, index) => ({
country,
group: index % 2 === 0 ? 'Group A' : 'Group B',
gold: Math.floor(((index + 1 / 7) * 333) % 100),
silver: Math.floor(((index + 1 / 3) * 555) % 100),
bronze: Math.floor(((index + 1 / 7.3) * 777) % 100),
}));
}
<div style="display: flex; flex-direction: column; height: 100%; width: 100%; overflow: hidden">
<div id="myGrid" style="flex: 1 1 auto; height: 30%"></div>
<div id="chart1" class="my-chart" style="flex: 1 1 auto; height: 30%"></div>
<div style="display: flex; flex: 1 1 auto; height: 30%; gap: 8px">
<div id="chart2" class="my-chart" style="flex: 1 1 auto; width: 50%"></div>
<div id="chart3" class="my-chart" style="flex: 1 1 auto; width: 50%"></div>
</div>
</div>
Hiding Chart Ranges Copy Link
In some cases it may be desirable to hide the chart ranges in the grid, see Combination Charts.
To hide the chart ranges simply enable suppressChartRanges=true on the ChartRangeParams.
For more details refer to Range Chart API.
Combination Charts Copy Link
It is possible to create the following combination chart types via gridApi.createRangeChart():
- Column & Line (
chartType: 'columnLineCombo') - Area & Column (
chartType: 'areaColumnCombo') - Custom Combination (
chartType: 'customCombo')
When the customCombo chart type is specified a new CreateRangeChartParams.seriesChartTypes must also be supplied. Also note that when seriesChartTypes is present a customCombo chart type is assumed, regardless of which chartType is supplied.
The seriesChartTypes property accepts an array of SeriesChartType objects as shown below:
api.createRangeChart({
chartType: 'customCombo',
cellRange: {
columns: ['month', 'rain', 'pressure', 'temp'],
},
seriesChartTypes: [
{ colId: 'rain', chartType: 'groupedColumn', secondaryAxis: false },
{ colId: 'pressure', chartType: 'line', secondaryAxis: true },
{ colId: 'temp', chartType: 'line', secondaryAxis: true }
],
aggFunc: 'sum',
});The following series chart types are supported with combination charts:
- Line (
chartType: 'line') - Area (
chartType: 'Area') - Stacked Area (
chartType: 'stackedArea') - Grouped Column (
chartType: 'groupedColumn') - Stacked Column (
chartType: 'stackedColumn')
Note that only line and area series chart types can be plotted against a secondary axis.
The following example demonstrates the above configuration, note the following:
- The 'Rain' series uses a
groupedColumnchart type and is plotted against the primary Y axis (secondaryAxis=false) - 'Pressure' and 'Temp' use a
linechart type and are plotted against separate secondary Y axes (secondaryAxis=true) - Values are aggregated by the 'Month' category by setting
aggFunc: 'sum' - Chart Ranges are hidden using
suppressChartRanges=true
import { AgChartsEnterpriseModule } from "ag-charts-enterprise";
import { AgAxisCaptionFormatterParams } from "ag-charts-types";
import {
ClientSideRowModelModule,
FirstDataRenderedEvent,
GridApi,
GridOptions,
GridReadyEvent,
ModuleRegistry,
NumberEditorModule,
NumberFilterModule,
TextEditorModule,
TextFilterModule,
createGrid,
enableDevValidations,
} from "ag-grid-community";
import {
ColumnMenuModule,
ContextMenuModule,
IntegratedChartsModule,
RowGroupingModule,
} from "ag-grid-enterprise";
import { getData } from "./data";
if (process.env.NODE_ENV !== "production") {
// Enable extended validations only for development
enableDevValidations();
}
ModuleRegistry.registerModules([
TextEditorModule,
TextFilterModule,
NumberEditorModule,
NumberFilterModule,
ClientSideRowModelModule,
IntegratedChartsModule.with(AgChartsEnterpriseModule),
ColumnMenuModule,
ContextMenuModule,
RowGroupingModule,
]);
let gridApi: GridApi;
const gridOptions: GridOptions = {
columnDefs: [
{ field: "day", maxWidth: 120 },
{
field: "month",
chartDataType: "category",
filterParams: {
comparator: (a: string, b: string) => {
const months: { [key: string]: number } = {
jan: 1,
feb: 2,
mar: 3,
apr: 4,
may: 5,
jun: 6,
jul: 7,
aug: 8,
sep: 9,
oct: 10,
nov: 11,
dec: 12,
};
const valA = months[a.toLowerCase()];
const valB = months[b.toLowerCase()];
if (valA === valB) return 0;
return valA > valB ? 1 : -1;
},
},
},
{ field: "rain", chartDataType: "series" },
{ field: "pressure", chartDataType: "series" },
{ field: "temp", chartDataType: "series" },
{ field: "wind", chartDataType: "series" },
],
defaultColDef: {
flex: 1,
minWidth: 100,
editable: true,
filter: true,
floatingFilter: true,
},
cellSelection: true,
enableCharts: true,
popupParent: document.body,
chartThemeOverrides: {
common: {
axes: {
number: {
title: {
enabled: true,
formatter: (params: AgAxisCaptionFormatterParams) => {
return params.boundSeries.map((s) => s.name).join(" / ");
},
},
},
},
},
bar: {
series: {
strokeWidth: 2,
fillOpacity: 0.8,
},
},
line: {
series: {
strokeWidth: 5,
strokeOpacity: 0.8,
marker: {
enabled: false,
},
},
},
},
onGridReady: (params: GridReadyEvent) => {
getData().then((rowData) => params.api.setGridOption("rowData", rowData));
},
onFirstDataRendered,
};
function onFirstDataRendered(params: FirstDataRenderedEvent) {
params.api.createRangeChart({
chartType: "customCombo",
cellRange: {
columns: ["month", "rain", "pressure", "temp"],
},
seriesChartTypes: [
{ colId: "rain", chartType: "groupedColumn", secondaryAxis: false },
{ colId: "pressure", chartType: "line", secondaryAxis: true },
{ colId: "temp", chartType: "line", secondaryAxis: true },
],
aggFunc: "sum",
suppressChartRanges: true,
chartContainer: document.querySelector("#myChart") as any,
});
}
// set up the grid after the page has finished loading
gridApi = createGrid(
document.querySelector<HTMLElement>("#myGrid")!,
gridOptions,
);
.wrapper {
display: flex;
flex-direction: column;
height: 100%;
}
#myGrid {
flex: 2;
}
#myChart {
flex: 3;
min-height: 455px;
}
export async function getData(delay: number = 100): Promise<any[]> {
// Simulate a server delay using setTimeout wrapped in a Promise
return await new Promise<any[]>((resolve) => setTimeout(() => resolve(generateData()), delay));
}
function generateData(): any[] {
return [
{
date: '01/01/2021',
day: 1,
month: 'Jan',
year: 2021,
temp: 2.1,
rain: 0.22,
wind: 10.6,
pressure: 1011.6,
},
{
date: '02/01/2021',
day: 2,
month: 'Jan',
year: 2021,
temp: 3.8,
rain: 0.6,
wind: 12.5,
pressure: 1015.9,
},
{
date: '03/01/2021',
day: 3,
month: 'Jan',
year: 2021,
temp: 3.8,
rain: 2.2,
wind: 18.2,
pressure: 1017.6,
},
{
date: '04/01/2021',
day: 4,
month: 'Jan',
year: 2021,
temp: 4.3,
rain: 3.4,
wind: 27,
pressure: 1019.4,
},
{
date: '05/01/2021',
day: 5,
month: 'Jan',
year: 2021,
temp: 3.7,
rain: 1.4,
wind: 22.6,
pressure: 1020,
},
{
date: '06/01/2021',
day: 6,
month: 'Jan',
year: 2021,
temp: 4,
rain: 6.42,
wind: 18.8,
pressure: 1019.5,
},
{
date: '07/01/2021',
day: 7,
month: 'Jan',
year: 2021,
temp: 1.1,
rain: 0,
wind: 13.5,
pressure: 1018.5,
},
{
date: '08/01/2021',
day: 8,
month: 'Jan',
year: 2021,
temp: 0.6,
rain: 0,
wind: 7.6,
pressure: 1018.6,
},
{
date: '09/01/2021',
day: 9,
month: 'Jan',
year: 2021,
temp: 1.2,
rain: 0.4,
wind: 10.1,
pressure: 1026.3,
},
{
date: '10/01/2021',
day: 10,
month: 'Jan',
year: 2021,
temp: 1,
rain: 0,
wind: 11.3,
pressure: 1026,
},
{
date: '11/01/2021',
day: 11,
month: 'Jan',
year: 2021,
temp: 6.7,
rain: 0,
wind: 34.3,
pressure: 1017.8,
},
{
date: '12/01/2021',
day: 12,
month: 'Jan',
year: 2021,
temp: 6.9,
rain: 7.99,
wind: 30,
pressure: 1014.1,
},
{
date: '13/01/2021',
day: 13,
month: 'Jan',
year: 2021,
temp: 6.1,
rain: 2.19,
wind: 19,
pressure: 1018.4,
},
{
date: '14/01/2021',
day: 14,
month: 'Jan',
year: 2021,
temp: 5,
rain: 27.53,
wind: 16.7,
pressure: 1016.7,
},
{
date: '15/01/2021',
day: 15,
month: 'Jan',
year: 2021,
temp: 2.4,
rain: 0.6,
wind: 14.3,
pressure: 1029.7,
},
{
date: '16/01/2021',
day: 16,
month: 'Jan',
year: 2021,
temp: 4.9,
rain: 5.22,
wind: 21,
pressure: 1020,
},
{
date: '17/01/2021',
day: 17,
month: 'Jan',
year: 2021,
temp: 5.8,
rain: 0,
wind: 21.1,
pressure: 1023.5,
},
{
date: '18/01/2021',
day: 18,
month: 'Jan',
year: 2021,
temp: 5.3,
rain: 0.2,
wind: 25.1,
pressure: 1021.2,
},
{
date: '19/01/2021',
day: 19,
month: 'Jan',
year: 2021,
temp: 10.7,
rain: 2.69,
wind: 34,
pressure: 1004.1,
},
{
date: '20/01/2021',
day: 20,
month: 'Jan',
year: 2021,
temp: 10.2,
rain: 5.36,
wind: 34,
pressure: 987.5,
},
{
date: '21/01/2021',
day: 21,
month: 'Jan',
year: 2021,
temp: 6.6,
rain: 5.76,
wind: 0.3,
pressure: 984.6,
},
{
date: '22/01/2021',
day: 22,
month: 'Jan',
year: 2021,
temp: 4,
rain: 0.2,
wind: 17.3,
pressure: 992.2,
},
{
date: '23/01/2021',
day: 23,
month: 'Jan',
year: 2021,
temp: 2.1,
rain: 0.8,
wind: 16,
pressure: 995.6,
},
{
date: '24/01/2021',
day: 24,
month: 'Jan',
year: 2021,
temp: 0.6,
rain: 3.19,
wind: 14.4,
pressure: 997.1,
},
{
date: '25/01/2021',
day: 25,
month: 'Jan',
year: 2021,
temp: 1.8,
rain: 0.92,
wind: 18.4,
pressure: 1009.6,
},
{
date: '26/01/2021',
day: 26,
month: 'Jan',
year: 2021,
temp: 3,
rain: 0.6,
wind: 23.3,
pressure: 1015.8,
},
{
date: '27/01/2021',
day: 27,
month: 'Jan',
year: 2021,
temp: 8.4,
rain: 1.2,
wind: 13,
pressure: 1011,
},
{
date: '28/01/2021',
day: 28,
month: 'Jan',
year: 2021,
temp: 10.9,
rain: 18.8,
wind: 30.6,
pressure: 1001.6,
},
{
date: '29/01/2021',
day: 29,
month: 'Jan',
year: 2021,
temp: 9.5,
rain: 14.98,
wind: 29.9,
pressure: 998.3,
},
{
date: '30/01/2021',
day: 30,
month: 'Jan',
year: 2021,
temp: 5.4,
rain: 16.71,
wind: 26.5,
pressure: 997.9,
},
{
date: '31/01/2021',
day: 31,
month: 'Jan',
year: 2021,
temp: 3.1,
rain: 1,
wind: 19.3,
pressure: 997.9,
},
{
date: '01/02/2021',
day: 1,
month: 'Feb',
year: 2021,
temp: 4.1,
rain: 0.4,
wind: 12.3,
pressure: 996.9,
},
{
date: '02/02/2021',
day: 2,
month: 'Feb',
year: 2021,
temp: 9.3,
rain: 5.79,
wind: 24.8,
pressure: 994.7,
},
{
date: '03/02/2021',
day: 3,
month: 'Feb',
year: 2021,
temp: 8.7,
rain: 1.71,
wind: 23.4,
pressure: 996.6,
},
{
date: '04/02/2021',
day: 4,
month: 'Feb',
year: 2021,
temp: 7,
rain: 4.19,
wind: 15.4,
pressure: 1008.3,
},
{
date: '05/02/2021',
day: 5,
month: 'Feb',
year: 2021,
temp: 8.3,
rain: 10.06,
wind: 16.6,
pressure: 1008.2,
},
{
date: '06/02/2021',
day: 6,
month: 'Feb',
year: 2021,
temp: 6.8,
rain: 2.7,
wind: 18.8,
pressure: 1006.8,
},
{
date: '07/02/2021',
day: 7,
month: 'Feb',
year: 2021,
temp: 1.8,
rain: 10.59,
wind: 28.6,
pressure: 1004.4,
},
{
date: '08/02/2021',
day: 8,
month: 'Feb',
year: 2021,
temp: -0.8,
rain: 0,
wind: 28.7,
pressure: 1003.7,
},
{
date: '09/02/2021',
day: 9,
month: 'Feb',
year: 2021,
temp: -0.1,
rain: 0,
wind: 22.7,
pressure: 1006.9,
},
{
date: '10/02/2021',
day: 10,
month: 'Feb',
year: 2021,
temp: 0.3,
rain: 0,
wind: 18.1,
pressure: 1012.3,
},
{
date: '11/02/2021',
day: 11,
month: 'Feb',
year: 2021,
temp: -0.9,
rain: 0,
wind: 26.3,
pressure: 1025.1,
},
{
date: '12/02/2021',
day: 12,
month: 'Feb',
year: 2021,
temp: -0.5,
rain: 0,
wind: 36,
pressure: null,
},
{
date: '13/02/2021',
day: 13,
month: 'Feb',
year: 2021,
temp: -0.9,
rain: 0,
wind: 24.4,
pressure: 1032,
},
{
date: '14/02/2021',
day: 14,
month: 'Feb',
year: 2021,
temp: 2.9,
rain: 0.6,
wind: 25.5,
pressure: 1025.7,
},
{
date: '15/02/2021',
day: 15,
month: 'Feb',
year: 2021,
temp: 8.8,
rain: 3,
wind: 20.5,
pressure: 1018.2,
},
{
date: '16/02/2021',
day: 16,
month: 'Feb',
year: 2021,
temp: 9.5,
rain: 2.61,
wind: 23.9,
pressure: 1010,
},
{
date: '17/02/2021',
day: 17,
month: 'Feb',
year: 2021,
temp: 10,
rain: 3.41,
wind: 28.8,
pressure: 1009.8,
},
{
date: '18/02/2021',
day: 18,
month: 'Feb',
year: 2021,
temp: 9,
rain: 3.61,
wind: 28.1,
pressure: 1003.8,
},
{
date: '19/02/2021',
day: 19,
month: 'Feb',
year: 2021,
temp: 8.8,
rain: 0,
wind: 27.3,
pressure: 1009.1,
},
{
date: '20/02/2021',
day: 20,
month: 'Feb',
year: 2021,
temp: 13.4,
rain: 0,
wind: 25.1,
pressure: 1002.1,
},
{
date: '21/02/2021',
day: 21,
month: 'Feb',
year: 2021,
temp: 12,
rain: 0.23,
wind: 21.3,
pressure: 1008.3,
},
{
date: '22/02/2021',
day: 22,
month: 'Feb',
year: 2021,
temp: 9.9,
rain: 1,
wind: 12.8,
pressure: 1014.8,
},
{
date: '23/02/2021',
day: 23,
month: 'Feb',
year: 2021,
temp: 10.7,
rain: 0.2,
wind: 33.9,
pressure: 1022.9,
},
{
date: '24/02/2021',
day: 24,
month: 'Feb',
year: 2021,
temp: 13.3,
rain: 0,
wind: 26.6,
pressure: 1022.4,
},
{
date: '25/02/2021',
day: 25,
month: 'Feb',
year: 2021,
temp: 10.7,
rain: 0.8,
wind: 22,
pressure: 1026.7,
},
{
date: '26/02/2021',
day: 26,
month: 'Feb',
year: 2021,
temp: 7.2,
rain: 0,
wind: 13,
pressure: 1037.3,
},
{
date: '27/02/2021',
day: 27,
month: 'Feb',
year: 2021,
temp: 7,
rain: 0.2,
wind: 10.1,
pressure: 1040.9,
},
{
date: '28/02/2021',
day: 28,
month: 'Feb',
year: 2021,
temp: 6.3,
rain: 0,
wind: 16.7,
pressure: 1037.2,
},
{
date: '01/03/2021',
day: 1,
month: 'Mar',
year: 2021,
temp: 6.4,
rain: 0,
wind: 17.9,
pressure: 1032,
},
{
date: '02/03/2021',
day: 2,
month: 'Mar',
year: 2021,
temp: 5.8,
rain: 0,
wind: 12,
pressure: 1030,
},
{
date: '03/03/2021',
day: 3,
month: 'Mar',
year: 2021,
temp: 5.9,
rain: 9.17,
wind: 8.8,
pressure: 1027.6,
},
{
date: '04/03/2021',
day: 4,
month: 'Mar',
year: 2021,
temp: 5.5,
rain: 2.6,
wind: 16.7,
pressure: 1025.1,
},
{
date: '05/03/2021',
day: 5,
month: 'Mar',
year: 2021,
temp: 4.8,
rain: 0.2,
wind: 20.5,
pressure: 1031.8,
},
{
date: '06/03/2021',
day: 6,
month: 'Mar',
year: 2021,
temp: 4.5,
rain: 0,
wind: 13.7,
pressure: 1033.8,
},
{
date: '07/03/2021',
day: 7,
month: 'Mar',
year: 2021,
temp: 3.9,
rain: 0,
wind: 11.3,
pressure: 1027.7,
},
{
date: '08/03/2021',
day: 8,
month: 'Mar',
year: 2021,
temp: 5.2,
rain: 0,
wind: 11.6,
pressure: 1023.8,
},
{
date: '09/03/2021',
day: 9,
month: 'Mar',
year: 2021,
temp: 7.8,
rain: 0.2,
wind: 21.2,
pressure: 1020,
},
{
date: '10/03/2021',
day: 10,
month: 'Mar',
year: 2021,
temp: 8.1,
rain: 1.01,
wind: 33.6,
pressure: 1007.4,
},
{
date: '11/03/2021',
day: 11,
month: 'Mar',
year: 2021,
temp: 9.9,
rain: 6.32,
wind: 45.9,
pressure: 996.3,
},
{
date: '12/03/2021',
day: 12,
month: 'Mar',
year: 2021,
temp: 7.8,
rain: 4.8,
wind: 37.4,
pressure: 1002.1,
},
{
date: '13/03/2021',
day: 13,
month: 'Mar',
year: 2021,
temp: 7.3,
rain: 5.01,
wind: 42.6,
pressure: 995.7,
},
{
date: '14/03/2021',
day: 14,
month: 'Mar',
year: 2021,
temp: 8,
rain: 0.48,
wind: 29,
pressure: 1012.9,
},
{
date: '15/03/2021',
day: 15,
month: 'Mar',
year: 2021,
temp: 9.7,
rain: 1.78,
wind: 24.1,
pressure: 1020.4,
},
{
date: '16/03/2021',
day: 16,
month: 'Mar',
year: 2021,
temp: 10.2,
rain: 0.4,
wind: 24.1,
pressure: 1027.5,
},
{
date: '17/03/2021',
day: 17,
month: 'Mar',
year: 2021,
temp: 7.8,
rain: 1.99,
wind: 16.4,
pressure: 1033.2,
},
{
date: '18/03/2021',
day: 18,
month: 'Mar',
year: 2021,
temp: 7.9,
rain: 0.2,
wind: 25.4,
pressure: 1028.8,
},
{
date: '19/03/2021',
day: 19,
month: 'Mar',
year: 2021,
temp: 8.3,
rain: 0.4,
wind: 23,
pressure: 1028.1,
},
{
date: '20/03/2021',
day: 20,
month: 'Mar',
year: 2021,
temp: 8.1,
rain: 0,
wind: 16.4,
pressure: 1031.2,
},
{
date: '21/03/2021',
day: 21,
month: 'Mar',
year: 2021,
temp: 8.8,
rain: 0,
wind: 19.9,
pressure: 1028.7,
},
{
date: '22/03/2021',
day: 22,
month: 'Mar',
year: 2021,
temp: 9.5,
rain: 0,
wind: 13.8,
pressure: 1026.5,
},
{
date: '23/03/2021',
day: 23,
month: 'Mar',
year: 2021,
temp: 8.3,
rain: 0,
wind: 23,
pressure: 1024.2,
},
{
date: '24/03/2021',
day: 24,
month: 'Mar',
year: 2021,
temp: 8.9,
rain: 0,
wind: 19.9,
pressure: 1020.9,
},
{
date: '25/03/2021',
day: 25,
month: 'Mar',
year: 2021,
temp: 8.9,
rain: 2.39,
wind: 27.2,
pressure: 1018.4,
},
{
date: '26/03/2021',
day: 26,
month: 'Mar',
year: 2021,
temp: 9.3,
rain: 3.01,
wind: 33.9,
pressure: 1010.8,
},
{
date: '27/03/2021',
day: 27,
month: 'Mar',
year: 2021,
temp: 7.9,
rain: 1.12,
wind: 32,
pressure: 1020.5,
},
{
date: '28/03/2021',
day: 28,
month: 'Mar',
year: 2021,
temp: 10.7,
rain: 0,
wind: 34.2,
pressure: 1022.8,
},
{
date: '29/03/2021',
day: 29,
month: 'Mar',
year: 2021,
temp: 13,
rain: 0,
wind: 25.5,
pressure: 1026.6,
},
{
date: '30/03/2021',
day: 30,
month: 'Mar',
year: 2021,
temp: 13.4,
rain: 0,
wind: 14.1,
pressure: 1027.6,
},
{
date: '31/03/2021',
day: 31,
month: 'Mar',
year: 2021,
temp: 14.4,
rain: 0,
wind: 11,
pressure: 1020.5,
},
{
date: '01/04/2021',
day: 1,
month: 'Apr',
year: 2021,
temp: 11.1,
rain: 0,
wind: 23.1,
pressure: 1024.4,
},
{
date: '02/04/2021',
day: 2,
month: 'Apr',
year: 2021,
temp: 7.5,
rain: 0,
wind: 24.3,
pressure: 1030.2,
},
{
date: '03/04/2021',
day: 3,
month: 'Apr',
year: 2021,
temp: 7.7,
rain: 0,
wind: 21.8,
pressure: 1032.1,
},
{
date: '04/04/2021',
day: 4,
month: 'Apr',
year: 2021,
temp: 9.3,
rain: 0,
wind: 18.3,
pressure: 1026,
},
{
date: '05/04/2021',
day: 5,
month: 'Apr',
year: 2021,
temp: 6.9,
rain: 0,
wind: 28.8,
pressure: 1018.3,
},
{
date: '06/04/2021',
day: 6,
month: 'Apr',
year: 2021,
temp: 4.1,
rain: 0,
wind: 25.4,
pressure: 1020.6,
},
{
date: '07/04/2021',
day: 7,
month: 'Apr',
year: 2021,
temp: 3.6,
rain: 0,
wind: 22.5,
pressure: 1023.7,
},
{
date: '08/04/2021',
day: 8,
month: 'Apr',
year: 2021,
temp: 7.9,
rain: 0,
wind: 24.8,
pressure: 1021.7,
},
{
date: '09/04/2021',
day: 9,
month: 'Apr',
year: 2021,
temp: 9.3,
rain: 1,
wind: 18.6,
pressure: 1013.5,
},
{
date: '10/04/2021',
day: 10,
month: 'Apr',
year: 2021,
temp: 7.1,
rain: 0.2,
wind: 18.8,
pressure: 1013.2,
},
{
date: '11/04/2021',
day: 11,
month: 'Apr',
year: 2021,
temp: 5.2,
rain: 0.28,
wind: 19.6,
pressure: 1019.1,
},
{
date: '12/04/2021',
day: 12,
month: 'Apr',
year: 2021,
temp: 5.2,
rain: 2,
wind: 13.2,
pressure: 1028.6,
},
{
date: '13/04/2021',
day: 13,
month: 'Apr',
year: 2021,
temp: 6.5,
rain: 0,
wind: 15.9,
pressure: 1032.6,
},
{
date: '14/04/2021',
day: 14,
month: 'Apr',
year: 2021,
temp: 8.4,
rain: 0,
wind: 18.1,
pressure: 1032.7,
},
{
date: '15/04/2021',
day: 15,
month: 'Apr',
year: 2021,
temp: 6.5,
rain: 0.4,
wind: 16.7,
pressure: 1033.2,
},
{
date: '16/04/2021',
day: 16,
month: 'Apr',
year: 2021,
temp: 6.9,
rain: 0,
wind: 13.7,
pressure: 1031.2,
},
{
date: '17/04/2021',
day: 17,
month: 'Apr',
year: 2021,
temp: 8.2,
rain: 0,
wind: 14.9,
pressure: 1029.1,
},
{
date: '18/04/2021',
day: 18,
month: 'Apr',
year: 2021,
temp: 9.3,
rain: 0,
wind: 11.3,
pressure: 1025.1,
},
{
date: '19/04/2021',
day: 19,
month: 'Apr',
year: 2021,
temp: 10.5,
rain: 0,
wind: 15,
pressure: 1021.4,
},
{
date: '20/04/2021',
day: 20,
month: 'Apr',
year: 2021,
temp: 11.3,
rain: 0,
wind: 14.5,
pressure: 1018.1,
},
{
date: '21/04/2021',
day: 21,
month: 'Apr',
year: 2021,
temp: 10.1,
rain: 0,
wind: 21.3,
pressure: 1021,
},
{
date: '22/04/2021',
day: 22,
month: 'Apr',
year: 2021,
temp: 8.5,
rain: 0,
wind: 19.3,
pressure: 1027.1,
},
{
date: '23/04/2021',
day: 23,
month: 'Apr',
year: 2021,
temp: 9.5,
rain: 0,
wind: 20.8,
pressure: 1028.6,
},
{
date: '24/04/2021',
day: 24,
month: 'Apr',
year: 2021,
temp: 10.7,
rain: 0,
wind: 23.9,
pressure: 1027.5,
},
{
date: '25/04/2021',
day: 25,
month: 'Apr',
year: 2021,
temp: 8.9,
rain: 0,
wind: 25.2,
pressure: 1028.2,
},
{
date: '26/04/2021',
day: 26,
month: 'Apr',
year: 2021,
temp: 8.2,
rain: 0,
wind: 20.6,
pressure: 1021.7,
},
{
date: '27/04/2021',
day: 27,
month: 'Apr',
year: 2021,
temp: 9.8,
rain: 0,
wind: 15.6,
pressure: 1010.5,
},
{
date: '28/04/2021',
day: 28,
month: 'Apr',
year: 2021,
temp: 9.3,
rain: 2.01,
wind: 22.2,
pressure: 1006.4,
},
{
date: '29/04/2021',
day: 29,
month: 'Apr',
year: 2021,
temp: 8.3,
rain: 3.61,
wind: 17.5,
pressure: 1011.2,
},
{
date: '30/04/2021',
day: 30,
month: 'Apr',
year: 2021,
temp: 8.3,
rain: 0,
wind: 14.9,
pressure: 1015,
},
{
date: '01/05/2021',
day: 1,
month: 'May',
year: 2021,
temp: 8.7,
rain: 0.2,
wind: 17.1,
pressure: 1016.4,
},
{
date: '02/05/2021',
day: 2,
month: 'May',
year: 2021,
temp: 9.3,
rain: 2.6,
wind: 17.3,
pressure: 1020.3,
},
{
date: '03/05/2021',
day: 3,
month: 'May',
year: 2021,
temp: 9.7,
rain: 0.6,
wind: 43.9,
pressure: 1013.1,
},
{
date: '04/05/2021',
day: 4,
month: 'May',
year: 2021,
temp: 10.3,
rain: 5.53,
wind: 43.7,
pressure: 999.7,
},
{
date: '05/05/2021',
day: 5,
month: 'May',
year: 2021,
temp: 7.5,
rain: 3.2,
wind: 24.8,
pressure: 1008.7,
},
{
date: '06/05/2021',
day: 6,
month: 'May',
year: 2021,
temp: 7.6,
rain: 1.9,
wind: 20.1,
pressure: 1007.3,
},
{
date: '07/05/2021',
day: 7,
month: 'May',
year: 2021,
temp: 9.9,
rain: 0,
wind: 20.8,
pressure: 1015.2,
},
{
date: '08/05/2021',
day: 8,
month: 'May',
year: 2021,
temp: 12.2,
rain: 10.41,
wind: 36.8,
pressure: 1005.8,
},
{
date: '09/05/2021',
day: 9,
month: 'May',
year: 2021,
temp: 16.4,
rain: 0,
wind: 27.7,
pressure: 997.2,
},
{
date: '10/05/2021',
day: 10,
month: 'May',
year: 2021,
temp: 13.6,
rain: 0.8,
wind: 35.7,
pressure: 1000.1,
},
{
date: '11/05/2021',
day: 11,
month: 'May',
year: 2021,
temp: 12.9,
rain: 0.6,
wind: 26.6,
pressure: 1007,
},
{
date: '12/05/2021',
day: 12,
month: 'May',
year: 2021,
temp: 13,
rain: 1,
wind: 21.6,
pressure: 1008.5,
},
{
date: '13/05/2021',
day: 13,
month: 'May',
year: 2021,
temp: 11.6,
rain: 6.61,
wind: 18.1,
pressure: 1006.1,
},
{
date: '14/05/2021',
day: 14,
month: 'May',
year: 2021,
temp: 10.2,
rain: 1.2,
wind: 16,
pressure: 1009,
},
{
date: '15/05/2021',
day: 15,
month: 'May',
year: 2021,
temp: 10.3,
rain: 6.63,
wind: 16,
pressure: 1001.2,
},
{
date: '16/05/2021',
day: 16,
month: 'May',
year: 2021,
temp: 10.5,
rain: 6.39,
wind: 18.5,
pressure: 998,
},
{
date: '17/05/2021',
day: 17,
month: 'May',
year: 2021,
temp: 11.5,
rain: 11.32,
wind: 23,
pressure: 1004.6,
},
{
date: '18/05/2021',
day: 18,
month: 'May',
year: 2021,
temp: 11.1,
rain: 5.99,
wind: 17.5,
pressure: 1013.2,
},
{
date: '19/05/2021',
day: 19,
month: 'May',
year: 2021,
temp: 12.4,
rain: 6,
wind: 20,
pressure: 1017.4,
},
{
date: '20/05/2021',
day: 20,
month: 'May',
year: 2021,
temp: 11.2,
rain: 0.8,
wind: 37.6,
pressure: 1013.4,
},
{
date: '21/05/2021',
day: 21,
month: 'May',
year: 2021,
temp: 11.8,
rain: 2.16,
wind: 42.3,
pressure: 996.9,
},
{
date: '22/05/2021',
day: 22,
month: 'May',
year: 2021,
temp: 10.8,
rain: 7.39,
wind: 25.2,
pressure: 1002.7,
},
{
date: '23/05/2021',
day: 23,
month: 'May',
year: 2021,
temp: 10.1,
rain: 2.3,
wind: 30.2,
pressure: 1008.3,
},
{
date: '24/05/2021',
day: 24,
month: 'May',
year: 2021,
temp: 10.3,
rain: 12.26,
wind: 25.1,
pressure: 1003.1,
},
{
date: '25/05/2021',
day: 25,
month: 'May',
year: 2021,
temp: 11,
rain: 4.38,
wind: 26.1,
pressure: 1013.4,
},
{
date: '26/05/2021',
day: 26,
month: 'May',
year: 2021,
temp: 11.5,
rain: 0.8,
wind: 19.3,
pressure: 1014.7,
},
{
date: '27/05/2021',
day: 27,
month: 'May',
year: 2021,
temp: 14.5,
rain: 0,
wind: 13.1,
pressure: 1020,
},
{
date: '28/05/2021',
day: 28,
month: 'May',
year: 2021,
temp: 14.9,
rain: 0.6,
wind: 11,
pressure: 1023.2,
},
{
date: '29/05/2021',
day: 29,
month: 'May',
year: 2021,
temp: 16.2,
rain: 0.2,
wind: 19.3,
pressure: 1026.5,
},
{
date: '30/05/2021',
day: 30,
month: 'May',
year: 2021,
temp: 13.2,
rain: 0,
wind: 18.2,
pressure: 1027.6,
},
{
date: '31/05/2021',
day: 31,
month: 'May',
year: 2021,
temp: 16,
rain: 0.2,
wind: 18.8,
pressure: 1021.6,
},
{
date: '01/06/2021',
day: 1,
month: 'Jun',
year: 2021,
temp: 18.8,
rain: 0,
wind: 22.5,
pressure: 1015.2,
},
{
date: '02/06/2021',
day: 2,
month: 'Jun',
year: 2021,
temp: 20.1,
rain: 0,
wind: 16.8,
pressure: 1012.6,
},
{
date: '03/06/2021',
day: 3,
month: 'Jun',
year: 2021,
temp: 20.2,
rain: 1.25,
wind: 16.6,
pressure: 1018.1,
},
{
date: '04/06/2021',
day: 4,
month: 'Jun',
year: 2021,
temp: 15.3,
rain: 9.99,
wind: 13.2,
pressure: 1022.7,
},
{
date: '05/06/2021',
day: 5,
month: 'Jun',
year: 2021,
temp: 18,
rain: 0.4,
wind: 13.5,
pressure: 1024.2,
},
{
date: '06/06/2021',
day: 6,
month: 'Jun',
year: 2021,
temp: 18.4,
rain: 0.42,
wind: 12.4,
pressure: 1024.5,
},
{
date: '07/06/2021',
day: 7,
month: 'Jun',
year: 2021,
temp: 19,
rain: 0,
wind: 15.6,
pressure: 1023.8,
},
{
date: '08/06/2021',
day: 8,
month: 'Jun',
year: 2021,
temp: 19.1,
rain: 0,
wind: 14.8,
pressure: 1023.1,
},
{
date: '09/06/2021',
day: 9,
month: 'Jun',
year: 2021,
temp: 19.8,
rain: 0,
wind: 21.2,
pressure: 1021.7,
},
{
date: '10/06/2021',
day: 10,
month: 'Jun',
year: 2021,
temp: 19.6,
rain: 0,
wind: 19.2,
pressure: 1020.9,
},
{
date: '11/06/2021',
day: 11,
month: 'Jun',
year: 2021,
temp: 19.8,
rain: 0,
wind: 22.3,
pressure: 1019.8,
},
{
date: '12/06/2021',
day: 12,
month: 'Jun',
year: 2021,
temp: 19.6,
rain: 0,
wind: 18.5,
pressure: 1023.2,
},
{
date: '13/06/2021',
day: 13,
month: 'Jun',
year: 2021,
temp: 21.4,
rain: 0,
wind: 17.1,
pressure: 1026.1,
},
{
date: '14/06/2021',
day: 14,
month: 'Jun',
year: 2021,
temp: 22.1,
rain: 0,
wind: 13.9,
pressure: 1020.8,
},
{
date: '15/06/2021',
day: 15,
month: 'Jun',
year: 2021,
temp: 20,
rain: 0,
wind: 17.1,
pressure: 1020.7,
},
{
date: '16/06/2021',
day: 16,
month: 'Jun',
year: 2021,
temp: 21.8,
rain: 0,
wind: 17.2,
pressure: 1012.2,
},
{
date: '17/06/2021',
day: 17,
month: 'Jun',
year: 2021,
temp: 19.3,
rain: 11.52,
wind: 14.2,
pressure: 1010.5,
},
{
date: '18/06/2021',
day: 18,
month: 'Jun',
year: 2021,
temp: 15,
rain: 38.29,
wind: 18.2,
pressure: 1013.1,
},
{
date: '19/06/2021',
day: 19,
month: 'Jun',
year: 2021,
temp: 14.1,
rain: 3.2,
wind: 13.5,
pressure: 1014.1,
},
{
date: '20/06/2021',
day: 20,
month: 'Jun',
year: 2021,
temp: 15.1,
rain: 1.8,
wind: 18.8,
pressure: 1008.9,
},
{
date: '21/06/2021',
day: 21,
month: 'Jun',
year: 2021,
temp: 13.4,
rain: 6.88,
wind: 20.5,
pressure: 1012.4,
},
{
date: '22/06/2021',
day: 22,
month: 'Jun',
year: 2021,
temp: 14.1,
rain: 2.2,
wind: 23.2,
pressure: 1020.2,
},
{
date: '23/06/2021',
day: 23,
month: 'Jun',
year: 2021,
temp: 15.6,
rain: 0.2,
wind: 11.2,
pressure: 1023.4,
},
{
date: '24/06/2021',
day: 24,
month: 'Jun',
year: 2021,
temp: 16.5,
rain: 0.2,
wind: 15.4,
pressure: 1021.6,
},
{
date: '25/06/2021',
day: 25,
month: 'Jun',
year: 2021,
temp: 17.8,
rain: 0.46,
wind: 14.9,
pressure: 1016.3,
},
{
date: '26/06/2021',
day: 26,
month: 'Jun',
year: 2021,
temp: 17.9,
rain: 0,
wind: 15.6,
pressure: 1017.4,
},
{
date: '27/06/2021',
day: 27,
month: 'Jun',
year: 2021,
temp: 17.7,
rain: 1,
wind: 20.6,
pressure: 1015.7,
},
{
date: '28/06/2021',
day: 28,
month: 'Jun',
year: 2021,
temp: 17.4,
rain: 27.95,
wind: 15.6,
pressure: 1014.4,
},
{
date: '29/06/2021',
day: 29,
month: 'Jun',
year: 2021,
temp: 16.3,
rain: 2.2,
wind: 19,
pressure: 1015.3,
},
{
date: '30/06/2021',
day: 30,
month: 'Jun',
year: 2021,
temp: 15.6,
rain: 0,
wind: 13.5,
pressure: 1017.3,
},
{
date: '01/07/2021',
day: 1,
month: 'Jul',
year: 2021,
temp: 17.6,
rain: 0,
wind: 10.8,
pressure: 1017.8,
},
{
date: '02/07/2021',
day: 2,
month: 'Jul',
year: 2021,
temp: 19.6,
rain: 0,
wind: 15.3,
pressure: 1016.1,
},
{
date: '03/07/2021',
day: 3,
month: 'Jul',
year: 2021,
temp: 18.6,
rain: 2.41,
wind: 20.9,
pressure: 1012,
},
{
date: '04/07/2021',
day: 4,
month: 'Jul',
year: 2021,
temp: 17.7,
rain: 3.21,
wind: 24.9,
pressure: 1007.7,
},
{
date: '05/07/2021',
day: 5,
month: 'Jul',
year: 2021,
temp: 16.7,
rain: 2.99,
wind: 24.7,
pressure: 1004.9,
},
{
date: '06/07/2021',
day: 6,
month: 'Jul',
year: 2021,
temp: 15.4,
rain: 20.41,
wind: 31,
pressure: 999.6,
},
{
date: '07/07/2021',
day: 7,
month: 'Jul',
year: 2021,
temp: 16.8,
rain: 0.2,
wind: 24.1,
pressure: 1011.3,
},
{
date: '08/07/2021',
day: 8,
month: 'Jul',
year: 2021,
temp: 17.8,
rain: 6.31,
wind: 16.8,
pressure: 1019.4,
},
{
date: '09/07/2021',
day: 9,
month: 'Jul',
year: 2021,
temp: 19.1,
rain: 0.4,
wind: 18.3,
pressure: 1020.6,
},
{
date: '10/07/2021',
day: 10,
month: 'Jul',
year: 2021,
temp: 16.3,
rain: 2.32,
wind: 12.1,
pressure: 1016.7,
},
{
date: '11/07/2021',
day: 11,
month: 'Jul',
year: 2021,
temp: 17,
rain: 0,
wind: 16.6,
pressure: 1015.4,
},
{
date: '12/07/2021',
day: 12,
month: 'Jul',
year: 2021,
temp: 16.8,
rain: 5,
wind: 12.1,
pressure: 1011.2,
},
{
date: '13/07/2021',
day: 13,
month: 'Jul',
year: 2021,
temp: 18.9,
rain: 2.99,
wind: 17.5,
pressure: 1014.5,
},
{
date: '14/07/2021',
day: 14,
month: 'Jul',
year: 2021,
temp: 19.7,
rain: 0,
wind: 20.6,
pressure: 1017.9,
},
{
date: '15/07/2021',
day: 15,
month: 'Jul',
year: 2021,
temp: 18.7,
rain: 0,
wind: 17.4,
pressure: 1022.2,
},
{
date: '16/07/2021',
day: 16,
month: 'Jul',
year: 2021,
temp: 19.5,
rain: 0,
wind: 19.5,
pressure: 1026.6,
},
{
date: '17/07/2021',
day: 17,
month: 'Jul',
year: 2021,
temp: 22.1,
rain: 0,
wind: 12,
pressure: 1028,
},
{
date: '18/07/2021',
day: 18,
month: 'Jul',
year: 2021,
temp: 23.9,
rain: 0,
wind: 10,
pressure: 1024.9,
},
{
date: '19/07/2021',
day: 19,
month: 'Jul',
year: 2021,
temp: 24.3,
rain: 0,
wind: 12,
pressure: 1020.8,
},
{
date: '20/07/2021',
day: 20,
month: 'Jul',
year: 2021,
temp: 23.4,
rain: 1,
wind: 15.3,
pressure: 1019.7,
},
{
date: '21/07/2021',
day: 21,
month: 'Jul',
year: 2021,
temp: 23.9,
rain: 0.41,
wind: 13.2,
pressure: 1022.1,
},
{
date: '22/07/2021',
day: 22,
month: 'Jul',
year: 2021,
temp: 23.1,
rain: 0,
wind: 12.5,
pressure: 1022.6,
},
{
date: '23/07/2021',
day: 23,
month: 'Jul',
year: 2021,
temp: 19.5,
rain: 0,
wind: 23.2,
pressure: 1017.2,
},
{
date: '24/07/2021',
day: 24,
month: 'Jul',
year: 2021,
temp: 18.8,
rain: 1.07,
wind: 22,
pressure: 1008.6,
},
{
date: '25/07/2021',
day: 25,
month: 'Jul',
year: 2021,
temp: 18.4,
rain: 39.82,
wind: 17.1,
pressure: 1007.7,
},
{
date: '26/07/2021',
day: 26,
month: 'Jul',
year: 2021,
temp: 20,
rain: 2,
wind: 15.2,
pressure: 1009.8,
},
{
date: '27/07/2021',
day: 27,
month: 'Jul',
year: 2021,
temp: 19.2,
rain: 5.14,
wind: 20.2,
pressure: 1008.4,
},
{
date: '28/07/2021',
day: 28,
month: 'Jul',
year: 2021,
temp: 17.1,
rain: 18.93,
wind: 25.1,
pressure: 1006.9,
},
{
date: '29/07/2021',
day: 29,
month: 'Jul',
year: 2021,
temp: 17,
rain: 2.99,
wind: 29.1,
pressure: 1009.7,
},
{
date: '30/07/2021',
day: 30,
month: 'Jul',
year: 2021,
temp: 16.5,
rain: 6.44,
wind: 35.6,
pressure: 1003.3,
},
{
date: '31/07/2021',
day: 31,
month: 'Jul',
year: 2021,
temp: 16.7,
rain: 1.44,
wind: 19,
pressure: 1009,
},
{
date: '01/08/2021',
day: 1,
month: 'Aug',
year: 2021,
temp: 17.1,
rain: 3.79,
wind: 13.2,
pressure: 1011.2,
},
{
date: '02/08/2021',
day: 2,
month: 'Aug',
year: 2021,
temp: 16.5,
rain: 0,
wind: 14.2,
pressure: 1014.9,
},
{
date: '03/08/2021',
day: 3,
month: 'Aug',
year: 2021,
temp: 16.9,
rain: 1,
wind: 12.4,
pressure: 1013.2,
},
{
date: '04/08/2021',
day: 4,
month: 'Aug',
year: 2021,
temp: 17.6,
rain: 0,
wind: 13.5,
pressure: 1012.9,
},
{
date: '05/08/2021',
day: 5,
month: 'Aug',
year: 2021,
temp: 17,
rain: 2.01,
wind: 25.8,
pressure: 1005.3,
},
{
date: '06/08/2021',
day: 6,
month: 'Aug',
year: 2021,
temp: 17.6,
rain: 3.69,
wind: 33.1,
pressure: 998.4,
},
{
date: '07/08/2021',
day: 7,
month: 'Aug',
year: 2021,
temp: 16.2,
rain: 33.91,
wind: 24.1,
pressure: 997.9,
},
{
date: '08/08/2021',
day: 8,
month: 'Aug',
year: 2021,
temp: 16.1,
rain: 11,
wind: 25.8,
pressure: 1005.3,
},
{
date: '09/08/2021',
day: 9,
month: 'Aug',
year: 2021,
temp: 16.2,
rain: 16.19,
wind: 23.6,
pressure: 1011.5,
},
{
date: '10/08/2021',
day: 10,
month: 'Aug',
year: 2021,
temp: 17.9,
rain: 1,
wind: 14.8,
pressure: 1015.3,
},
{
date: '11/08/2021',
day: 11,
month: 'Aug',
year: 2021,
temp: 18.4,
rain: 0,
wind: 16.5,
pressure: 1018,
},
{
date: '12/08/2021',
day: 12,
month: 'Aug',
year: 2021,
temp: 18.9,
rain: 0.4,
wind: 20.5,
pressure: 1018.2,
},
{
date: '13/08/2021',
day: 13,
month: 'Aug',
year: 2021,
temp: 18,
rain: 0,
wind: 21.6,
pressure: 1020.8,
},
{
date: '14/08/2021',
day: 14,
month: 'Aug',
year: 2021,
temp: 19.4,
rain: 0,
wind: 19.9,
pressure: 1019.9,
},
{
date: '15/08/2021',
day: 15,
month: 'Aug',
year: 2021,
temp: 18.7,
rain: 0.31,
wind: 26.6,
pressure: 1013.6,
},
{
date: '16/08/2021',
day: 16,
month: 'Aug',
year: 2021,
temp: 16.3,
rain: 1.2,
wind: 22.6,
pressure: 1016.8,
},
{
date: '17/08/2021',
day: 17,
month: 'Aug',
year: 2021,
temp: 15.6,
rain: 0.32,
wind: 21.6,
pressure: 1019.8,
},
{
date: '18/08/2021',
day: 18,
month: 'Aug',
year: 2021,
temp: 18.5,
rain: 0.78,
wind: 24.8,
pressure: 1016.9,
},
{
date: '19/08/2021',
day: 19,
month: 'Aug',
year: 2021,
temp: 17.6,
rain: 0,
wind: 17,
pressure: 1014.3,
},
{
date: '20/08/2021',
day: 20,
month: 'Aug',
year: 2021,
temp: 18,
rain: 1.66,
wind: 12.9,
pressure: 1016,
},
{
date: '21/08/2021',
day: 21,
month: 'Aug',
year: 2021,
temp: 18.2,
rain: 0.2,
wind: 12.8,
pressure: 1015.5,
},
{
date: '22/08/2021',
day: 22,
month: 'Aug',
year: 2021,
temp: 18.1,
rain: 2.57,
wind: 18.2,
pressure: 1018.6,
},
{
date: '23/08/2021',
day: 23,
month: 'Aug',
year: 2021,
temp: 17.8,
rain: 0.26,
wind: 16.1,
pressure: 1027.5,
},
{
date: '24/08/2021',
day: 24,
month: 'Aug',
year: 2021,
temp: 17.5,
rain: 0,
wind: 20.1,
pressure: 1029.5,
},
{
date: '25/08/2021',
day: 25,
month: 'Aug',
year: 2021,
temp: 17.5,
rain: 0,
wind: 18.2,
pressure: 1025.8,
},
{
date: '26/08/2021',
day: 26,
month: 'Aug',
year: 2021,
temp: 17.1,
rain: 0,
wind: 20.2,
pressure: 1022.1,
},
{
date: '27/08/2021',
day: 27,
month: 'Aug',
year: 2021,
temp: 16,
rain: 0,
wind: 17,
pressure: 1023.4,
},
{
date: '28/08/2021',
day: 28,
month: 'Aug',
year: 2021,
temp: 16.2,
rain: 0,
wind: 17.5,
pressure: 1025.9,
},
{
date: '29/08/2021',
day: 29,
month: 'Aug',
year: 2021,
temp: 15.5,
rain: 0,
wind: 17,
pressure: 1025.4,
},
{
date: '30/08/2021',
day: 30,
month: 'Aug',
year: 2021,
temp: 15.8,
rain: 0,
wind: 19.3,
pressure: 1026.1,
},
{
date: '31/08/2021',
day: 31,
month: 'Aug',
year: 2021,
temp: 16,
rain: 0.6,
wind: 18.6,
pressure: 1029.3,
},
{
date: '01/09/2021',
day: 1,
month: 'Sep',
year: 2021,
temp: 16.3,
rain: 0,
wind: 17,
pressure: 1030.8,
},
{
date: '02/09/2021',
day: 2,
month: 'Sep',
year: 2021,
temp: 17,
rain: 0,
wind: 21.2,
pressure: 1027.9,
},
{
date: '03/09/2021',
day: 3,
month: 'Sep',
year: 2021,
temp: 17.7,
rain: 0,
wind: 14.5,
pressure: 1021.9,
},
{
date: '04/09/2021',
day: 4,
month: 'Sep',
year: 2021,
temp: 16.8,
rain: 0,
wind: 14.9,
pressure: 1019,
},
{
date: '05/09/2021',
day: 5,
month: 'Sep',
year: 2021,
temp: 18.9,
rain: 0,
wind: 11.2,
pressure: 1020.4,
},
{
date: '06/09/2021',
day: 6,
month: 'Sep',
year: 2021,
temp: 20.2,
rain: 0,
wind: 6.2,
pressure: 1023,
},
{
date: '07/09/2021',
day: 7,
month: 'Sep',
year: 2021,
temp: 21.8,
rain: 0,
wind: 14.4,
pressure: 1020.9,
},
{
date: '08/09/2021',
day: 8,
month: 'Sep',
year: 2021,
temp: 21.6,
rain: 0,
wind: 18.8,
pressure: 1013,
},
{
date: '09/09/2021',
day: 9,
month: 'Sep',
year: 2021,
temp: 19,
rain: 4.39,
wind: 21,
pressure: 1008.6,
},
{
date: '10/09/2021',
day: 10,
month: 'Sep',
year: 2021,
temp: 18.9,
rain: 4.2,
wind: 19,
pressure: 1010.5,
},
{
date: '11/09/2021',
day: 11,
month: 'Sep',
year: 2021,
temp: 19.1,
rain: 0.4,
wind: 17.8,
pressure: 1016.1,
},
{
date: '12/09/2021',
day: 12,
month: 'Sep',
year: 2021,
temp: 16.9,
rain: 0,
wind: 9.1,
pressure: 1018.7,
},
{
date: '13/09/2021',
day: 13,
month: 'Sep',
year: 2021,
temp: 17.2,
rain: 0,
wind: 17.5,
pressure: 1017.8,
},
{
date: '14/09/2021',
day: 14,
month: 'Sep',
year: 2021,
temp: 17.4,
rain: 19.98,
wind: 11.3,
pressure: 1011.9,
},
{
date: '15/09/2021',
day: 15,
month: 'Sep',
year: 2021,
temp: 17.1,
rain: 0.4,
wind: 13.7,
pressure: 1014.1,
},
{
date: '16/09/2021',
day: 16,
month: 'Sep',
year: 2021,
temp: 17,
rain: 0.2,
wind: 11,
pressure: 1017.5,
},
{
date: '17/09/2021',
day: 17,
month: 'Sep',
year: 2021,
temp: 17,
rain: 0.2,
wind: 0.1,
pressure: 1014.8,
},
{
date: '18/09/2021',
day: 18,
month: 'Sep',
year: 2021,
temp: 18.3,
rain: 0.2,
wind: 0.1,
pressure: 1014,
},
{
date: '19/09/2021',
day: 19,
month: 'Sep',
year: 2021,
temp: 17.4,
rain: 6.43,
wind: 0.1,
pressure: 1014.4,
},
{
date: '20/09/2021',
day: 20,
month: 'Sep',
year: 2021,
temp: 16.1,
rain: 0,
wind: 0.1,
pressure: 1022.5,
},
{
date: '21/09/2021',
day: 21,
month: 'Sep',
year: 2021,
temp: 15.7,
rain: 0,
wind: 0.1,
pressure: 1030.1,
},
{
date: '22/09/2021',
day: 22,
month: 'Sep',
year: 2021,
temp: 16.1,
rain: 0.2,
wind: 0.1,
pressure: 1027.8,
},
{
date: '23/09/2021',
day: 23,
month: 'Sep',
year: 2021,
temp: 16.2,
rain: 0,
wind: 0.1,
pressure: 1020.6,
},
{
date: '24/09/2021',
day: 24,
month: 'Sep',
year: 2021,
temp: 17.4,
rain: 0.2,
wind: 0.1,
pressure: 1016.3,
},
{
date: '25/09/2021',
day: 25,
month: 'Sep',
year: 2021,
temp: 16.9,
rain: 0.4,
wind: 0.1,
pressure: 1014.3,
},
{
date: '26/09/2021',
day: 26,
month: 'Sep',
year: 2021,
temp: 17.2,
rain: 0,
wind: 0.2,
pressure: 1011.8,
},
{
date: '27/09/2021',
day: 27,
month: 'Sep',
year: 2021,
temp: 16.3,
rain: 4.91,
wind: 0.2,
pressure: 1010.6,
},
{
date: '28/09/2021',
day: 28,
month: 'Sep',
year: 2021,
temp: 14.1,
rain: 5.33,
wind: 0.2,
pressure: 1016,
},
{
date: '29/09/2021',
day: 29,
month: 'Sep',
year: 2021,
temp: 12,
rain: 13.91,
wind: 14.2,
pressure: 1019.1,
},
{
date: '30/09/2021',
day: 30,
month: 'Sep',
year: 2021,
temp: 12.7,
rain: 0.83,
wind: 0.2,
pressure: 1021,
},
{
date: '01/10/2021',
day: 1,
month: 'Oct',
year: 2021,
temp: 14.9,
rain: 16.05,
wind: 0.2,
pressure: 1010.3,
},
{
date: '02/10/2021',
day: 2,
month: 'Oct',
year: 2021,
temp: 12.3,
rain: 14.04,
wind: 0.2,
pressure: 999.1,
},
{
date: '03/10/2021',
day: 3,
month: 'Oct',
year: 2021,
temp: 13.1,
rain: 2.8,
wind: 0.2,
pressure: 997.5,
},
{
date: '04/10/2021',
day: 4,
month: 'Oct',
year: 2021,
temp: 13.2,
rain: 3.58,
wind: 0.2,
pressure: 1008.3,
},
{
date: '05/10/2021',
day: 5,
month: 'Oct',
year: 2021,
temp: 12.9,
rain: 37.54,
wind: 0.2,
pressure: 1002.4,
},
{
date: '06/10/2021',
day: 6,
month: 'Oct',
year: 2021,
temp: 12.7,
rain: 0.2,
wind: 0.2,
pressure: 1018.2,
},
{
date: '07/10/2021',
day: 7,
month: 'Oct',
year: 2021,
temp: 15.4,
rain: 0.4,
wind: 0.1,
pressure: 1026,
},
{
date: '08/10/2021',
day: 8,
month: 'Oct',
year: 2021,
temp: 16,
rain: 0.6,
wind: 0.1,
pressure: 1029.5,
},
{
date: '09/10/2021',
day: 9,
month: 'Oct',
year: 2021,
temp: 13.6,
rain: 0.2,
wind: 3.9,
pressure: 1028.6,
},
{
date: '10/10/2021',
day: 10,
month: 'Oct',
year: 2021,
temp: 13.6,
rain: 0.2,
wind: 0.1,
pressure: 1029.4,
},
{
date: '11/10/2021',
day: 11,
month: 'Oct',
year: 2021,
temp: 11.7,
rain: 0.2,
wind: 0.1,
pressure: 1030.6,
},
{
date: '12/10/2021',
day: 12,
month: 'Oct',
year: 2021,
temp: 11.6,
rain: 3,
wind: 0.1,
pressure: 1026,
},
{
date: '13/10/2021',
day: 13,
month: 'Oct',
year: 2021,
temp: 12,
rain: 0.2,
wind: 10.3,
pressure: 1027.8,
},
{
date: '14/10/2021',
day: 14,
month: 'Oct',
year: 2021,
temp: 13.7,
rain: 0.2,
wind: 0.1,
pressure: 1024,
},
{
date: '15/10/2021',
day: 15,
month: 'Oct',
year: 2021,
temp: 13,
rain: 0,
wind: 0.1,
pressure: 1020.3,
},
{
date: '16/10/2021',
day: 16,
month: 'Oct',
year: 2021,
temp: 11.9,
rain: 0.8,
wind: 0.1,
pressure: 1020.6,
},
{
date: '17/10/2021',
day: 17,
month: 'Oct',
year: 2021,
temp: 13.2,
rain: 0,
wind: 0.1,
pressure: 1017.5,
},
{
date: '18/10/2021',
day: 18,
month: 'Oct',
year: 2021,
temp: 13.7,
rain: 1,
wind: 0.1,
pressure: 1016.4,
},
{
date: '19/10/2021',
day: 19,
month: 'Oct',
year: 2021,
temp: 18.1,
rain: 0.6,
wind: 0.2,
pressure: 1012.1,
},
{
date: '20/10/2021',
day: 20,
month: 'Oct',
year: 2021,
temp: 15.7,
rain: 15.44,
wind: 21.9,
pressure: 999.1,
},
{
date: '21/10/2021',
day: 21,
month: 'Oct',
year: 2021,
temp: 9.4,
rain: 20,
wind: 0.2,
pressure: 1007,
},
{
date: '22/10/2021',
day: 22,
month: 'Oct',
year: 2021,
temp: 9.2,
rain: 0,
wind: 0.2,
pressure: 1020.9,
},
{
date: '23/10/2021',
day: 23,
month: 'Oct',
year: 2021,
temp: 11.6,
rain: 0,
wind: 0.1,
pressure: 1025,
},
{
date: '24/10/2021',
day: 24,
month: 'Oct',
year: 2021,
temp: 13.2,
rain: 0.29,
wind: 0.1,
pressure: 1018.3,
},
{
date: '25/10/2021',
day: 25,
month: 'Oct',
year: 2021,
temp: 12.7,
rain: 2.4,
wind: 0.1,
pressure: 1015.2,
},
{
date: '26/10/2021',
day: 26,
month: 'Oct',
year: 2021,
temp: 13.1,
rain: 1.4,
wind: 0.1,
pressure: 1018.2,
},
{
date: '27/10/2021',
day: 27,
month: 'Oct',
year: 2021,
temp: 15.5,
rain: 0,
wind: 0.2,
pressure: 1018.3,
},
{
date: '28/10/2021',
day: 28,
month: 'Oct',
year: 2021,
temp: 13.9,
rain: 0,
wind: 0.2,
pressure: 1009.2,
},
{
date: '29/10/2021',
day: 29,
month: 'Oct',
year: 2021,
temp: 13.6,
rain: 3.41,
wind: 0.2,
pressure: 998.7,
},
{
date: '30/10/2021',
day: 30,
month: 'Oct',
year: 2021,
temp: 11.8,
rain: 3.55,
wind: 0.1,
pressure: 997.1,
},
{
date: '31/10/2021',
day: 31,
month: 'Oct',
year: 2021,
temp: 11.8,
rain: 8.44,
wind: 0.3,
pressure: 993.5,
},
{
date: '01/11/2021',
day: 1,
month: 'Nov',
year: 2021,
temp: 10.2,
rain: 1.16,
wind: 18.5,
pressure: 994.6,
},
{
date: '02/11/2021',
day: 2,
month: 'Nov',
year: 2021,
temp: 6.7,
rain: 0.2,
wind: 0.1,
pressure: 999,
},
{
date: '03/11/2021',
day: 3,
month: 'Nov',
year: 2021,
temp: 6.6,
rain: 0.6,
wind: 0.1,
pressure: 1004.4,
},
{
date: '04/11/2021',
day: 4,
month: 'Nov',
year: 2021,
temp: 8,
rain: 1,
wind: 0.1,
pressure: 1014.7,
},
{
date: '05/11/2021',
day: 5,
month: 'Nov',
year: 2021,
temp: 6.2,
rain: 0,
wind: 0.1,
pressure: 1026.4,
},
{
date: '06/11/2021',
day: 6,
month: 'Nov',
year: 2021,
temp: 11.2,
rain: 0,
wind: 0.2,
pressure: 1024.9,
},
{
date: '07/11/2021',
day: 7,
month: 'Nov',
year: 2021,
temp: 9.9,
rain: 0.2,
wind: 11.9,
pressure: 1021.2,
},
{
date: '08/11/2021',
day: 8,
month: 'Nov',
year: 2021,
temp: 8.4,
rain: 0,
wind: 0.1,
pressure: 1023.7,
},
{
date: '09/11/2021',
day: 9,
month: 'Nov',
year: 2021,
temp: 12.7,
rain: 0.2,
wind: 0.1,
pressure: 1023.4,
},
{
date: '10/11/2021',
day: 10,
month: 'Nov',
year: 2021,
temp: 12,
rain: 1.16,
wind: 0.1,
pressure: 1023,
},
{
date: '11/11/2021',
day: 11,
month: 'Nov',
year: 2021,
temp: 12.2,
rain: 0.44,
wind: 0.1,
pressure: 1022.6,
},
{
date: '12/11/2021',
day: 12,
month: 'Nov',
year: 2021,
temp: 12.2,
rain: 0.61,
wind: 0.2,
pressure: 1011.8,
},
{
date: '13/11/2021',
day: 13,
month: 'Nov',
year: 2021,
temp: 12.2,
rain: 0.63,
wind: 0.1,
pressure: 1015.7,
},
{
date: '14/11/2021',
day: 14,
month: 'Nov',
year: 2021,
temp: 12,
rain: 0.95,
wind: 0.1,
pressure: 1023.8,
},
{
date: '15/11/2021',
day: 15,
month: 'Nov',
year: 2021,
temp: 11.4,
rain: 0.2,
wind: 7.2,
pressure: 1026.9,
},
{
date: '16/11/2021',
day: 16,
month: 'Nov',
year: 2021,
temp: 9.7,
rain: 0.2,
wind: 0.1,
pressure: 1022.9,
},
{
date: '17/11/2021',
day: 17,
month: 'Nov',
year: 2021,
temp: 8.6,
rain: 0.4,
wind: 0.1,
pressure: 1024.2,
},
{
date: '18/11/2021',
day: 18,
month: 'Nov',
year: 2021,
temp: 10.1,
rain: 0,
wind: 0.1,
pressure: 1029,
},
{
date: '19/11/2021',
day: 19,
month: 'Nov',
year: 2021,
temp: 11.6,
rain: 0,
wind: 0.1,
pressure: 1030.7,
},
{
date: '20/11/2021',
day: 20,
month: 'Nov',
year: 2021,
temp: 10.4,
rain: 0,
wind: 0.1,
pressure: 1024.1,
},
{
date: '21/11/2021',
day: 21,
month: 'Nov',
year: 2021,
temp: 7.3,
rain: 0,
wind: 0.2,
pressure: 1019.5,
},
{
date: '22/11/2021',
day: 22,
month: 'Nov',
year: 2021,
temp: 6.6,
rain: 0,
wind: 0.1,
pressure: 1029.8,
},
{
date: '23/11/2021',
day: 23,
month: 'Nov',
year: 2021,
temp: 5.6,
rain: 0.6,
wind: 0.1,
pressure: 1032.3,
},
{
date: '24/11/2021',
day: 24,
month: 'Nov',
year: 2021,
temp: 5.8,
rain: 0,
wind: 0.1,
pressure: 1022.1,
},
{
date: '25/11/2021',
day: 25,
month: 'Nov',
year: 2021,
temp: 5.6,
rain: 0.2,
wind: 0.1,
pressure: 1016.3,
},
{
date: '26/11/2021',
day: 26,
month: 'Nov',
year: 2021,
temp: 5.5,
rain: 0.41,
wind: 0.2,
pressure: 996.2,
},
{
date: '27/11/2021',
day: 27,
month: 'Nov',
year: 2021,
temp: 4.1,
rain: 5.41,
wind: 0.2,
pressure: 993.6,
},
{
date: '28/11/2021',
day: 28,
month: 'Nov',
year: 2021,
temp: 2.3,
rain: 0,
wind: 0.2,
pressure: 1006.7,
},
{
date: '29/11/2021',
day: 29,
month: 'Nov',
year: 2021,
temp: 1.2,
rain: 0.2,
wind: 0.1,
pressure: 1014.5,
},
{
date: '30/11/2021',
day: 30,
month: 'Nov',
year: 2021,
temp: 9.8,
rain: 0,
wind: 0.2,
pressure: 1010.3,
},
{
date: '01/12/2021',
day: 1,
month: 'Dec',
year: 2021,
temp: 8.5,
rain: 2.63,
wind: 0.2,
pressure: 999,
},
{
date: '02/12/2021',
day: 2,
month: 'Dec',
year: 2021,
temp: 3.1,
rain: 0.93,
wind: 0.2,
pressure: 1011.7,
},
{
date: '03/12/2021',
day: 3,
month: 'Dec',
year: 2021,
temp: 6.2,
rain: 0.4,
wind: 13.8,
pressure: 1004.9,
},
{
date: '04/12/2021',
day: 4,
month: 'Dec',
year: 2021,
temp: 6.1,
rain: 2.4,
wind: 0.2,
pressure: 998,
},
{
date: '05/12/2021',
day: 5,
month: 'Dec',
year: 2021,
temp: 5.8,
rain: 4.8,
wind: 0.2,
pressure: 1006,
},
{
date: '06/12/2021',
day: 6,
month: 'Dec',
year: 2021,
temp: 4.8,
rain: 5.2,
wind: 0.2,
pressure: 1010,
},
{
date: '07/12/2021',
day: 7,
month: 'Dec',
year: 2021,
temp: 4.9,
rain: 6.02,
wind: 0.2,
pressure: 997.7,
},
{
date: '08/12/2021',
day: 8,
month: 'Dec',
year: 2021,
temp: 6.8,
rain: 1.2,
wind: 25.5,
pressure: 991.2,
},
{
date: '09/12/2021',
day: 9,
month: 'Dec',
year: 2021,
temp: 6.4,
rain: 0.2,
wind: 0.1,
pressure: 999.2,
},
{
date: '10/12/2021',
day: 10,
month: 'Dec',
year: 2021,
temp: 6.4,
rain: 13.48,
wind: 0.2,
pressure: 999.1,
},
{
date: '11/12/2021',
day: 11,
month: 'Dec',
year: 2021,
temp: 5.8,
rain: 2,
wind: 0.1,
pressure: 1015.6,
},
{
date: '12/12/2021',
day: 12,
month: 'Dec',
year: 2021,
temp: 12,
rain: 1.2,
wind: 0.1,
pressure: 1019.7,
},
{
date: '13/12/2021',
day: 13,
month: 'Dec',
year: 2021,
temp: 10.9,
rain: 0.2,
wind: 0.1,
pressure: 1023.4,
},
{
date: '14/12/2021',
day: 14,
month: 'Dec',
year: 2021,
temp: 11.3,
rain: 0,
wind: 0.1,
pressure: 1026.7,
},
{
date: '15/12/2021',
day: 15,
month: 'Dec',
year: 2021,
temp: 12.2,
rain: 0,
wind: 0.1,
pressure: 1030.7,
},
{
date: '16/12/2021',
day: 16,
month: 'Dec',
year: 2021,
temp: 11.5,
rain: 0,
wind: 3.6,
pressure: 1038,
},
{
date: '17/12/2021',
day: 17,
month: 'Dec',
year: 2021,
temp: 9.3,
rain: 0,
wind: 0.1,
pressure: 1040.4,
},
{
date: '18/12/2021',
day: 18,
month: 'Dec',
year: 2021,
temp: 8.4,
rain: 0,
wind: 0.1,
pressure: 1039.1,
},
{
date: '19/12/2021',
day: 19,
month: 'Dec',
year: 2021,
temp: 5.4,
rain: 0,
wind: 9.1,
pressure: 1034.6,
},
{
date: '20/12/2021',
day: 20,
month: 'Dec',
year: 2021,
temp: 6.9,
rain: 0,
wind: 0.1,
pressure: 1028.8,
},
{
date: '21/12/2021',
day: 21,
month: 'Dec',
year: 2021,
temp: 5.2,
rain: 0,
wind: 0.1,
pressure: 1025.3,
},
{
date: '22/12/2021',
day: 22,
month: 'Dec',
year: 2021,
temp: 3.2,
rain: 0,
wind: 8.9,
pressure: 1019.2,
},
{
date: '23/12/2021',
day: 23,
month: 'Dec',
year: 2021,
temp: 8.4,
rain: 0,
wind: 0.1,
pressure: 1008.2,
},
{
date: '24/12/2021',
day: 24,
month: 'Dec',
year: 2021,
temp: 8.8,
rain: 14.4,
wind: 0.1,
pressure: 1004.3,
},
{
date: '25/12/2021',
day: 25,
month: 'Dec',
year: 2021,
temp: 7.4,
rain: 3.09,
wind: 21.4,
pressure: 1003.5,
},
{
date: '26/12/2021',
day: 26,
month: 'Dec',
year: 2021,
temp: 7.4,
rain: 13.08,
wind: 0.1,
pressure: 1000.6,
},
{
date: '27/12/2021',
day: 27,
month: 'Dec',
year: 2021,
temp: 9.6,
rain: 2.41,
wind: 0.1,
pressure: 992.3,
},
{
date: '28/12/2021',
day: 28,
month: 'Dec',
year: 2021,
temp: 10.5,
rain: 1.03,
wind: 0.2,
pressure: 992.6,
},
{
date: '29/12/2021',
day: 29,
month: 'Dec',
year: 2021,
temp: 11.4,
rain: 1.42,
wind: 0.2,
pressure: 1004.4,
},
{
date: '30/12/2021',
day: 30,
month: 'Dec',
year: 2021,
temp: 14.3,
rain: 0,
wind: 0.2,
pressure: 1012.7,
},
{
date: '31/12/2021',
day: 31,
month: 'Dec',
year: 2021,
temp: 13.9,
rain: 1.22,
wind: 0.2,
pressure: 1016.8,
},
];
}
<div class="wrapper">
<div id="myGrid"></div>
<div id="myChart"></div>
</div>
Range Chart API Copy Link
Range Charts can be created programmatically using:
Used to programmatically create charts from a range. |
Properties available on the CreateRangeChartParams interface.
Defines the range of cells to be charted. A range is normally defined with start and end rows and a list of columns. If the start and end rows are omitted, the range covers all rows (i.e. entire column contents are selected). The columns can either be defined using a start and end column (the range will cover the start and end columns and all columns in between), or columns can be supplied specifically in cases where the required columns are not adjacent to each other. See Add Cell Range for more information. |
The type of chart to create. |
By default, when a chart is displayed using the grid, the grid will highlight the range the chart is charting when the chart gets focus. To suppress this behaviour, set suppressChartRanges=true. |
Switch Category / Series. |
The aggregation function that should be applied to all series data. The built-in aggregation functions are 'sum', 'min', 'max', 'count', 'avg', 'first', 'last'. Alternatively, custom aggregation functions can be provided if they conform to the IAggFunc interface shown here. |
The series chart type configurations used in combination charts. |
Group type for chart types that support grouped series. |
Prefer using the auto group column as the category when grouping is active. |
The default theme to use for the created chart. In addition to the default options you listed, you can also provide your own custom chart themes. Options: 'ag-default', 'ag-default-dark', 'ag-material', 'ag-material-dark', 'ag-pastel', 'ag-pastel-dark', 'ag-vivid', 'ag-vivid-dark', 'ag-solar', 'ag-solar-dark' |
If the chart is to be displayed outside of the grid then a chart container should be provided. If the chart is to be displayed using the grid's popup window mechanism then leave as undefined. |
Allows specific chart options in the current theme to be overridden. |
When enabled the chart will be unlinked from the grid after creation, any updates to the data will not be reflected in the chart. |
The API returns a ChartRef object when a chartContainer is provided. This is the same structure that is provided to the createChartContainer(chartRef) callback. The ChartRef provides the application with the destroyChart() method that is required when the application wants to dispose the chart.

This section shows how Range Charts can be created via the Grid API.
Creating Range Charts Copy Link
Range Charts can be created through gridApi.createRangeChart() as shown below:
gridApi.createRangeChart({
chartType: 'groupedColumn',
cellRange: {
rowStartIndex: 0,
rowEndIndex: 4,
columns: ['country', 'gold', 'silver'],
},
// other options...
});The snippet above creates a Range Chart with the groupedColumn chart type using data from the first 4 and the country, gold, silver columns. For a full list of options see Range Chart API.
The following example demonstrates how Range Charts can be created programmatically via gridApi.createRangeChart(). Note the following:
- Clicking 'Top 5 Medal Winners' will chart the first five rows of Gold and Silver medals by Country.
- Clicking 'Bronze Medals by Country' will chart Bronze by Country using all rows (the provided cell range does not specify rows).
- Note the 'Bronze Medals by Country' chart is unlinked from the grid as
unlinkChart=true. Notice that sorting in the grid does not affect the chart and there is no chart range in the grid.
"use client";
import React, {
useCallback,
useMemo,
useRef,
useState,
useEffect,
StrictMode,
} from "react";
import { createRoot } from "react-dom/client";
import { AgGridReact, AgGridProvider } from "ag-grid-react";
import "./style.css";
import { AgChartsEnterpriseModule } from "ag-charts-enterprise";
import {
CellSelectionOptions,
ClientSideRowModelModule,
ColDef,
ColGroupDef,
GridApi,
GridOptions,
GridReadyEvent,
ModuleRegistry,
NumberEditorModule,
NumberFilterModule,
TextEditorModule,
TextFilterModule,
enableDevValidations,
} from "ag-grid-community";
import {
ColumnMenuModule,
ContextMenuModule,
IntegratedChartsModule,
RowGroupingModule,
} from "ag-grid-enterprise";
import { getData } from "./data";
if (process.env.NODE_ENV !== "production") {
// Enable extended validations only for development
enableDevValidations();
}
const modules = [
NumberEditorModule,
TextEditorModule,
TextFilterModule,
NumberFilterModule,
ClientSideRowModelModule,
IntegratedChartsModule.with(AgChartsEnterpriseModule),
ColumnMenuModule,
ContextMenuModule,
RowGroupingModule,
];
const GridExample = () => {
const gridRef = useRef<AgGridReact>(null);
const containerStyle = useMemo(() => ({ width: "100%", height: "100%" }), []);
const gridStyle = useMemo(() => ({ height: "100%", width: "100%" }), []);
const [rowData, setRowData] = useState<any[]>();
const [columnDefs, setColumnDefs] = useState<ColDef[]>([
{ field: "country", width: 150, chartDataType: "category" },
{ field: "gold", chartDataType: "series", sort: "desc" },
{ field: "silver", chartDataType: "series", sort: "desc" },
{ field: "bronze", chartDataType: "series" },
]);
const defaultColDef = useMemo<ColDef>(() => {
return {
editable: true,
flex: 1,
minWidth: 100,
filter: true,
};
}, []);
const popupParent = useMemo<HTMLElement | null>(() => {
return document.body;
}, []);
const onGridReady = useCallback((params: GridReadyEvent) => {
getData().then((rowData) => setRowData(rowData));
}, []);
const onChart1 = useCallback(() => {
gridRef.current!.api.createRangeChart({
cellRange: {
rowStartIndex: 0,
rowEndIndex: 4,
columns: ["country", "gold", "silver"],
},
chartType: "groupedColumn",
chartThemeOverrides: {
common: {
title: {
enabled: true,
text: "Top 5 Medal Winners",
},
},
},
});
}, []);
const onChart2 = useCallback(() => {
gridRef.current!.api.createRangeChart({
cellRange: {
columns: ["country", "bronze"],
},
chartType: "groupedBar",
chartThemeOverrides: {
common: {
title: {
enabled: true,
text: "Bronze Medal by Country",
},
},
},
unlinkChart: true,
});
}, []);
return (
<AgGridProvider modules={modules}>
<div style={containerStyle}>
<div className="outer-div">
<div className="button-bar">
<button onClick={onChart1}>Top 5 Medal Winners</button>
<button onClick={onChart2}>Bronze Medals by Country</button>
</div>
<div className="grid-wrapper">
<div style={gridStyle}>
<AgGridReact
ref={gridRef}
rowData={rowData}
columnDefs={columnDefs}
defaultColDef={defaultColDef}
cellSelection={true}
enableCharts={true}
popupParent={popupParent}
onGridReady={onGridReady}
/>
</div>
</div>
</div>
</div>
</AgGridProvider>
);
};
const root = createRoot(document.getElementById("root")!);
root.render(
<StrictMode>
<GridExample />
</StrictMode>,
);
.outer-div {
height: 100%;
display: flex;
flex-direction: column;
}
.button-bar {
padding-bottom: 4px;
}
.grid-wrapper {
height: 20px;
flex: 1 1 auto;
}
export async function getData(delay: number = 100): Promise<any[]> {
return new Promise((resolve) => setTimeout(() => resolve(generateData()), delay));
}
function generateData(): any[] {
const countries = [
'Ireland',
'Spain',
'United Kingdom',
'France',
'Germany',
'Luxembourg',
'Sweden',
'Norway',
'Italy',
'Greece',
'Iceland',
'Portugal',
'Malta',
'Brazil',
'Argentina',
'Colombia',
'Peru',
'Venezuela',
'Uruguay',
'Belgium',
];
return countries.map((country, index) => ({
country,
gold: Math.floor(((index + 1 / 7) * 333) % 100),
silver: Math.floor(((index + 1 / 3) * 555) % 100),
bronze: Math.floor(((index + 1 / 7.3) * 777) % 100),
}));
}
Range Chart Dashboard Copy Link
The following example passes a Chart Container to the API to place the chart in a location other than the grid's popup window. Note the following:
- The charts are placed in
divelements outside the grid. - The two pie charts are showing aggregations rather than charting individual rows.
- The bar chart is sensitive to changes in the rows. For example if you sort, the chart updates to always chart the first five rows.
- All data is editable in the grid. Changes to the grid data is reflected in the charts.
- The pie charts have legends on the right side. This is configured in the
chartThemeOverrides. - The chart menu has been hidden in the example below.
"use client";
import React, {
useCallback,
useMemo,
useRef,
useState,
useEffect,
StrictMode,
} from "react";
import { createRoot } from "react-dom/client";
import { AgGridReact, AgGridProvider } from "ag-grid-react";
import { AgChartsEnterpriseModule } from "ag-charts-enterprise";
import {
CellSelectionOptions,
ChartToolPanelsDef,
ClientSideRowModelModule,
ColDef,
ColGroupDef,
FirstDataRenderedEvent,
GetChartToolbarItems,
GridApi,
GridOptions,
GridReadyEvent,
ModuleRegistry,
NumberEditorModule,
NumberFilterModule,
TextEditorModule,
TextFilterModule,
enableDevValidations,
} from "ag-grid-community";
import {
ColumnMenuModule,
ContextMenuModule,
IntegratedChartsModule,
RowGroupingModule,
} from "ag-grid-enterprise";
import { getData } from "./data";
if (process.env.NODE_ENV !== "production") {
// Enable extended validations only for development
enableDevValidations();
}
const modules = [
NumberEditorModule,
TextEditorModule,
TextFilterModule,
NumberFilterModule,
ClientSideRowModelModule,
IntegratedChartsModule.with(AgChartsEnterpriseModule),
ColumnMenuModule,
ContextMenuModule,
RowGroupingModule,
];
function createGroupedBarChart(
params: FirstDataRenderedEvent,
selector: string,
columns: string[],
) {
params.api.createRangeChart({
chartContainer: document.querySelector(selector) as HTMLElement,
cellRange: {
rowStartIndex: 0,
rowEndIndex: 4,
columns,
},
suppressChartRanges: true,
chartType: "groupedBar",
});
}
function createPieChart(
params: FirstDataRenderedEvent,
selector: string,
columns: string[],
) {
params.api.createRangeChart({
chartContainer: document.querySelector(selector) as HTMLElement,
cellRange: { columns },
suppressChartRanges: true,
chartType: "pie",
aggFunc: "sum",
chartThemeOverrides: {
common: {
padding: {
top: 20,
left: 10,
bottom: 30,
right: 10,
},
legend: {
position: "right",
},
},
},
});
}
const GridExample = () => {
const gridRef = useRef<AgGridReact>(null);
const containerStyle = useMemo(() => ({ width: "100%", height: "100%" }), []);
const gridStyle = useMemo(() => ({ height: "30%", width: "100%" }), []);
const [rowData, setRowData] = useState<any[]>();
const [columnDefs, setColumnDefs] = useState<ColDef[]>([
{ field: "country", width: 150, chartDataType: "category" },
{ field: "group", chartDataType: "category" },
{ field: "gold", chartDataType: "series" },
{ field: "silver", chartDataType: "series" },
{ field: "bronze", chartDataType: "series" },
]);
const defaultColDef = useMemo<ColDef>(() => {
return {
editable: true,
flex: 1,
minWidth: 100,
filter: true,
};
}, []);
const chartToolPanelsDef = useMemo<ChartToolPanelsDef>(() => {
return { panels: [] };
}, []);
const popupParent = useMemo<HTMLElement | null>(() => {
return document.body;
}, []);
const getChartToolbarItems = useCallback(() => [], []);
const onGridReady = useCallback((params: GridReadyEvent) => {
getData().then((rowData) => setRowData(rowData));
}, []);
const onFirstDataRendered = useCallback((event: FirstDataRenderedEvent) => {
createGroupedBarChart(event, "#chart1", ["country", "gold", "silver"]);
createPieChart(event, "#chart2", ["group", "gold"]);
createPieChart(event, "#chart3", ["group", "silver"]);
}, []);
return (
<AgGridProvider modules={modules}>
<div style={containerStyle}>
<div
style={{
display: "flex",
flexDirection: "column",
height: "100%",
width: "100%",
overflow: "hidden",
}}
>
<div style={gridStyle}>
<AgGridReact
ref={gridRef}
rowData={rowData}
columnDefs={columnDefs}
defaultColDef={defaultColDef}
cellSelection={true}
enableCharts={true}
chartToolPanelsDef={chartToolPanelsDef}
popupParent={popupParent}
getChartToolbarItems={getChartToolbarItems}
onGridReady={onGridReady}
onFirstDataRendered={onFirstDataRendered}
/>
</div>
<div
id="chart1"
className="my-chart"
style={{ flex: "1 1 auto", height: "30%" }}
></div>
<div
style={{
display: "flex",
flex: "1 1 auto",
height: "30%",
gap: "8px",
}}
>
<div
id="chart2"
className="my-chart"
style={{ flex: "1 1 auto", width: "50%" }}
></div>
<div
id="chart3"
className="my-chart"
style={{ flex: "1 1 auto", width: "50%" }}
></div>
</div>
</div>
</div>
</AgGridProvider>
);
};
const root = createRoot(document.getElementById("root")!);
root.render(
<StrictMode>
<GridExample />
</StrictMode>,
);
export async function getData(delay: number = 100): Promise<any[]> {
// Simulate a server delay using setTimeout wrapped in a Promise
return await new Promise<any[]>((resolve) => setTimeout(() => resolve(generateData()), delay));
}
function generateData(): any[] {
const countries = [
'Ireland',
'Spain',
'United Kingdom',
'France',
'Germany',
'Luxembourg',
'Sweden',
'Norway',
'Italy',
'Greece',
'Iceland',
'Portugal',
'Malta',
'Brazil',
'Argentina',
'Colombia',
'Peru',
'Venezuela',
'Uruguay',
'Belgium',
];
return countries.map((country, index) => ({
country,
group: index % 2 === 0 ? 'Group A' : 'Group B',
gold: Math.floor(((index + 1 / 7) * 333) % 100),
silver: Math.floor(((index + 1 / 3) * 555) % 100),
bronze: Math.floor(((index + 1 / 7.3) * 777) % 100),
}));
}
Hiding Chart Ranges Copy Link
In some cases it may be desirable to hide the chart ranges in the grid, see Combination Charts.
To hide the chart ranges simply enable suppressChartRanges=true on the ChartRangeParams.
For more details refer to Range Chart API.
Combination Charts Copy Link
It is possible to create the following combination chart types via gridApi.createRangeChart():
- Column & Line (
chartType: 'columnLineCombo') - Area & Column (
chartType: 'areaColumnCombo') - Custom Combination (
chartType: 'customCombo')
When the customCombo chart type is specified a new CreateRangeChartParams.seriesChartTypes must also be supplied. Also note that when seriesChartTypes is present a customCombo chart type is assumed, regardless of which chartType is supplied.
The seriesChartTypes property accepts an array of SeriesChartType objects as shown below:
gridApi.createRangeChart({
chartType: 'customCombo',
cellRange: {
columns: ['month', 'rain', 'pressure', 'temp'],
},
seriesChartTypes: [
{ colId: 'rain', chartType: 'groupedColumn', secondaryAxis: false },
{ colId: 'pressure', chartType: 'line', secondaryAxis: true },
{ colId: 'temp', chartType: 'line', secondaryAxis: true }
],
aggFunc: 'sum',
});The following series chart types are supported with combination charts:
- Line (
chartType: 'line') - Area (
chartType: 'Area') - Stacked Area (
chartType: 'stackedArea') - Grouped Column (
chartType: 'groupedColumn') - Stacked Column (
chartType: 'stackedColumn')
Note that only line and area series chart types can be plotted against a secondary axis.
The following example demonstrates the above configuration, note the following:
- The 'Rain' series uses a
groupedColumnchart type and is plotted against the primary Y axis (secondaryAxis=false) - 'Pressure' and 'Temp' use a
linechart type and are plotted against separate secondary Y axes (secondaryAxis=true) - Values are aggregated by the 'Month' category by setting
aggFunc: 'sum' - Chart Ranges are hidden using
suppressChartRanges=true
"use client";
import React, {
useCallback,
useMemo,
useRef,
useState,
useEffect,
StrictMode,
} from "react";
import { createRoot } from "react-dom/client";
import { AgGridReact, AgGridProvider } from "ag-grid-react";
import "./style.css";
import { AgChartsEnterpriseModule } from "ag-charts-enterprise";
import { AgAxisCaptionFormatterParams } from "ag-charts-types";
import {
AgChartThemeOverrides,
CellSelectionOptions,
ClientSideRowModelModule,
ColDef,
ColGroupDef,
FirstDataRenderedEvent,
GridApi,
GridOptions,
GridReadyEvent,
ModuleRegistry,
NumberEditorModule,
NumberFilterModule,
TextEditorModule,
TextFilterModule,
enableDevValidations,
} from "ag-grid-community";
import {
ColumnMenuModule,
ContextMenuModule,
IntegratedChartsModule,
RowGroupingModule,
} from "ag-grid-enterprise";
import { getData } from "./data";
if (process.env.NODE_ENV !== "production") {
// Enable extended validations only for development
enableDevValidations();
}
const modules = [
TextEditorModule,
TextFilterModule,
NumberEditorModule,
NumberFilterModule,
ClientSideRowModelModule,
IntegratedChartsModule.with(AgChartsEnterpriseModule),
ColumnMenuModule,
ContextMenuModule,
RowGroupingModule,
];
const GridExample = () => {
const gridRef = useRef<AgGridReact>(null);
const containerStyle = useMemo(() => ({ width: "100%", height: "100%" }), []);
const gridStyle = useMemo(() => ({ height: "100%", width: "100%" }), []);
const [rowData, setRowData] = useState<any[]>();
const [columnDefs, setColumnDefs] = useState<ColDef[]>([
{ field: "day", maxWidth: 120 },
{
field: "month",
chartDataType: "category",
filterParams: {
comparator: (a: string, b: string) => {
const months: {
[key: string]: number;
} = {
jan: 1,
feb: 2,
mar: 3,
apr: 4,
may: 5,
jun: 6,
jul: 7,
aug: 8,
sep: 9,
oct: 10,
nov: 11,
dec: 12,
};
const valA = months[a.toLowerCase()];
const valB = months[b.toLowerCase()];
if (valA === valB) return 0;
return valA > valB ? 1 : -1;
},
},
},
{ field: "rain", chartDataType: "series" },
{ field: "pressure", chartDataType: "series" },
{ field: "temp", chartDataType: "series" },
{ field: "wind", chartDataType: "series" },
]);
const defaultColDef = useMemo<ColDef>(() => {
return {
flex: 1,
minWidth: 100,
editable: true,
filter: true,
floatingFilter: true,
};
}, []);
const popupParent = useMemo<HTMLElement | null>(() => {
return document.body;
}, []);
const chartThemeOverrides = useMemo<AgChartThemeOverrides>(() => {
return {
common: {
axes: {
number: {
title: {
enabled: true,
formatter: (params: AgAxisCaptionFormatterParams) => {
return params.boundSeries.map((s) => s.name).join(" / ");
},
},
},
},
},
bar: {
series: {
strokeWidth: 2,
fillOpacity: 0.8,
},
},
line: {
series: {
strokeWidth: 5,
strokeOpacity: 0.8,
marker: {
enabled: false,
},
},
},
};
}, []);
const onGridReady = useCallback((params: GridReadyEvent) => {
getData().then((rowData) => setRowData(rowData));
}, []);
const onFirstDataRendered = useCallback((params: FirstDataRenderedEvent) => {
params.api.createRangeChart({
chartType: "customCombo",
cellRange: {
columns: ["month", "rain", "pressure", "temp"],
},
seriesChartTypes: [
{ colId: "rain", chartType: "groupedColumn", secondaryAxis: false },
{ colId: "pressure", chartType: "line", secondaryAxis: true },
{ colId: "temp", chartType: "line", secondaryAxis: true },
],
aggFunc: "sum",
suppressChartRanges: true,
chartContainer: document.querySelector("#myChart") as any,
});
}, []);
return (
<AgGridProvider modules={modules}>
<div style={containerStyle}>
<div className="wrapper">
<div style={gridStyle}>
<AgGridReact
ref={gridRef}
rowData={rowData}
columnDefs={columnDefs}
defaultColDef={defaultColDef}
cellSelection={true}
enableCharts={true}
popupParent={popupParent}
chartThemeOverrides={chartThemeOverrides}
onGridReady={onGridReady}
onFirstDataRendered={onFirstDataRendered}
/>
</div>
<div id="myChart"></div>
</div>
</div>
</AgGridProvider>
);
};
const root = createRoot(document.getElementById("root")!);
root.render(
<StrictMode>
<GridExample />
</StrictMode>,
);
.wrapper {
display: flex;
flex-direction: column;
height: 100%;
}
#myGrid {
flex: 2;
}
#myChart {
flex: 3;
min-height: 455px;
}
export async function getData(delay: number = 100): Promise<any[]> {
// Simulate a server delay using setTimeout wrapped in a Promise
return await new Promise<any[]>((resolve) => setTimeout(() => resolve(generateData()), delay));
}
function generateData(): any[] {
return [
{
date: '01/01/2021',
day: 1,
month: 'Jan',
year: 2021,
temp: 2.1,
rain: 0.22,
wind: 10.6,
pressure: 1011.6,
},
{
date: '02/01/2021',
day: 2,
month: 'Jan',
year: 2021,
temp: 3.8,
rain: 0.6,
wind: 12.5,
pressure: 1015.9,
},
{
date: '03/01/2021',
day: 3,
month: 'Jan',
year: 2021,
temp: 3.8,
rain: 2.2,
wind: 18.2,
pressure: 1017.6,
},
{
date: '04/01/2021',
day: 4,
month: 'Jan',
year: 2021,
temp: 4.3,
rain: 3.4,
wind: 27,
pressure: 1019.4,
},
{
date: '05/01/2021',
day: 5,
month: 'Jan',
year: 2021,
temp: 3.7,
rain: 1.4,
wind: 22.6,
pressure: 1020,
},
{
date: '06/01/2021',
day: 6,
month: 'Jan',
year: 2021,
temp: 4,
rain: 6.42,
wind: 18.8,
pressure: 1019.5,
},
{
date: '07/01/2021',
day: 7,
month: 'Jan',
year: 2021,
temp: 1.1,
rain: 0,
wind: 13.5,
pressure: 1018.5,
},
{
date: '08/01/2021',
day: 8,
month: 'Jan',
year: 2021,
temp: 0.6,
rain: 0,
wind: 7.6,
pressure: 1018.6,
},
{
date: '09/01/2021',
day: 9,
month: 'Jan',
year: 2021,
temp: 1.2,
rain: 0.4,
wind: 10.1,
pressure: 1026.3,
},
{
date: '10/01/2021',
day: 10,
month: 'Jan',
year: 2021,
temp: 1,
rain: 0,
wind: 11.3,
pressure: 1026,
},
{
date: '11/01/2021',
day: 11,
month: 'Jan',
year: 2021,
temp: 6.7,
rain: 0,
wind: 34.3,
pressure: 1017.8,
},
{
date: '12/01/2021',
day: 12,
month: 'Jan',
year: 2021,
temp: 6.9,
rain: 7.99,
wind: 30,
pressure: 1014.1,
},
{
date: '13/01/2021',
day: 13,
month: 'Jan',
year: 2021,
temp: 6.1,
rain: 2.19,
wind: 19,
pressure: 1018.4,
},
{
date: '14/01/2021',
day: 14,
month: 'Jan',
year: 2021,
temp: 5,
rain: 27.53,
wind: 16.7,
pressure: 1016.7,
},
{
date: '15/01/2021',
day: 15,
month: 'Jan',
year: 2021,
temp: 2.4,
rain: 0.6,
wind: 14.3,
pressure: 1029.7,
},
{
date: '16/01/2021',
day: 16,
month: 'Jan',
year: 2021,
temp: 4.9,
rain: 5.22,
wind: 21,
pressure: 1020,
},
{
date: '17/01/2021',
day: 17,
month: 'Jan',
year: 2021,
temp: 5.8,
rain: 0,
wind: 21.1,
pressure: 1023.5,
},
{
date: '18/01/2021',
day: 18,
month: 'Jan',
year: 2021,
temp: 5.3,
rain: 0.2,
wind: 25.1,
pressure: 1021.2,
},
{
date: '19/01/2021',
day: 19,
month: 'Jan',
year: 2021,
temp: 10.7,
rain: 2.69,
wind: 34,
pressure: 1004.1,
},
{
date: '20/01/2021',
day: 20,
month: 'Jan',
year: 2021,
temp: 10.2,
rain: 5.36,
wind: 34,
pressure: 987.5,
},
{
date: '21/01/2021',
day: 21,
month: 'Jan',
year: 2021,
temp: 6.6,
rain: 5.76,
wind: 0.3,
pressure: 984.6,
},
{
date: '22/01/2021',
day: 22,
month: 'Jan',
year: 2021,
temp: 4,
rain: 0.2,
wind: 17.3,
pressure: 992.2,
},
{
date: '23/01/2021',
day: 23,
month: 'Jan',
year: 2021,
temp: 2.1,
rain: 0.8,
wind: 16,
pressure: 995.6,
},
{
date: '24/01/2021',
day: 24,
month: 'Jan',
year: 2021,
temp: 0.6,
rain: 3.19,
wind: 14.4,
pressure: 997.1,
},
{
date: '25/01/2021',
day: 25,
month: 'Jan',
year: 2021,
temp: 1.8,
rain: 0.92,
wind: 18.4,
pressure: 1009.6,
},
{
date: '26/01/2021',
day: 26,
month: 'Jan',
year: 2021,
temp: 3,
rain: 0.6,
wind: 23.3,
pressure: 1015.8,
},
{
date: '27/01/2021',
day: 27,
month: 'Jan',
year: 2021,
temp: 8.4,
rain: 1.2,
wind: 13,
pressure: 1011,
},
{
date: '28/01/2021',
day: 28,
month: 'Jan',
year: 2021,
temp: 10.9,
rain: 18.8,
wind: 30.6,
pressure: 1001.6,
},
{
date: '29/01/2021',
day: 29,
month: 'Jan',
year: 2021,
temp: 9.5,
rain: 14.98,
wind: 29.9,
pressure: 998.3,
},
{
date: '30/01/2021',
day: 30,
month: 'Jan',
year: 2021,
temp: 5.4,
rain: 16.71,
wind: 26.5,
pressure: 997.9,
},
{
date: '31/01/2021',
day: 31,
month: 'Jan',
year: 2021,
temp: 3.1,
rain: 1,
wind: 19.3,
pressure: 997.9,
},
{
date: '01/02/2021',
day: 1,
month: 'Feb',
year: 2021,
temp: 4.1,
rain: 0.4,
wind: 12.3,
pressure: 996.9,
},
{
date: '02/02/2021',
day: 2,
month: 'Feb',
year: 2021,
temp: 9.3,
rain: 5.79,
wind: 24.8,
pressure: 994.7,
},
{
date: '03/02/2021',
day: 3,
month: 'Feb',
year: 2021,
temp: 8.7,
rain: 1.71,
wind: 23.4,
pressure: 996.6,
},
{
date: '04/02/2021',
day: 4,
month: 'Feb',
year: 2021,
temp: 7,
rain: 4.19,
wind: 15.4,
pressure: 1008.3,
},
{
date: '05/02/2021',
day: 5,
month: 'Feb',
year: 2021,
temp: 8.3,
rain: 10.06,
wind: 16.6,
pressure: 1008.2,
},
{
date: '06/02/2021',
day: 6,
month: 'Feb',
year: 2021,
temp: 6.8,
rain: 2.7,
wind: 18.8,
pressure: 1006.8,
},
{
date: '07/02/2021',
day: 7,
month: 'Feb',
year: 2021,
temp: 1.8,
rain: 10.59,
wind: 28.6,
pressure: 1004.4,
},
{
date: '08/02/2021',
day: 8,
month: 'Feb',
year: 2021,
temp: -0.8,
rain: 0,
wind: 28.7,
pressure: 1003.7,
},
{
date: '09/02/2021',
day: 9,
month: 'Feb',
year: 2021,
temp: -0.1,
rain: 0,
wind: 22.7,
pressure: 1006.9,
},
{
date: '10/02/2021',
day: 10,
month: 'Feb',
year: 2021,
temp: 0.3,
rain: 0,
wind: 18.1,
pressure: 1012.3,
},
{
date: '11/02/2021',
day: 11,
month: 'Feb',
year: 2021,
temp: -0.9,
rain: 0,
wind: 26.3,
pressure: 1025.1,
},
{
date: '12/02/2021',
day: 12,
month: 'Feb',
year: 2021,
temp: -0.5,
rain: 0,
wind: 36,
pressure: null,
},
{
date: '13/02/2021',
day: 13,
month: 'Feb',
year: 2021,
temp: -0.9,
rain: 0,
wind: 24.4,
pressure: 1032,
},
{
date: '14/02/2021',
day: 14,
month: 'Feb',
year: 2021,
temp: 2.9,
rain: 0.6,
wind: 25.5,
pressure: 1025.7,
},
{
date: '15/02/2021',
day: 15,
month: 'Feb',
year: 2021,
temp: 8.8,
rain: 3,
wind: 20.5,
pressure: 1018.2,
},
{
date: '16/02/2021',
day: 16,
month: 'Feb',
year: 2021,
temp: 9.5,
rain: 2.61,
wind: 23.9,
pressure: 1010,
},
{
date: '17/02/2021',
day: 17,
month: 'Feb',
year: 2021,
temp: 10,
rain: 3.41,
wind: 28.8,
pressure: 1009.8,
},
{
date: '18/02/2021',
day: 18,
month: 'Feb',
year: 2021,
temp: 9,
rain: 3.61,
wind: 28.1,
pressure: 1003.8,
},
{
date: '19/02/2021',
day: 19,
month: 'Feb',
year: 2021,
temp: 8.8,
rain: 0,
wind: 27.3,
pressure: 1009.1,
},
{
date: '20/02/2021',
day: 20,
month: 'Feb',
year: 2021,
temp: 13.4,
rain: 0,
wind: 25.1,
pressure: 1002.1,
},
{
date: '21/02/2021',
day: 21,
month: 'Feb',
year: 2021,
temp: 12,
rain: 0.23,
wind: 21.3,
pressure: 1008.3,
},
{
date: '22/02/2021',
day: 22,
month: 'Feb',
year: 2021,
temp: 9.9,
rain: 1,
wind: 12.8,
pressure: 1014.8,
},
{
date: '23/02/2021',
day: 23,
month: 'Feb',
year: 2021,
temp: 10.7,
rain: 0.2,
wind: 33.9,
pressure: 1022.9,
},
{
date: '24/02/2021',
day: 24,
month: 'Feb',
year: 2021,
temp: 13.3,
rain: 0,
wind: 26.6,
pressure: 1022.4,
},
{
date: '25/02/2021',
day: 25,
month: 'Feb',
year: 2021,
temp: 10.7,
rain: 0.8,
wind: 22,
pressure: 1026.7,
},
{
date: '26/02/2021',
day: 26,
month: 'Feb',
year: 2021,
temp: 7.2,
rain: 0,
wind: 13,
pressure: 1037.3,
},
{
date: '27/02/2021',
day: 27,
month: 'Feb',
year: 2021,
temp: 7,
rain: 0.2,
wind: 10.1,
pressure: 1040.9,
},
{
date: '28/02/2021',
day: 28,
month: 'Feb',
year: 2021,
temp: 6.3,
rain: 0,
wind: 16.7,
pressure: 1037.2,
},
{
date: '01/03/2021',
day: 1,
month: 'Mar',
year: 2021,
temp: 6.4,
rain: 0,
wind: 17.9,
pressure: 1032,
},
{
date: '02/03/2021',
day: 2,
month: 'Mar',
year: 2021,
temp: 5.8,
rain: 0,
wind: 12,
pressure: 1030,
},
{
date: '03/03/2021',
day: 3,
month: 'Mar',
year: 2021,
temp: 5.9,
rain: 9.17,
wind: 8.8,
pressure: 1027.6,
},
{
date: '04/03/2021',
day: 4,
month: 'Mar',
year: 2021,
temp: 5.5,
rain: 2.6,
wind: 16.7,
pressure: 1025.1,
},
{
date: '05/03/2021',
day: 5,
month: 'Mar',
year: 2021,
temp: 4.8,
rain: 0.2,
wind: 20.5,
pressure: 1031.8,
},
{
date: '06/03/2021',
day: 6,
month: 'Mar',
year: 2021,
temp: 4.5,
rain: 0,
wind: 13.7,
pressure: 1033.8,
},
{
date: '07/03/2021',
day: 7,
month: 'Mar',
year: 2021,
temp: 3.9,
rain: 0,
wind: 11.3,
pressure: 1027.7,
},
{
date: '08/03/2021',
day: 8,
month: 'Mar',
year: 2021,
temp: 5.2,
rain: 0,
wind: 11.6,
pressure: 1023.8,
},
{
date: '09/03/2021',
day: 9,
month: 'Mar',
year: 2021,
temp: 7.8,
rain: 0.2,
wind: 21.2,
pressure: 1020,
},
{
date: '10/03/2021',
day: 10,
month: 'Mar',
year: 2021,
temp: 8.1,
rain: 1.01,
wind: 33.6,
pressure: 1007.4,
},
{
date: '11/03/2021',
day: 11,
month: 'Mar',
year: 2021,
temp: 9.9,
rain: 6.32,
wind: 45.9,
pressure: 996.3,
},
{
date: '12/03/2021',
day: 12,
month: 'Mar',
year: 2021,
temp: 7.8,
rain: 4.8,
wind: 37.4,
pressure: 1002.1,
},
{
date: '13/03/2021',
day: 13,
month: 'Mar',
year: 2021,
temp: 7.3,
rain: 5.01,
wind: 42.6,
pressure: 995.7,
},
{
date: '14/03/2021',
day: 14,
month: 'Mar',
year: 2021,
temp: 8,
rain: 0.48,
wind: 29,
pressure: 1012.9,
},
{
date: '15/03/2021',
day: 15,
month: 'Mar',
year: 2021,
temp: 9.7,
rain: 1.78,
wind: 24.1,
pressure: 1020.4,
},
{
date: '16/03/2021',
day: 16,
month: 'Mar',
year: 2021,
temp: 10.2,
rain: 0.4,
wind: 24.1,
pressure: 1027.5,
},
{
date: '17/03/2021',
day: 17,
month: 'Mar',
year: 2021,
temp: 7.8,
rain: 1.99,
wind: 16.4,
pressure: 1033.2,
},
{
date: '18/03/2021',
day: 18,
month: 'Mar',
year: 2021,
temp: 7.9,
rain: 0.2,
wind: 25.4,
pressure: 1028.8,
},
{
date: '19/03/2021',
day: 19,
month: 'Mar',
year: 2021,
temp: 8.3,
rain: 0.4,
wind: 23,
pressure: 1028.1,
},
{
date: '20/03/2021',
day: 20,
month: 'Mar',
year: 2021,
temp: 8.1,
rain: 0,
wind: 16.4,
pressure: 1031.2,
},
{
date: '21/03/2021',
day: 21,
month: 'Mar',
year: 2021,
temp: 8.8,
rain: 0,
wind: 19.9,
pressure: 1028.7,
},
{
date: '22/03/2021',
day: 22,
month: 'Mar',
year: 2021,
temp: 9.5,
rain: 0,
wind: 13.8,
pressure: 1026.5,
},
{
date: '23/03/2021',
day: 23,
month: 'Mar',
year: 2021,
temp: 8.3,
rain: 0,
wind: 23,
pressure: 1024.2,
},
{
date: '24/03/2021',
day: 24,
month: 'Mar',
year: 2021,
temp: 8.9,
rain: 0,
wind: 19.9,
pressure: 1020.9,
},
{
date: '25/03/2021',
day: 25,
month: 'Mar',
year: 2021,
temp: 8.9,
rain: 2.39,
wind: 27.2,
pressure: 1018.4,
},
{
date: '26/03/2021',
day: 26,
month: 'Mar',
year: 2021,
temp: 9.3,
rain: 3.01,
wind: 33.9,
pressure: 1010.8,
},
{
date: '27/03/2021',
day: 27,
month: 'Mar',
year: 2021,
temp: 7.9,
rain: 1.12,
wind: 32,
pressure: 1020.5,
},
{
date: '28/03/2021',
day: 28,
month: 'Mar',
year: 2021,
temp: 10.7,
rain: 0,
wind: 34.2,
pressure: 1022.8,
},
{
date: '29/03/2021',
day: 29,
month: 'Mar',
year: 2021,
temp: 13,
rain: 0,
wind: 25.5,
pressure: 1026.6,
},
{
date: '30/03/2021',
day: 30,
month: 'Mar',
year: 2021,
temp: 13.4,
rain: 0,
wind: 14.1,
pressure: 1027.6,
},
{
date: '31/03/2021',
day: 31,
month: 'Mar',
year: 2021,
temp: 14.4,
rain: 0,
wind: 11,
pressure: 1020.5,
},
{
date: '01/04/2021',
day: 1,
month: 'Apr',
year: 2021,
temp: 11.1,
rain: 0,
wind: 23.1,
pressure: 1024.4,
},
{
date: '02/04/2021',
day: 2,
month: 'Apr',
year: 2021,
temp: 7.5,
rain: 0,
wind: 24.3,
pressure: 1030.2,
},
{
date: '03/04/2021',
day: 3,
month: 'Apr',
year: 2021,
temp: 7.7,
rain: 0,
wind: 21.8,
pressure: 1032.1,
},
{
date: '04/04/2021',
day: 4,
month: 'Apr',
year: 2021,
temp: 9.3,
rain: 0,
wind: 18.3,
pressure: 1026,
},
{
date: '05/04/2021',
day: 5,
month: 'Apr',
year: 2021,
temp: 6.9,
rain: 0,
wind: 28.8,
pressure: 1018.3,
},
{
date: '06/04/2021',
day: 6,
month: 'Apr',
year: 2021,
temp: 4.1,
rain: 0,
wind: 25.4,
pressure: 1020.6,
},
{
date: '07/04/2021',
day: 7,
month: 'Apr',
year: 2021,
temp: 3.6,
rain: 0,
wind: 22.5,
pressure: 1023.7,
},
{
date: '08/04/2021',
day: 8,
month: 'Apr',
year: 2021,
temp: 7.9,
rain: 0,
wind: 24.8,
pressure: 1021.7,
},
{
date: '09/04/2021',
day: 9,
month: 'Apr',
year: 2021,
temp: 9.3,
rain: 1,
wind: 18.6,
pressure: 1013.5,
},
{
date: '10/04/2021',
day: 10,
month: 'Apr',
year: 2021,
temp: 7.1,
rain: 0.2,
wind: 18.8,
pressure: 1013.2,
},
{
date: '11/04/2021',
day: 11,
month: 'Apr',
year: 2021,
temp: 5.2,
rain: 0.28,
wind: 19.6,
pressure: 1019.1,
},
{
date: '12/04/2021',
day: 12,
month: 'Apr',
year: 2021,
temp: 5.2,
rain: 2,
wind: 13.2,
pressure: 1028.6,
},
{
date: '13/04/2021',
day: 13,
month: 'Apr',
year: 2021,
temp: 6.5,
rain: 0,
wind: 15.9,
pressure: 1032.6,
},
{
date: '14/04/2021',
day: 14,
month: 'Apr',
year: 2021,
temp: 8.4,
rain: 0,
wind: 18.1,
pressure: 1032.7,
},
{
date: '15/04/2021',
day: 15,
month: 'Apr',
year: 2021,
temp: 6.5,
rain: 0.4,
wind: 16.7,
pressure: 1033.2,
},
{
date: '16/04/2021',
day: 16,
month: 'Apr',
year: 2021,
temp: 6.9,
rain: 0,
wind: 13.7,
pressure: 1031.2,
},
{
date: '17/04/2021',
day: 17,
month: 'Apr',
year: 2021,
temp: 8.2,
rain: 0,
wind: 14.9,
pressure: 1029.1,
},
{
date: '18/04/2021',
day: 18,
month: 'Apr',
year: 2021,
temp: 9.3,
rain: 0,
wind: 11.3,
pressure: 1025.1,
},
{
date: '19/04/2021',
day: 19,
month: 'Apr',
year: 2021,
temp: 10.5,
rain: 0,
wind: 15,
pressure: 1021.4,
},
{
date: '20/04/2021',
day: 20,
month: 'Apr',
year: 2021,
temp: 11.3,
rain: 0,
wind: 14.5,
pressure: 1018.1,
},
{
date: '21/04/2021',
day: 21,
month: 'Apr',
year: 2021,
temp: 10.1,
rain: 0,
wind: 21.3,
pressure: 1021,
},
{
date: '22/04/2021',
day: 22,
month: 'Apr',
year: 2021,
temp: 8.5,
rain: 0,
wind: 19.3,
pressure: 1027.1,
},
{
date: '23/04/2021',
day: 23,
month: 'Apr',
year: 2021,
temp: 9.5,
rain: 0,
wind: 20.8,
pressure: 1028.6,
},
{
date: '24/04/2021',
day: 24,
month: 'Apr',
year: 2021,
temp: 10.7,
rain: 0,
wind: 23.9,
pressure: 1027.5,
},
{
date: '25/04/2021',
day: 25,
month: 'Apr',
year: 2021,
temp: 8.9,
rain: 0,
wind: 25.2,
pressure: 1028.2,
},
{
date: '26/04/2021',
day: 26,
month: 'Apr',
year: 2021,
temp: 8.2,
rain: 0,
wind: 20.6,
pressure: 1021.7,
},
{
date: '27/04/2021',
day: 27,
month: 'Apr',
year: 2021,
temp: 9.8,
rain: 0,
wind: 15.6,
pressure: 1010.5,
},
{
date: '28/04/2021',
day: 28,
month: 'Apr',
year: 2021,
temp: 9.3,
rain: 2.01,
wind: 22.2,
pressure: 1006.4,
},
{
date: '29/04/2021',
day: 29,
month: 'Apr',
year: 2021,
temp: 8.3,
rain: 3.61,
wind: 17.5,
pressure: 1011.2,
},
{
date: '30/04/2021',
day: 30,
month: 'Apr',
year: 2021,
temp: 8.3,
rain: 0,
wind: 14.9,
pressure: 1015,
},
{
date: '01/05/2021',
day: 1,
month: 'May',
year: 2021,
temp: 8.7,
rain: 0.2,
wind: 17.1,
pressure: 1016.4,
},
{
date: '02/05/2021',
day: 2,
month: 'May',
year: 2021,
temp: 9.3,
rain: 2.6,
wind: 17.3,
pressure: 1020.3,
},
{
date: '03/05/2021',
day: 3,
month: 'May',
year: 2021,
temp: 9.7,
rain: 0.6,
wind: 43.9,
pressure: 1013.1,
},
{
date: '04/05/2021',
day: 4,
month: 'May',
year: 2021,
temp: 10.3,
rain: 5.53,
wind: 43.7,
pressure: 999.7,
},
{
date: '05/05/2021',
day: 5,
month: 'May',
year: 2021,
temp: 7.5,
rain: 3.2,
wind: 24.8,
pressure: 1008.7,
},
{
date: '06/05/2021',
day: 6,
month: 'May',
year: 2021,
temp: 7.6,
rain: 1.9,
wind: 20.1,
pressure: 1007.3,
},
{
date: '07/05/2021',
day: 7,
month: 'May',
year: 2021,
temp: 9.9,
rain: 0,
wind: 20.8,
pressure: 1015.2,
},
{
date: '08/05/2021',
day: 8,
month: 'May',
year: 2021,
temp: 12.2,
rain: 10.41,
wind: 36.8,
pressure: 1005.8,
},
{
date: '09/05/2021',
day: 9,
month: 'May',
year: 2021,
temp: 16.4,
rain: 0,
wind: 27.7,
pressure: 997.2,
},
{
date: '10/05/2021',
day: 10,
month: 'May',
year: 2021,
temp: 13.6,
rain: 0.8,
wind: 35.7,
pressure: 1000.1,
},
{
date: '11/05/2021',
day: 11,
month: 'May',
year: 2021,
temp: 12.9,
rain: 0.6,
wind: 26.6,
pressure: 1007,
},
{
date: '12/05/2021',
day: 12,
month: 'May',
year: 2021,
temp: 13,
rain: 1,
wind: 21.6,
pressure: 1008.5,
},
{
date: '13/05/2021',
day: 13,
month: 'May',
year: 2021,
temp: 11.6,
rain: 6.61,
wind: 18.1,
pressure: 1006.1,
},
{
date: '14/05/2021',
day: 14,
month: 'May',
year: 2021,
temp: 10.2,
rain: 1.2,
wind: 16,
pressure: 1009,
},
{
date: '15/05/2021',
day: 15,
month: 'May',
year: 2021,
temp: 10.3,
rain: 6.63,
wind: 16,
pressure: 1001.2,
},
{
date: '16/05/2021',
day: 16,
month: 'May',
year: 2021,
temp: 10.5,
rain: 6.39,
wind: 18.5,
pressure: 998,
},
{
date: '17/05/2021',
day: 17,
month: 'May',
year: 2021,
temp: 11.5,
rain: 11.32,
wind: 23,
pressure: 1004.6,
},
{
date: '18/05/2021',
day: 18,
month: 'May',
year: 2021,
temp: 11.1,
rain: 5.99,
wind: 17.5,
pressure: 1013.2,
},
{
date: '19/05/2021',
day: 19,
month: 'May',
year: 2021,
temp: 12.4,
rain: 6,
wind: 20,
pressure: 1017.4,
},
{
date: '20/05/2021',
day: 20,
month: 'May',
year: 2021,
temp: 11.2,
rain: 0.8,
wind: 37.6,
pressure: 1013.4,
},
{
date: '21/05/2021',
day: 21,
month: 'May',
year: 2021,
temp: 11.8,
rain: 2.16,
wind: 42.3,
pressure: 996.9,
},
{
date: '22/05/2021',
day: 22,
month: 'May',
year: 2021,
temp: 10.8,
rain: 7.39,
wind: 25.2,
pressure: 1002.7,
},
{
date: '23/05/2021',
day: 23,
month: 'May',
year: 2021,
temp: 10.1,
rain: 2.3,
wind: 30.2,
pressure: 1008.3,
},
{
date: '24/05/2021',
day: 24,
month: 'May',
year: 2021,
temp: 10.3,
rain: 12.26,
wind: 25.1,
pressure: 1003.1,
},
{
date: '25/05/2021',
day: 25,
month: 'May',
year: 2021,
temp: 11,
rain: 4.38,
wind: 26.1,
pressure: 1013.4,
},
{
date: '26/05/2021',
day: 26,
month: 'May',
year: 2021,
temp: 11.5,
rain: 0.8,
wind: 19.3,
pressure: 1014.7,
},
{
date: '27/05/2021',
day: 27,
month: 'May',
year: 2021,
temp: 14.5,
rain: 0,
wind: 13.1,
pressure: 1020,
},
{
date: '28/05/2021',
day: 28,
month: 'May',
year: 2021,
temp: 14.9,
rain: 0.6,
wind: 11,
pressure: 1023.2,
},
{
date: '29/05/2021',
day: 29,
month: 'May',
year: 2021,
temp: 16.2,
rain: 0.2,
wind: 19.3,
pressure: 1026.5,
},
{
date: '30/05/2021',
day: 30,
month: 'May',
year: 2021,
temp: 13.2,
rain: 0,
wind: 18.2,
pressure: 1027.6,
},
{
date: '31/05/2021',
day: 31,
month: 'May',
year: 2021,
temp: 16,
rain: 0.2,
wind: 18.8,
pressure: 1021.6,
},
{
date: '01/06/2021',
day: 1,
month: 'Jun',
year: 2021,
temp: 18.8,
rain: 0,
wind: 22.5,
pressure: 1015.2,
},
{
date: '02/06/2021',
day: 2,
month: 'Jun',
year: 2021,
temp: 20.1,
rain: 0,
wind: 16.8,
pressure: 1012.6,
},
{
date: '03/06/2021',
day: 3,
month: 'Jun',
year: 2021,
temp: 20.2,
rain: 1.25,
wind: 16.6,
pressure: 1018.1,
},
{
date: '04/06/2021',
day: 4,
month: 'Jun',
year: 2021,
temp: 15.3,
rain: 9.99,
wind: 13.2,
pressure: 1022.7,
},
{
date: '05/06/2021',
day: 5,
month: 'Jun',
year: 2021,
temp: 18,
rain: 0.4,
wind: 13.5,
pressure: 1024.2,
},
{
date: '06/06/2021',
day: 6,
month: 'Jun',
year: 2021,
temp: 18.4,
rain: 0.42,
wind: 12.4,
pressure: 1024.5,
},
{
date: '07/06/2021',
day: 7,
month: 'Jun',
year: 2021,
temp: 19,
rain: 0,
wind: 15.6,
pressure: 1023.8,
},
{
date: '08/06/2021',
day: 8,
month: 'Jun',
year: 2021,
temp: 19.1,
rain: 0,
wind: 14.8,
pressure: 1023.1,
},
{
date: '09/06/2021',
day: 9,
month: 'Jun',
year: 2021,
temp: 19.8,
rain: 0,
wind: 21.2,
pressure: 1021.7,
},
{
date: '10/06/2021',
day: 10,
month: 'Jun',
year: 2021,
temp: 19.6,
rain: 0,
wind: 19.2,
pressure: 1020.9,
},
{
date: '11/06/2021',
day: 11,
month: 'Jun',
year: 2021,
temp: 19.8,
rain: 0,
wind: 22.3,
pressure: 1019.8,
},
{
date: '12/06/2021',
day: 12,
month: 'Jun',
year: 2021,
temp: 19.6,
rain: 0,
wind: 18.5,
pressure: 1023.2,
},
{
date: '13/06/2021',
day: 13,
month: 'Jun',
year: 2021,
temp: 21.4,
rain: 0,
wind: 17.1,
pressure: 1026.1,
},
{
date: '14/06/2021',
day: 14,
month: 'Jun',
year: 2021,
temp: 22.1,
rain: 0,
wind: 13.9,
pressure: 1020.8,
},
{
date: '15/06/2021',
day: 15,
month: 'Jun',
year: 2021,
temp: 20,
rain: 0,
wind: 17.1,
pressure: 1020.7,
},
{
date: '16/06/2021',
day: 16,
month: 'Jun',
year: 2021,
temp: 21.8,
rain: 0,
wind: 17.2,
pressure: 1012.2,
},
{
date: '17/06/2021',
day: 17,
month: 'Jun',
year: 2021,
temp: 19.3,
rain: 11.52,
wind: 14.2,
pressure: 1010.5,
},
{
date: '18/06/2021',
day: 18,
month: 'Jun',
year: 2021,
temp: 15,
rain: 38.29,
wind: 18.2,
pressure: 1013.1,
},
{
date: '19/06/2021',
day: 19,
month: 'Jun',
year: 2021,
temp: 14.1,
rain: 3.2,
wind: 13.5,
pressure: 1014.1,
},
{
date: '20/06/2021',
day: 20,
month: 'Jun',
year: 2021,
temp: 15.1,
rain: 1.8,
wind: 18.8,
pressure: 1008.9,
},
{
date: '21/06/2021',
day: 21,
month: 'Jun',
year: 2021,
temp: 13.4,
rain: 6.88,
wind: 20.5,
pressure: 1012.4,
},
{
date: '22/06/2021',
day: 22,
month: 'Jun',
year: 2021,
temp: 14.1,
rain: 2.2,
wind: 23.2,
pressure: 1020.2,
},
{
date: '23/06/2021',
day: 23,
month: 'Jun',
year: 2021,
temp: 15.6,
rain: 0.2,
wind: 11.2,
pressure: 1023.4,
},
{
date: '24/06/2021',
day: 24,
month: 'Jun',
year: 2021,
temp: 16.5,
rain: 0.2,
wind: 15.4,
pressure: 1021.6,
},
{
date: '25/06/2021',
day: 25,
month: 'Jun',
year: 2021,
temp: 17.8,
rain: 0.46,
wind: 14.9,
pressure: 1016.3,
},
{
date: '26/06/2021',
day: 26,
month: 'Jun',
year: 2021,
temp: 17.9,
rain: 0,
wind: 15.6,
pressure: 1017.4,
},
{
date: '27/06/2021',
day: 27,
month: 'Jun',
year: 2021,
temp: 17.7,
rain: 1,
wind: 20.6,
pressure: 1015.7,
},
{
date: '28/06/2021',
day: 28,
month: 'Jun',
year: 2021,
temp: 17.4,
rain: 27.95,
wind: 15.6,
pressure: 1014.4,
},
{
date: '29/06/2021',
day: 29,
month: 'Jun',
year: 2021,
temp: 16.3,
rain: 2.2,
wind: 19,
pressure: 1015.3,
},
{
date: '30/06/2021',
day: 30,
month: 'Jun',
year: 2021,
temp: 15.6,
rain: 0,
wind: 13.5,
pressure: 1017.3,
},
{
date: '01/07/2021',
day: 1,
month: 'Jul',
year: 2021,
temp: 17.6,
rain: 0,
wind: 10.8,
pressure: 1017.8,
},
{
date: '02/07/2021',
day: 2,
month: 'Jul',
year: 2021,
temp: 19.6,
rain: 0,
wind: 15.3,
pressure: 1016.1,
},
{
date: '03/07/2021',
day: 3,
month: 'Jul',
year: 2021,
temp: 18.6,
rain: 2.41,
wind: 20.9,
pressure: 1012,
},
{
date: '04/07/2021',
day: 4,
month: 'Jul',
year: 2021,
temp: 17.7,
rain: 3.21,
wind: 24.9,
pressure: 1007.7,
},
{
date: '05/07/2021',
day: 5,
month: 'Jul',
year: 2021,
temp: 16.7,
rain: 2.99,
wind: 24.7,
pressure: 1004.9,
},
{
date: '06/07/2021',
day: 6,
month: 'Jul',
year: 2021,
temp: 15.4,
rain: 20.41,
wind: 31,
pressure: 999.6,
},
{
date: '07/07/2021',
day: 7,
month: 'Jul',
year: 2021,
temp: 16.8,
rain: 0.2,
wind: 24.1,
pressure: 1011.3,
},
{
date: '08/07/2021',
day: 8,
month: 'Jul',
year: 2021,
temp: 17.8,
rain: 6.31,
wind: 16.8,
pressure: 1019.4,
},
{
date: '09/07/2021',
day: 9,
month: 'Jul',
year: 2021,
temp: 19.1,
rain: 0.4,
wind: 18.3,
pressure: 1020.6,
},
{
date: '10/07/2021',
day: 10,
month: 'Jul',
year: 2021,
temp: 16.3,
rain: 2.32,
wind: 12.1,
pressure: 1016.7,
},
{
date: '11/07/2021',
day: 11,
month: 'Jul',
year: 2021,
temp: 17,
rain: 0,
wind: 16.6,
pressure: 1015.4,
},
{
date: '12/07/2021',
day: 12,
month: 'Jul',
year: 2021,
temp: 16.8,
rain: 5,
wind: 12.1,
pressure: 1011.2,
},
{
date: '13/07/2021',
day: 13,
month: 'Jul',
year: 2021,
temp: 18.9,
rain: 2.99,
wind: 17.5,
pressure: 1014.5,
},
{
date: '14/07/2021',
day: 14,
month: 'Jul',
year: 2021,
temp: 19.7,
rain: 0,
wind: 20.6,
pressure: 1017.9,
},
{
date: '15/07/2021',
day: 15,
month: 'Jul',
year: 2021,
temp: 18.7,
rain: 0,
wind: 17.4,
pressure: 1022.2,
},
{
date: '16/07/2021',
day: 16,
month: 'Jul',
year: 2021,
temp: 19.5,
rain: 0,
wind: 19.5,
pressure: 1026.6,
},
{
date: '17/07/2021',
day: 17,
month: 'Jul',
year: 2021,
temp: 22.1,
rain: 0,
wind: 12,
pressure: 1028,
},
{
date: '18/07/2021',
day: 18,
month: 'Jul',
year: 2021,
temp: 23.9,
rain: 0,
wind: 10,
pressure: 1024.9,
},
{
date: '19/07/2021',
day: 19,
month: 'Jul',
year: 2021,
temp: 24.3,
rain: 0,
wind: 12,
pressure: 1020.8,
},
{
date: '20/07/2021',
day: 20,
month: 'Jul',
year: 2021,
temp: 23.4,
rain: 1,
wind: 15.3,
pressure: 1019.7,
},
{
date: '21/07/2021',
day: 21,
month: 'Jul',
year: 2021,
temp: 23.9,
rain: 0.41,
wind: 13.2,
pressure: 1022.1,
},
{
date: '22/07/2021',
day: 22,
month: 'Jul',
year: 2021,
temp: 23.1,
rain: 0,
wind: 12.5,
pressure: 1022.6,
},
{
date: '23/07/2021',
day: 23,
month: 'Jul',
year: 2021,
temp: 19.5,
rain: 0,
wind: 23.2,
pressure: 1017.2,
},
{
date: '24/07/2021',
day: 24,
month: 'Jul',
year: 2021,
temp: 18.8,
rain: 1.07,
wind: 22,
pressure: 1008.6,
},
{
date: '25/07/2021',
day: 25,
month: 'Jul',
year: 2021,
temp: 18.4,
rain: 39.82,
wind: 17.1,
pressure: 1007.7,
},
{
date: '26/07/2021',
day: 26,
month: 'Jul',
year: 2021,
temp: 20,
rain: 2,
wind: 15.2,
pressure: 1009.8,
},
{
date: '27/07/2021',
day: 27,
month: 'Jul',
year: 2021,
temp: 19.2,
rain: 5.14,
wind: 20.2,
pressure: 1008.4,
},
{
date: '28/07/2021',
day: 28,
month: 'Jul',
year: 2021,
temp: 17.1,
rain: 18.93,
wind: 25.1,
pressure: 1006.9,
},
{
date: '29/07/2021',
day: 29,
month: 'Jul',
year: 2021,
temp: 17,
rain: 2.99,
wind: 29.1,
pressure: 1009.7,
},
{
date: '30/07/2021',
day: 30,
month: 'Jul',
year: 2021,
temp: 16.5,
rain: 6.44,
wind: 35.6,
pressure: 1003.3,
},
{
date: '31/07/2021',
day: 31,
month: 'Jul',
year: 2021,
temp: 16.7,
rain: 1.44,
wind: 19,
pressure: 1009,
},
{
date: '01/08/2021',
day: 1,
month: 'Aug',
year: 2021,
temp: 17.1,
rain: 3.79,
wind: 13.2,
pressure: 1011.2,
},
{
date: '02/08/2021',
day: 2,
month: 'Aug',
year: 2021,
temp: 16.5,
rain: 0,
wind: 14.2,
pressure: 1014.9,
},
{
date: '03/08/2021',
day: 3,
month: 'Aug',
year: 2021,
temp: 16.9,
rain: 1,
wind: 12.4,
pressure: 1013.2,
},
{
date: '04/08/2021',
day: 4,
month: 'Aug',
year: 2021,
temp: 17.6,
rain: 0,
wind: 13.5,
pressure: 1012.9,
},
{
date: '05/08/2021',
day: 5,
month: 'Aug',
year: 2021,
temp: 17,
rain: 2.01,
wind: 25.8,
pressure: 1005.3,
},
{
date: '06/08/2021',
day: 6,
month: 'Aug',
year: 2021,
temp: 17.6,
rain: 3.69,
wind: 33.1,
pressure: 998.4,
},
{
date: '07/08/2021',
day: 7,
month: 'Aug',
year: 2021,
temp: 16.2,
rain: 33.91,
wind: 24.1,
pressure: 997.9,
},
{
date: '08/08/2021',
day: 8,
month: 'Aug',
year: 2021,
temp: 16.1,
rain: 11,
wind: 25.8,
pressure: 1005.3,
},
{
date: '09/08/2021',
day: 9,
month: 'Aug',
year: 2021,
temp: 16.2,
rain: 16.19,
wind: 23.6,
pressure: 1011.5,
},
{
date: '10/08/2021',
day: 10,
month: 'Aug',
year: 2021,
temp: 17.9,
rain: 1,
wind: 14.8,
pressure: 1015.3,
},
{
date: '11/08/2021',
day: 11,
month: 'Aug',
year: 2021,
temp: 18.4,
rain: 0,
wind: 16.5,
pressure: 1018,
},
{
date: '12/08/2021',
day: 12,
month: 'Aug',
year: 2021,
temp: 18.9,
rain: 0.4,
wind: 20.5,
pressure: 1018.2,
},
{
date: '13/08/2021',
day: 13,
month: 'Aug',
year: 2021,
temp: 18,
rain: 0,
wind: 21.6,
pressure: 1020.8,
},
{
date: '14/08/2021',
day: 14,
month: 'Aug',
year: 2021,
temp: 19.4,
rain: 0,
wind: 19.9,
pressure: 1019.9,
},
{
date: '15/08/2021',
day: 15,
month: 'Aug',
year: 2021,
temp: 18.7,
rain: 0.31,
wind: 26.6,
pressure: 1013.6,
},
{
date: '16/08/2021',
day: 16,
month: 'Aug',
year: 2021,
temp: 16.3,
rain: 1.2,
wind: 22.6,
pressure: 1016.8,
},
{
date: '17/08/2021',
day: 17,
month: 'Aug',
year: 2021,
temp: 15.6,
rain: 0.32,
wind: 21.6,
pressure: 1019.8,
},
{
date: '18/08/2021',
day: 18,
month: 'Aug',
year: 2021,
temp: 18.5,
rain: 0.78,
wind: 24.8,
pressure: 1016.9,
},
{
date: '19/08/2021',
day: 19,
month: 'Aug',
year: 2021,
temp: 17.6,
rain: 0,
wind: 17,
pressure: 1014.3,
},
{
date: '20/08/2021',
day: 20,
month: 'Aug',
year: 2021,
temp: 18,
rain: 1.66,
wind: 12.9,
pressure: 1016,
},
{
date: '21/08/2021',
day: 21,
month: 'Aug',
year: 2021,
temp: 18.2,
rain: 0.2,
wind: 12.8,
pressure: 1015.5,
},
{
date: '22/08/2021',
day: 22,
month: 'Aug',
year: 2021,
temp: 18.1,
rain: 2.57,
wind: 18.2,
pressure: 1018.6,
},
{
date: '23/08/2021',
day: 23,
month: 'Aug',
year: 2021,
temp: 17.8,
rain: 0.26,
wind: 16.1,
pressure: 1027.5,
},
{
date: '24/08/2021',
day: 24,
month: 'Aug',
year: 2021,
temp: 17.5,
rain: 0,
wind: 20.1,
pressure: 1029.5,
},
{
date: '25/08/2021',
day: 25,
month: 'Aug',
year: 2021,
temp: 17.5,
rain: 0,
wind: 18.2,
pressure: 1025.8,
},
{
date: '26/08/2021',
day: 26,
month: 'Aug',
year: 2021,
temp: 17.1,
rain: 0,
wind: 20.2,
pressure: 1022.1,
},
{
date: '27/08/2021',
day: 27,
month: 'Aug',
year: 2021,
temp: 16,
rain: 0,
wind: 17,
pressure: 1023.4,
},
{
date: '28/08/2021',
day: 28,
month: 'Aug',
year: 2021,
temp: 16.2,
rain: 0,
wind: 17.5,
pressure: 1025.9,
},
{
date: '29/08/2021',
day: 29,
month: 'Aug',
year: 2021,
temp: 15.5,
rain: 0,
wind: 17,
pressure: 1025.4,
},
{
date: '30/08/2021',
day: 30,
month: 'Aug',
year: 2021,
temp: 15.8,
rain: 0,
wind: 19.3,
pressure: 1026.1,
},
{
date: '31/08/2021',
day: 31,
month: 'Aug',
year: 2021,
temp: 16,
rain: 0.6,
wind: 18.6,
pressure: 1029.3,
},
{
date: '01/09/2021',
day: 1,
month: 'Sep',
year: 2021,
temp: 16.3,
rain: 0,
wind: 17,
pressure: 1030.8,
},
{
date: '02/09/2021',
day: 2,
month: 'Sep',
year: 2021,
temp: 17,
rain: 0,
wind: 21.2,
pressure: 1027.9,
},
{
date: '03/09/2021',
day: 3,
month: 'Sep',
year: 2021,
temp: 17.7,
rain: 0,
wind: 14.5,
pressure: 1021.9,
},
{
date: '04/09/2021',
day: 4,
month: 'Sep',
year: 2021,
temp: 16.8,
rain: 0,
wind: 14.9,
pressure: 1019,
},
{
date: '05/09/2021',
day: 5,
month: 'Sep',
year: 2021,
temp: 18.9,
rain: 0,
wind: 11.2,
pressure: 1020.4,
},
{
date: '06/09/2021',
day: 6,
month: 'Sep',
year: 2021,
temp: 20.2,
rain: 0,
wind: 6.2,
pressure: 1023,
},
{
date: '07/09/2021',
day: 7,
month: 'Sep',
year: 2021,
temp: 21.8,
rain: 0,
wind: 14.4,
pressure: 1020.9,
},
{
date: '08/09/2021',
day: 8,
month: 'Sep',
year: 2021,
temp: 21.6,
rain: 0,
wind: 18.8,
pressure: 1013,
},
{
date: '09/09/2021',
day: 9,
month: 'Sep',
year: 2021,
temp: 19,
rain: 4.39,
wind: 21,
pressure: 1008.6,
},
{
date: '10/09/2021',
day: 10,
month: 'Sep',
year: 2021,
temp: 18.9,
rain: 4.2,
wind: 19,
pressure: 1010.5,
},
{
date: '11/09/2021',
day: 11,
month: 'Sep',
year: 2021,
temp: 19.1,
rain: 0.4,
wind: 17.8,
pressure: 1016.1,
},
{
date: '12/09/2021',
day: 12,
month: 'Sep',
year: 2021,
temp: 16.9,
rain: 0,
wind: 9.1,
pressure: 1018.7,
},
{
date: '13/09/2021',
day: 13,
month: 'Sep',
year: 2021,
temp: 17.2,
rain: 0,
wind: 17.5,
pressure: 1017.8,
},
{
date: '14/09/2021',
day: 14,
month: 'Sep',
year: 2021,
temp: 17.4,
rain: 19.98,
wind: 11.3,
pressure: 1011.9,
},
{
date: '15/09/2021',
day: 15,
month: 'Sep',
year: 2021,
temp: 17.1,
rain: 0.4,
wind: 13.7,
pressure: 1014.1,
},
{
date: '16/09/2021',
day: 16,
month: 'Sep',
year: 2021,
temp: 17,
rain: 0.2,
wind: 11,
pressure: 1017.5,
},
{
date: '17/09/2021',
day: 17,
month: 'Sep',
year: 2021,
temp: 17,
rain: 0.2,
wind: 0.1,
pressure: 1014.8,
},
{
date: '18/09/2021',
day: 18,
month: 'Sep',
year: 2021,
temp: 18.3,
rain: 0.2,
wind: 0.1,
pressure: 1014,
},
{
date: '19/09/2021',
day: 19,
month: 'Sep',
year: 2021,
temp: 17.4,
rain: 6.43,
wind: 0.1,
pressure: 1014.4,
},
{
date: '20/09/2021',
day: 20,
month: 'Sep',
year: 2021,
temp: 16.1,
rain: 0,
wind: 0.1,
pressure: 1022.5,
},
{
date: '21/09/2021',
day: 21,
month: 'Sep',
year: 2021,
temp: 15.7,
rain: 0,
wind: 0.1,
pressure: 1030.1,
},
{
date: '22/09/2021',
day: 22,
month: 'Sep',
year: 2021,
temp: 16.1,
rain: 0.2,
wind: 0.1,
pressure: 1027.8,
},
{
date: '23/09/2021',
day: 23,
month: 'Sep',
year: 2021,
temp: 16.2,
rain: 0,
wind: 0.1,
pressure: 1020.6,
},
{
date: '24/09/2021',
day: 24,
month: 'Sep',
year: 2021,
temp: 17.4,
rain: 0.2,
wind: 0.1,
pressure: 1016.3,
},
{
date: '25/09/2021',
day: 25,
month: 'Sep',
year: 2021,
temp: 16.9,
rain: 0.4,
wind: 0.1,
pressure: 1014.3,
},
{
date: '26/09/2021',
day: 26,
month: 'Sep',
year: 2021,
temp: 17.2,
rain: 0,
wind: 0.2,
pressure: 1011.8,
},
{
date: '27/09/2021',
day: 27,
month: 'Sep',
year: 2021,
temp: 16.3,
rain: 4.91,
wind: 0.2,
pressure: 1010.6,
},
{
date: '28/09/2021',
day: 28,
month: 'Sep',
year: 2021,
temp: 14.1,
rain: 5.33,
wind: 0.2,
pressure: 1016,
},
{
date: '29/09/2021',
day: 29,
month: 'Sep',
year: 2021,
temp: 12,
rain: 13.91,
wind: 14.2,
pressure: 1019.1,
},
{
date: '30/09/2021',
day: 30,
month: 'Sep',
year: 2021,
temp: 12.7,
rain: 0.83,
wind: 0.2,
pressure: 1021,
},
{
date: '01/10/2021',
day: 1,
month: 'Oct',
year: 2021,
temp: 14.9,
rain: 16.05,
wind: 0.2,
pressure: 1010.3,
},
{
date: '02/10/2021',
day: 2,
month: 'Oct',
year: 2021,
temp: 12.3,
rain: 14.04,
wind: 0.2,
pressure: 999.1,
},
{
date: '03/10/2021',
day: 3,
month: 'Oct',
year: 2021,
temp: 13.1,
rain: 2.8,
wind: 0.2,
pressure: 997.5,
},
{
date: '04/10/2021',
day: 4,
month: 'Oct',
year: 2021,
temp: 13.2,
rain: 3.58,
wind: 0.2,
pressure: 1008.3,
},
{
date: '05/10/2021',
day: 5,
month: 'Oct',
year: 2021,
temp: 12.9,
rain: 37.54,
wind: 0.2,
pressure: 1002.4,
},
{
date: '06/10/2021',
day: 6,
month: 'Oct',
year: 2021,
temp: 12.7,
rain: 0.2,
wind: 0.2,
pressure: 1018.2,
},
{
date: '07/10/2021',
day: 7,
month: 'Oct',
year: 2021,
temp: 15.4,
rain: 0.4,
wind: 0.1,
pressure: 1026,
},
{
date: '08/10/2021',
day: 8,
month: 'Oct',
year: 2021,
temp: 16,
rain: 0.6,
wind: 0.1,
pressure: 1029.5,
},
{
date: '09/10/2021',
day: 9,
month: 'Oct',
year: 2021,
temp: 13.6,
rain: 0.2,
wind: 3.9,
pressure: 1028.6,
},
{
date: '10/10/2021',
day: 10,
month: 'Oct',
year: 2021,
temp: 13.6,
rain: 0.2,
wind: 0.1,
pressure: 1029.4,
},
{
date: '11/10/2021',
day: 11,
month: 'Oct',
year: 2021,
temp: 11.7,
rain: 0.2,
wind: 0.1,
pressure: 1030.6,
},
{
date: '12/10/2021',
day: 12,
month: 'Oct',
year: 2021,
temp: 11.6,
rain: 3,
wind: 0.1,
pressure: 1026,
},
{
date: '13/10/2021',
day: 13,
month: 'Oct',
year: 2021,
temp: 12,
rain: 0.2,
wind: 10.3,
pressure: 1027.8,
},
{
date: '14/10/2021',
day: 14,
month: 'Oct',
year: 2021,
temp: 13.7,
rain: 0.2,
wind: 0.1,
pressure: 1024,
},
{
date: '15/10/2021',
day: 15,
month: 'Oct',
year: 2021,
temp: 13,
rain: 0,
wind: 0.1,
pressure: 1020.3,
},
{
date: '16/10/2021',
day: 16,
month: 'Oct',
year: 2021,
temp: 11.9,
rain: 0.8,
wind: 0.1,
pressure: 1020.6,
},
{
date: '17/10/2021',
day: 17,
month: 'Oct',
year: 2021,
temp: 13.2,
rain: 0,
wind: 0.1,
pressure: 1017.5,
},
{
date: '18/10/2021',
day: 18,
month: 'Oct',
year: 2021,
temp: 13.7,
rain: 1,
wind: 0.1,
pressure: 1016.4,
},
{
date: '19/10/2021',
day: 19,
month: 'Oct',
year: 2021,
temp: 18.1,
rain: 0.6,
wind: 0.2,
pressure: 1012.1,
},
{
date: '20/10/2021',
day: 20,
month: 'Oct',
year: 2021,
temp: 15.7,
rain: 15.44,
wind: 21.9,
pressure: 999.1,
},
{
date: '21/10/2021',
day: 21,
month: 'Oct',
year: 2021,
temp: 9.4,
rain: 20,
wind: 0.2,
pressure: 1007,
},
{
date: '22/10/2021',
day: 22,
month: 'Oct',
year: 2021,
temp: 9.2,
rain: 0,
wind: 0.2,
pressure: 1020.9,
},
{
date: '23/10/2021',
day: 23,
month: 'Oct',
year: 2021,
temp: 11.6,
rain: 0,
wind: 0.1,
pressure: 1025,
},
{
date: '24/10/2021',
day: 24,
month: 'Oct',
year: 2021,
temp: 13.2,
rain: 0.29,
wind: 0.1,
pressure: 1018.3,
},
{
date: '25/10/2021',
day: 25,
month: 'Oct',
year: 2021,
temp: 12.7,
rain: 2.4,
wind: 0.1,
pressure: 1015.2,
},
{
date: '26/10/2021',
day: 26,
month: 'Oct',
year: 2021,
temp: 13.1,
rain: 1.4,
wind: 0.1,
pressure: 1018.2,
},
{
date: '27/10/2021',
day: 27,
month: 'Oct',
year: 2021,
temp: 15.5,
rain: 0,
wind: 0.2,
pressure: 1018.3,
},
{
date: '28/10/2021',
day: 28,
month: 'Oct',
year: 2021,
temp: 13.9,
rain: 0,
wind: 0.2,
pressure: 1009.2,
},
{
date: '29/10/2021',
day: 29,
month: 'Oct',
year: 2021,
temp: 13.6,
rain: 3.41,
wind: 0.2,
pressure: 998.7,
},
{
date: '30/10/2021',
day: 30,
month: 'Oct',
year: 2021,
temp: 11.8,
rain: 3.55,
wind: 0.1,
pressure: 997.1,
},
{
date: '31/10/2021',
day: 31,
month: 'Oct',
year: 2021,
temp: 11.8,
rain: 8.44,
wind: 0.3,
pressure: 993.5,
},
{
date: '01/11/2021',
day: 1,
month: 'Nov',
year: 2021,
temp: 10.2,
rain: 1.16,
wind: 18.5,
pressure: 994.6,
},
{
date: '02/11/2021',
day: 2,
month: 'Nov',
year: 2021,
temp: 6.7,
rain: 0.2,
wind: 0.1,
pressure: 999,
},
{
date: '03/11/2021',
day: 3,
month: 'Nov',
year: 2021,
temp: 6.6,
rain: 0.6,
wind: 0.1,
pressure: 1004.4,
},
{
date: '04/11/2021',
day: 4,
month: 'Nov',
year: 2021,
temp: 8,
rain: 1,
wind: 0.1,
pressure: 1014.7,
},
{
date: '05/11/2021',
day: 5,
month: 'Nov',
year: 2021,
temp: 6.2,
rain: 0,
wind: 0.1,
pressure: 1026.4,
},
{
date: '06/11/2021',
day: 6,
month: 'Nov',
year: 2021,
temp: 11.2,
rain: 0,
wind: 0.2,
pressure: 1024.9,
},
{
date: '07/11/2021',
day: 7,
month: 'Nov',
year: 2021,
temp: 9.9,
rain: 0.2,
wind: 11.9,
pressure: 1021.2,
},
{
date: '08/11/2021',
day: 8,
month: 'Nov',
year: 2021,
temp: 8.4,
rain: 0,
wind: 0.1,
pressure: 1023.7,
},
{
date: '09/11/2021',
day: 9,
month: 'Nov',
year: 2021,
temp: 12.7,
rain: 0.2,
wind: 0.1,
pressure: 1023.4,
},
{
date: '10/11/2021',
day: 10,
month: 'Nov',
year: 2021,
temp: 12,
rain: 1.16,
wind: 0.1,
pressure: 1023,
},
{
date: '11/11/2021',
day: 11,
month: 'Nov',
year: 2021,
temp: 12.2,
rain: 0.44,
wind: 0.1,
pressure: 1022.6,
},
{
date: '12/11/2021',
day: 12,
month: 'Nov',
year: 2021,
temp: 12.2,
rain: 0.61,
wind: 0.2,
pressure: 1011.8,
},
{
date: '13/11/2021',
day: 13,
month: 'Nov',
year: 2021,
temp: 12.2,
rain: 0.63,
wind: 0.1,
pressure: 1015.7,
},
{
date: '14/11/2021',
day: 14,
month: 'Nov',
year: 2021,
temp: 12,
rain: 0.95,
wind: 0.1,
pressure: 1023.8,
},
{
date: '15/11/2021',
day: 15,
month: 'Nov',
year: 2021,
temp: 11.4,
rain: 0.2,
wind: 7.2,
pressure: 1026.9,
},
{
date: '16/11/2021',
day: 16,
month: 'Nov',
year: 2021,
temp: 9.7,
rain: 0.2,
wind: 0.1,
pressure: 1022.9,
},
{
date: '17/11/2021',
day: 17,
month: 'Nov',
year: 2021,
temp: 8.6,
rain: 0.4,
wind: 0.1,
pressure: 1024.2,
},
{
date: '18/11/2021',
day: 18,
month: 'Nov',
year: 2021,
temp: 10.1,
rain: 0,
wind: 0.1,
pressure: 1029,
},
{
date: '19/11/2021',
day: 19,
month: 'Nov',
year: 2021,
temp: 11.6,
rain: 0,
wind: 0.1,
pressure: 1030.7,
},
{
date: '20/11/2021',
day: 20,
month: 'Nov',
year: 2021,
temp: 10.4,
rain: 0,
wind: 0.1,
pressure: 1024.1,
},
{
date: '21/11/2021',
day: 21,
month: 'Nov',
year: 2021,
temp: 7.3,
rain: 0,
wind: 0.2,
pressure: 1019.5,
},
{
date: '22/11/2021',
day: 22,
month: 'Nov',
year: 2021,
temp: 6.6,
rain: 0,
wind: 0.1,
pressure: 1029.8,
},
{
date: '23/11/2021',
day: 23,
month: 'Nov',
year: 2021,
temp: 5.6,
rain: 0.6,
wind: 0.1,
pressure: 1032.3,
},
{
date: '24/11/2021',
day: 24,
month: 'Nov',
year: 2021,
temp: 5.8,
rain: 0,
wind: 0.1,
pressure: 1022.1,
},
{
date: '25/11/2021',
day: 25,
month: 'Nov',
year: 2021,
temp: 5.6,
rain: 0.2,
wind: 0.1,
pressure: 1016.3,
},
{
date: '26/11/2021',
day: 26,
month: 'Nov',
year: 2021,
temp: 5.5,
rain: 0.41,
wind: 0.2,
pressure: 996.2,
},
{
date: '27/11/2021',
day: 27,
month: 'Nov',
year: 2021,
temp: 4.1,
rain: 5.41,
wind: 0.2,
pressure: 993.6,
},
{
date: '28/11/2021',
day: 28,
month: 'Nov',
year: 2021,
temp: 2.3,
rain: 0,
wind: 0.2,
pressure: 1006.7,
},
{
date: '29/11/2021',
day: 29,
month: 'Nov',
year: 2021,
temp: 1.2,
rain: 0.2,
wind: 0.1,
pressure: 1014.5,
},
{
date: '30/11/2021',
day: 30,
month: 'Nov',
year: 2021,
temp: 9.8,
rain: 0,
wind: 0.2,
pressure: 1010.3,
},
{
date: '01/12/2021',
day: 1,
month: 'Dec',
year: 2021,
temp: 8.5,
rain: 2.63,
wind: 0.2,
pressure: 999,
},
{
date: '02/12/2021',
day: 2,
month: 'Dec',
year: 2021,
temp: 3.1,
rain: 0.93,
wind: 0.2,
pressure: 1011.7,
},
{
date: '03/12/2021',
day: 3,
month: 'Dec',
year: 2021,
temp: 6.2,
rain: 0.4,
wind: 13.8,
pressure: 1004.9,
},
{
date: '04/12/2021',
day: 4,
month: 'Dec',
year: 2021,
temp: 6.1,
rain: 2.4,
wind: 0.2,
pressure: 998,
},
{
date: '05/12/2021',
day: 5,
month: 'Dec',
year: 2021,
temp: 5.8,
rain: 4.8,
wind: 0.2,
pressure: 1006,
},
{
date: '06/12/2021',
day: 6,
month: 'Dec',
year: 2021,
temp: 4.8,
rain: 5.2,
wind: 0.2,
pressure: 1010,
},
{
date: '07/12/2021',
day: 7,
month: 'Dec',
year: 2021,
temp: 4.9,
rain: 6.02,
wind: 0.2,
pressure: 997.7,
},
{
date: '08/12/2021',
day: 8,
month: 'Dec',
year: 2021,
temp: 6.8,
rain: 1.2,
wind: 25.5,
pressure: 991.2,
},
{
date: '09/12/2021',
day: 9,
month: 'Dec',
year: 2021,
temp: 6.4,
rain: 0.2,
wind: 0.1,
pressure: 999.2,
},
{
date: '10/12/2021',
day: 10,
month: 'Dec',
year: 2021,
temp: 6.4,
rain: 13.48,
wind: 0.2,
pressure: 999.1,
},
{
date: '11/12/2021',
day: 11,
month: 'Dec',
year: 2021,
temp: 5.8,
rain: 2,
wind: 0.1,
pressure: 1015.6,
},
{
date: '12/12/2021',
day: 12,
month: 'Dec',
year: 2021,
temp: 12,
rain: 1.2,
wind: 0.1,
pressure: 1019.7,
},
{
date: '13/12/2021',
day: 13,
month: 'Dec',
year: 2021,
temp: 10.9,
rain: 0.2,
wind: 0.1,
pressure: 1023.4,
},
{
date: '14/12/2021',
day: 14,
month: 'Dec',
year: 2021,
temp: 11.3,
rain: 0,
wind: 0.1,
pressure: 1026.7,
},
{
date: '15/12/2021',
day: 15,
month: 'Dec',
year: 2021,
temp: 12.2,
rain: 0,
wind: 0.1,
pressure: 1030.7,
},
{
date: '16/12/2021',
day: 16,
month: 'Dec',
year: 2021,
temp: 11.5,
rain: 0,
wind: 3.6,
pressure: 1038,
},
{
date: '17/12/2021',
day: 17,
month: 'Dec',
year: 2021,
temp: 9.3,
rain: 0,
wind: 0.1,
pressure: 1040.4,
},
{
date: '18/12/2021',
day: 18,
month: 'Dec',
year: 2021,
temp: 8.4,
rain: 0,
wind: 0.1,
pressure: 1039.1,
},
{
date: '19/12/2021',
day: 19,
month: 'Dec',
year: 2021,
temp: 5.4,
rain: 0,
wind: 9.1,
pressure: 1034.6,
},
{
date: '20/12/2021',
day: 20,
month: 'Dec',
year: 2021,
temp: 6.9,
rain: 0,
wind: 0.1,
pressure: 1028.8,
},
{
date: '21/12/2021',
day: 21,
month: 'Dec',
year: 2021,
temp: 5.2,
rain: 0,
wind: 0.1,
pressure: 1025.3,
},
{
date: '22/12/2021',
day: 22,
month: 'Dec',
year: 2021,
temp: 3.2,
rain: 0,
wind: 8.9,
pressure: 1019.2,
},
{
date: '23/12/2021',
day: 23,
month: 'Dec',
year: 2021,
temp: 8.4,
rain: 0,
wind: 0.1,
pressure: 1008.2,
},
{
date: '24/12/2021',
day: 24,
month: 'Dec',
year: 2021,
temp: 8.8,
rain: 14.4,
wind: 0.1,
pressure: 1004.3,
},
{
date: '25/12/2021',
day: 25,
month: 'Dec',
year: 2021,
temp: 7.4,
rain: 3.09,
wind: 21.4,
pressure: 1003.5,
},
{
date: '26/12/2021',
day: 26,
month: 'Dec',
year: 2021,
temp: 7.4,
rain: 13.08,
wind: 0.1,
pressure: 1000.6,
},
{
date: '27/12/2021',
day: 27,
month: 'Dec',
year: 2021,
temp: 9.6,
rain: 2.41,
wind: 0.1,
pressure: 992.3,
},
{
date: '28/12/2021',
day: 28,
month: 'Dec',
year: 2021,
temp: 10.5,
rain: 1.03,
wind: 0.2,
pressure: 992.6,
},
{
date: '29/12/2021',
day: 29,
month: 'Dec',
year: 2021,
temp: 11.4,
rain: 1.42,
wind: 0.2,
pressure: 1004.4,
},
{
date: '30/12/2021',
day: 30,
month: 'Dec',
year: 2021,
temp: 14.3,
rain: 0,
wind: 0.2,
pressure: 1012.7,
},
{
date: '31/12/2021',
day: 31,
month: 'Dec',
year: 2021,
temp: 13.9,
rain: 1.22,
wind: 0.2,
pressure: 1016.8,
},
];
}
Range Chart API Copy Link
Range Charts can be created programmatically using:
Used to programmatically create charts from a range. |
Properties available on the CreateRangeChartParams interface.
Defines the range of cells to be charted. A range is normally defined with start and end rows and a list of columns. If the start and end rows are omitted, the range covers all rows (i.e. entire column contents are selected). The columns can either be defined using a start and end column (the range will cover the start and end columns and all columns in between), or columns can be supplied specifically in cases where the required columns are not adjacent to each other. See Add Cell Range for more information. |
The type of chart to create. |
By default, when a chart is displayed using the grid, the grid will highlight the range the chart is charting when the chart gets focus. To suppress this behaviour, set suppressChartRanges=true. |
Switch Category / Series. |
The aggregation function that should be applied to all series data. The built-in aggregation functions are 'sum', 'min', 'max', 'count', 'avg', 'first', 'last'. Alternatively, custom aggregation functions can be provided if they conform to the IAggFunc interface shown here. |
The series chart type configurations used in combination charts. |
Group type for chart types that support grouped series. |
Prefer using the auto group column as the category when grouping is active. |
The default theme to use for the created chart. In addition to the default options you listed, you can also provide your own custom chart themes. Options: 'ag-default', 'ag-default-dark', 'ag-material', 'ag-material-dark', 'ag-pastel', 'ag-pastel-dark', 'ag-vivid', 'ag-vivid-dark', 'ag-solar', 'ag-solar-dark' |
If the chart is to be displayed outside of the grid then a chart container should be provided. If the chart is to be displayed using the grid's popup window mechanism then leave as undefined. |
Allows specific chart options in the current theme to be overridden. |
When enabled the chart will be unlinked from the grid after creation, any updates to the data will not be reflected in the chart. |
The API returns a ChartRef object when a chartContainer is provided. This is the same structure that is provided to the createChartContainer(chartRef) callback. The ChartRef provides the application with the destroyChart() method that is required when the application wants to dispose the chart.

This section shows how Range Charts can be created via the Grid API.
Creating Range Charts Copy Link
Range Charts can be created through gridApi.createRangeChart() as shown below:
this.gridApi.createRangeChart({
chartType: 'groupedColumn',
cellRange: {
rowStartIndex: 0,
rowEndIndex: 4,
columns: ['country', 'gold', 'silver'],
},
// other options...
});The snippet above creates a Range Chart with the groupedColumn chart type using data from the first 4 and the country, gold, silver columns. For a full list of options see Range Chart API.
The following example demonstrates how Range Charts can be created programmatically via gridApi.createRangeChart(). Note the following:
- Clicking 'Top 5 Medal Winners' will chart the first five rows of Gold and Silver medals by Country.
- Clicking 'Bronze Medals by Country' will chart Bronze by Country using all rows (the provided cell range does not specify rows).
- Note the 'Bronze Medals by Country' chart is unlinked from the grid as
unlinkChart=true. Notice that sorting in the grid does not affect the chart and there is no chart range in the grid.
import {
createApp,
defineComponent,
onBeforeMount,
ref,
shallowRef,
} from "vue";
import { AgGridVue } from "ag-grid-vue3";
import "./style.css";
import { AgChartsEnterpriseModule } from "ag-charts-enterprise";
import {
CellSelectionOptions,
ClientSideRowModelModule,
ColDef,
ColGroupDef,
GridApi,
GridOptions,
GridReadyEvent,
ModuleRegistry,
NumberEditorModule,
NumberFilterModule,
TextEditorModule,
TextFilterModule,
enableDevValidations,
} from "ag-grid-community";
import {
ColumnMenuModule,
ContextMenuModule,
IntegratedChartsModule,
RowGroupingModule,
} from "ag-grid-enterprise";
import { getData } from "./data";
if (process.env.NODE_ENV !== "production") {
// Enable extended validations only for development
enableDevValidations();
}
ModuleRegistry.registerModules([
NumberEditorModule,
TextEditorModule,
TextFilterModule,
NumberFilterModule,
ClientSideRowModelModule,
IntegratedChartsModule.with(AgChartsEnterpriseModule),
ColumnMenuModule,
ContextMenuModule,
RowGroupingModule,
]);
const VueExample = defineComponent({
template: `
<div style="height: 100%">
<div class="outer-div">
<div class="button-bar">
<button v-on:click="onChart1()">Top 5 Medal Winners</button>
<button v-on:click="onChart2()">Bronze Medals by Country</button>
</div>
<div class="grid-wrapper">
<ag-grid-vue
style="width: 100%; height: 100%;"
@grid-ready="onGridReady"
:columnDefs="columnDefs"
:defaultColDef="defaultColDef"
:cellSelection="true"
:enableCharts="true"
:popupParent="popupParent"
:rowData="rowData"></ag-grid-vue>
</div>
</div>
</div>
`,
components: {
"ag-grid-vue": AgGridVue,
},
setup(props) {
const gridApi = shallowRef<GridApi | null>(null);
const columnDefs = ref<ColDef[]>([
{ field: "country", width: 150, chartDataType: "category" },
{ field: "gold", chartDataType: "series", sort: "desc" },
{ field: "silver", chartDataType: "series", sort: "desc" },
{ field: "bronze", chartDataType: "series" },
]);
const defaultColDef = ref<ColDef>({
editable: true,
flex: 1,
minWidth: 100,
filter: true,
});
const popupParent = ref<HTMLElement | null>(document.body);
const rowData = ref<any[]>(null);
function onChart1() {
gridApi.value.createRangeChart({
cellRange: {
rowStartIndex: 0,
rowEndIndex: 4,
columns: ["country", "gold", "silver"],
},
chartType: "groupedColumn",
chartThemeOverrides: {
common: {
title: {
enabled: true,
text: "Top 5 Medal Winners",
},
},
},
});
}
function onChart2() {
gridApi.value.createRangeChart({
cellRange: {
columns: ["country", "bronze"],
},
chartType: "groupedBar",
chartThemeOverrides: {
common: {
title: {
enabled: true,
text: "Bronze Medal by Country",
},
},
},
unlinkChart: true,
});
}
const onGridReady = (params: GridReadyEvent) => {
gridApi.value = params.api;
getData().then((rowData) => params.api.setGridOption("rowData", rowData));
};
return {
gridApi,
columnDefs,
defaultColDef,
popupParent,
rowData,
onGridReady,
onChart1,
onChart2,
};
},
});
const app = createApp(VueExample);
app.mount("#app");
.outer-div {
height: 100%;
display: flex;
flex-direction: column;
}
.button-bar {
padding-bottom: 4px;
}
.grid-wrapper {
height: 20px;
flex: 1 1 auto;
}
export async function getData(delay: number = 100): Promise<any[]> {
return new Promise((resolve) => setTimeout(() => resolve(generateData()), delay));
}
function generateData(): any[] {
const countries = [
'Ireland',
'Spain',
'United Kingdom',
'France',
'Germany',
'Luxembourg',
'Sweden',
'Norway',
'Italy',
'Greece',
'Iceland',
'Portugal',
'Malta',
'Brazil',
'Argentina',
'Colombia',
'Peru',
'Venezuela',
'Uruguay',
'Belgium',
];
return countries.map((country, index) => ({
country,
gold: Math.floor(((index + 1 / 7) * 333) % 100),
silver: Math.floor(((index + 1 / 3) * 555) % 100),
bronze: Math.floor(((index + 1 / 7.3) * 777) % 100),
}));
}
Range Chart Dashboard Copy Link
The following example passes a Chart Container to the API to place the chart in a location other than the grid's popup window. Note the following:
- The charts are placed in
divelements outside the grid. - The two pie charts are showing aggregations rather than charting individual rows.
- The bar chart is sensitive to changes in the rows. For example if you sort, the chart updates to always chart the first five rows.
- All data is editable in the grid. Changes to the grid data is reflected in the charts.
- The pie charts have legends on the right side. This is configured in the
chartThemeOverrides. - The chart menu has been hidden in the example below.
import {
createApp,
defineComponent,
onBeforeMount,
ref,
shallowRef,
} from "vue";
import { AgGridVue } from "ag-grid-vue3";
import { AgChartsEnterpriseModule } from "ag-charts-enterprise";
import {
CellSelectionOptions,
ChartToolPanelsDef,
ClientSideRowModelModule,
ColDef,
ColGroupDef,
FirstDataRenderedEvent,
GetChartToolbarItems,
GridApi,
GridOptions,
GridReadyEvent,
ModuleRegistry,
NumberEditorModule,
NumberFilterModule,
TextEditorModule,
TextFilterModule,
enableDevValidations,
} from "ag-grid-community";
import {
ColumnMenuModule,
ContextMenuModule,
IntegratedChartsModule,
RowGroupingModule,
} from "ag-grid-enterprise";
import { getData } from "./data";
if (process.env.NODE_ENV !== "production") {
// Enable extended validations only for development
enableDevValidations();
}
ModuleRegistry.registerModules([
NumberEditorModule,
TextEditorModule,
TextFilterModule,
NumberFilterModule,
ClientSideRowModelModule,
IntegratedChartsModule.with(AgChartsEnterpriseModule),
ColumnMenuModule,
ContextMenuModule,
RowGroupingModule,
]);
function createGroupedBarChart(
params: FirstDataRenderedEvent,
selector: string,
columns: string[],
) {
params.api.createRangeChart({
chartContainer: document.querySelector(selector) as HTMLElement,
cellRange: {
rowStartIndex: 0,
rowEndIndex: 4,
columns,
},
suppressChartRanges: true,
chartType: "groupedBar",
});
}
function createPieChart(
params: FirstDataRenderedEvent,
selector: string,
columns: string[],
) {
params.api.createRangeChart({
chartContainer: document.querySelector(selector) as HTMLElement,
cellRange: { columns },
suppressChartRanges: true,
chartType: "pie",
aggFunc: "sum",
chartThemeOverrides: {
common: {
padding: {
top: 20,
left: 10,
bottom: 30,
right: 10,
},
legend: {
position: "right",
},
},
},
});
}
const VueExample = defineComponent({
template: `
<div style="height: 100%">
<div style="display: flex; flex-direction: column; height: 100%; width: 100%; overflow: hidden">
<ag-grid-vue
style="width: 100%; height: 30%;"
@grid-ready="onGridReady"
:columnDefs="columnDefs"
:defaultColDef="defaultColDef"
:cellSelection="true"
:enableCharts="true"
:chartToolPanelsDef="chartToolPanelsDef"
:popupParent="popupParent"
:getChartToolbarItems="getChartToolbarItems"
:rowData="rowData"
@first-data-rendered="onFirstDataRendered"></ag-grid-vue>
<div id="chart1" class="my-chart" style="flex: 1 1 auto; height: 30%"></div>
<div style="display: flex; flex: 1 1 auto; height: 30%; gap: 8px">
<div id="chart2" class="my-chart" style="flex: 1 1 auto; width: 50%"></div>
<div id="chart3" class="my-chart" style="flex: 1 1 auto; width: 50%"></div>
</div>
</div>
</div>
`,
components: {
"ag-grid-vue": AgGridVue,
},
setup(props) {
const gridApi = shallowRef<GridApi | null>(null);
const columnDefs = ref<ColDef[]>([
{ field: "country", width: 150, chartDataType: "category" },
{ field: "group", chartDataType: "category" },
{ field: "gold", chartDataType: "series" },
{ field: "silver", chartDataType: "series" },
{ field: "bronze", chartDataType: "series" },
]);
const defaultColDef = ref<ColDef>({
editable: true,
flex: 1,
minWidth: 100,
filter: true,
});
const chartToolPanelsDef = ref<ChartToolPanelsDef>({ panels: [] });
const popupParent = ref<HTMLElement | null>(document.body);
const getChartToolbarItems = ref<GetChartToolbarItems>(() => []);
const rowData = ref<any[]>(null);
function onFirstDataRendered(event: FirstDataRenderedEvent) {
createGroupedBarChart(event, "#chart1", ["country", "gold", "silver"]);
createPieChart(event, "#chart2", ["group", "gold"]);
createPieChart(event, "#chart3", ["group", "silver"]);
}
const onGridReady = (params: GridReadyEvent) => {
gridApi.value = params.api;
getData().then((rowData) => params.api.setGridOption("rowData", rowData));
};
return {
gridApi,
columnDefs,
defaultColDef,
chartToolPanelsDef,
popupParent,
getChartToolbarItems,
rowData,
onGridReady,
onFirstDataRendered,
};
},
});
const app = createApp(VueExample);
app.mount("#app");
export async function getData(delay: number = 100): Promise<any[]> {
// Simulate a server delay using setTimeout wrapped in a Promise
return await new Promise<any[]>((resolve) => setTimeout(() => resolve(generateData()), delay));
}
function generateData(): any[] {
const countries = [
'Ireland',
'Spain',
'United Kingdom',
'France',
'Germany',
'Luxembourg',
'Sweden',
'Norway',
'Italy',
'Greece',
'Iceland',
'Portugal',
'Malta',
'Brazil',
'Argentina',
'Colombia',
'Peru',
'Venezuela',
'Uruguay',
'Belgium',
];
return countries.map((country, index) => ({
country,
group: index % 2 === 0 ? 'Group A' : 'Group B',
gold: Math.floor(((index + 1 / 7) * 333) % 100),
silver: Math.floor(((index + 1 / 3) * 555) % 100),
bronze: Math.floor(((index + 1 / 7.3) * 777) % 100),
}));
}
Hiding Chart Ranges Copy Link
In some cases it may be desirable to hide the chart ranges in the grid, see Combination Charts.
To hide the chart ranges simply enable suppressChartRanges=true on the ChartRangeParams.
For more details refer to Range Chart API.
Combination Charts Copy Link
It is possible to create the following combination chart types via gridApi.createRangeChart():
- Column & Line (
chartType: 'columnLineCombo') - Area & Column (
chartType: 'areaColumnCombo') - Custom Combination (
chartType: 'customCombo')
When the customCombo chart type is specified a new CreateRangeChartParams.seriesChartTypes must also be supplied. Also note that when seriesChartTypes is present a customCombo chart type is assumed, regardless of which chartType is supplied.
The seriesChartTypes property accepts an array of SeriesChartType objects as shown below:
this.gridApi.createRangeChart({
chartType: 'customCombo',
cellRange: {
columns: ['month', 'rain', 'pressure', 'temp'],
},
seriesChartTypes: [
{ colId: 'rain', chartType: 'groupedColumn', secondaryAxis: false },
{ colId: 'pressure', chartType: 'line', secondaryAxis: true },
{ colId: 'temp', chartType: 'line', secondaryAxis: true }
],
aggFunc: 'sum',
});The following series chart types are supported with combination charts:
- Line (
chartType: 'line') - Area (
chartType: 'Area') - Stacked Area (
chartType: 'stackedArea') - Grouped Column (
chartType: 'groupedColumn') - Stacked Column (
chartType: 'stackedColumn')
Note that only line and area series chart types can be plotted against a secondary axis.
The following example demonstrates the above configuration, note the following:
- The 'Rain' series uses a
groupedColumnchart type and is plotted against the primary Y axis (secondaryAxis=false) - 'Pressure' and 'Temp' use a
linechart type and are plotted against separate secondary Y axes (secondaryAxis=true) - Values are aggregated by the 'Month' category by setting
aggFunc: 'sum' - Chart Ranges are hidden using
suppressChartRanges=true
import {
createApp,
defineComponent,
onBeforeMount,
ref,
shallowRef,
} from "vue";
import { AgGridVue } from "ag-grid-vue3";
import "./style.css";
import { AgChartsEnterpriseModule } from "ag-charts-enterprise";
import { AgAxisCaptionFormatterParams } from "ag-charts-types";
import {
AgChartThemeOverrides,
CellSelectionOptions,
ClientSideRowModelModule,
ColDef,
ColGroupDef,
FirstDataRenderedEvent,
GridApi,
GridOptions,
GridReadyEvent,
ModuleRegistry,
NumberEditorModule,
NumberFilterModule,
TextEditorModule,
TextFilterModule,
enableDevValidations,
} from "ag-grid-community";
import {
ColumnMenuModule,
ContextMenuModule,
IntegratedChartsModule,
RowGroupingModule,
} from "ag-grid-enterprise";
import { getData } from "./data";
if (process.env.NODE_ENV !== "production") {
// Enable extended validations only for development
enableDevValidations();
}
ModuleRegistry.registerModules([
TextEditorModule,
TextFilterModule,
NumberEditorModule,
NumberFilterModule,
ClientSideRowModelModule,
IntegratedChartsModule.with(AgChartsEnterpriseModule),
ColumnMenuModule,
ContextMenuModule,
RowGroupingModule,
]);
const VueExample = defineComponent({
template: `
<div style="height: 100%">
<div class="wrapper">
<ag-grid-vue
style="width: 100%; height: 100%;"
@grid-ready="onGridReady"
:columnDefs="columnDefs"
:defaultColDef="defaultColDef"
:cellSelection="true"
:enableCharts="true"
:popupParent="popupParent"
:chartThemeOverrides="chartThemeOverrides"
:rowData="rowData"
@first-data-rendered="onFirstDataRendered"></ag-grid-vue>
<div id="myChart"></div>
</div>
</div>
`,
components: {
"ag-grid-vue": AgGridVue,
},
setup(props) {
const gridApi = shallowRef<GridApi | null>(null);
const columnDefs = ref<ColDef[]>([
{ field: "day", maxWidth: 120 },
{
field: "month",
chartDataType: "category",
filterParams: {
comparator: (a: string, b: string) => {
const months: {
[key: string]: number;
} = {
jan: 1,
feb: 2,
mar: 3,
apr: 4,
may: 5,
jun: 6,
jul: 7,
aug: 8,
sep: 9,
oct: 10,
nov: 11,
dec: 12,
};
const valA = months[a.toLowerCase()];
const valB = months[b.toLowerCase()];
if (valA === valB) return 0;
return valA > valB ? 1 : -1;
},
},
},
{ field: "rain", chartDataType: "series" },
{ field: "pressure", chartDataType: "series" },
{ field: "temp", chartDataType: "series" },
{ field: "wind", chartDataType: "series" },
]);
const defaultColDef = ref<ColDef>({
flex: 1,
minWidth: 100,
editable: true,
filter: true,
floatingFilter: true,
});
const popupParent = ref<HTMLElement | null>(document.body);
const chartThemeOverrides = ref<AgChartThemeOverrides>({
common: {
axes: {
number: {
title: {
enabled: true,
formatter: (params: AgAxisCaptionFormatterParams) => {
return params.boundSeries.map((s) => s.name).join(" / ");
},
},
},
},
},
bar: {
series: {
strokeWidth: 2,
fillOpacity: 0.8,
},
},
line: {
series: {
strokeWidth: 5,
strokeOpacity: 0.8,
marker: {
enabled: false,
},
},
},
});
const rowData = ref<any[]>(null);
function onFirstDataRendered(params: FirstDataRenderedEvent) {
params.api.createRangeChart({
chartType: "customCombo",
cellRange: {
columns: ["month", "rain", "pressure", "temp"],
},
seriesChartTypes: [
{ colId: "rain", chartType: "groupedColumn", secondaryAxis: false },
{ colId: "pressure", chartType: "line", secondaryAxis: true },
{ colId: "temp", chartType: "line", secondaryAxis: true },
],
aggFunc: "sum",
suppressChartRanges: true,
chartContainer: document.querySelector("#myChart") as any,
});
}
const onGridReady = (params: GridReadyEvent) => {
gridApi.value = params.api;
getData().then((rowData) => params.api.setGridOption("rowData", rowData));
};
return {
gridApi,
columnDefs,
defaultColDef,
popupParent,
chartThemeOverrides,
rowData,
onGridReady,
onFirstDataRendered,
};
},
});
const app = createApp(VueExample);
app.mount("#app");
.wrapper {
display: flex;
flex-direction: column;
height: 100%;
}
#myGrid {
flex: 2;
}
#myChart {
flex: 3;
min-height: 455px;
}
export async function getData(delay: number = 100): Promise<any[]> {
// Simulate a server delay using setTimeout wrapped in a Promise
return await new Promise<any[]>((resolve) => setTimeout(() => resolve(generateData()), delay));
}
function generateData(): any[] {
return [
{
date: '01/01/2021',
day: 1,
month: 'Jan',
year: 2021,
temp: 2.1,
rain: 0.22,
wind: 10.6,
pressure: 1011.6,
},
{
date: '02/01/2021',
day: 2,
month: 'Jan',
year: 2021,
temp: 3.8,
rain: 0.6,
wind: 12.5,
pressure: 1015.9,
},
{
date: '03/01/2021',
day: 3,
month: 'Jan',
year: 2021,
temp: 3.8,
rain: 2.2,
wind: 18.2,
pressure: 1017.6,
},
{
date: '04/01/2021',
day: 4,
month: 'Jan',
year: 2021,
temp: 4.3,
rain: 3.4,
wind: 27,
pressure: 1019.4,
},
{
date: '05/01/2021',
day: 5,
month: 'Jan',
year: 2021,
temp: 3.7,
rain: 1.4,
wind: 22.6,
pressure: 1020,
},
{
date: '06/01/2021',
day: 6,
month: 'Jan',
year: 2021,
temp: 4,
rain: 6.42,
wind: 18.8,
pressure: 1019.5,
},
{
date: '07/01/2021',
day: 7,
month: 'Jan',
year: 2021,
temp: 1.1,
rain: 0,
wind: 13.5,
pressure: 1018.5,
},
{
date: '08/01/2021',
day: 8,
month: 'Jan',
year: 2021,
temp: 0.6,
rain: 0,
wind: 7.6,
pressure: 1018.6,
},
{
date: '09/01/2021',
day: 9,
month: 'Jan',
year: 2021,
temp: 1.2,
rain: 0.4,
wind: 10.1,
pressure: 1026.3,
},
{
date: '10/01/2021',
day: 10,
month: 'Jan',
year: 2021,
temp: 1,
rain: 0,
wind: 11.3,
pressure: 1026,
},
{
date: '11/01/2021',
day: 11,
month: 'Jan',
year: 2021,
temp: 6.7,
rain: 0,
wind: 34.3,
pressure: 1017.8,
},
{
date: '12/01/2021',
day: 12,
month: 'Jan',
year: 2021,
temp: 6.9,
rain: 7.99,
wind: 30,
pressure: 1014.1,
},
{
date: '13/01/2021',
day: 13,
month: 'Jan',
year: 2021,
temp: 6.1,
rain: 2.19,
wind: 19,
pressure: 1018.4,
},
{
date: '14/01/2021',
day: 14,
month: 'Jan',
year: 2021,
temp: 5,
rain: 27.53,
wind: 16.7,
pressure: 1016.7,
},
{
date: '15/01/2021',
day: 15,
month: 'Jan',
year: 2021,
temp: 2.4,
rain: 0.6,
wind: 14.3,
pressure: 1029.7,
},
{
date: '16/01/2021',
day: 16,
month: 'Jan',
year: 2021,
temp: 4.9,
rain: 5.22,
wind: 21,
pressure: 1020,
},
{
date: '17/01/2021',
day: 17,
month: 'Jan',
year: 2021,
temp: 5.8,
rain: 0,
wind: 21.1,
pressure: 1023.5,
},
{
date: '18/01/2021',
day: 18,
month: 'Jan',
year: 2021,
temp: 5.3,
rain: 0.2,
wind: 25.1,
pressure: 1021.2,
},
{
date: '19/01/2021',
day: 19,
month: 'Jan',
year: 2021,
temp: 10.7,
rain: 2.69,
wind: 34,
pressure: 1004.1,
},
{
date: '20/01/2021',
day: 20,
month: 'Jan',
year: 2021,
temp: 10.2,
rain: 5.36,
wind: 34,
pressure: 987.5,
},
{
date: '21/01/2021',
day: 21,
month: 'Jan',
year: 2021,
temp: 6.6,
rain: 5.76,
wind: 0.3,
pressure: 984.6,
},
{
date: '22/01/2021',
day: 22,
month: 'Jan',
year: 2021,
temp: 4,
rain: 0.2,
wind: 17.3,
pressure: 992.2,
},
{
date: '23/01/2021',
day: 23,
month: 'Jan',
year: 2021,
temp: 2.1,
rain: 0.8,
wind: 16,
pressure: 995.6,
},
{
date: '24/01/2021',
day: 24,
month: 'Jan',
year: 2021,
temp: 0.6,
rain: 3.19,
wind: 14.4,
pressure: 997.1,
},
{
date: '25/01/2021',
day: 25,
month: 'Jan',
year: 2021,
temp: 1.8,
rain: 0.92,
wind: 18.4,
pressure: 1009.6,
},
{
date: '26/01/2021',
day: 26,
month: 'Jan',
year: 2021,
temp: 3,
rain: 0.6,
wind: 23.3,
pressure: 1015.8,
},
{
date: '27/01/2021',
day: 27,
month: 'Jan',
year: 2021,
temp: 8.4,
rain: 1.2,
wind: 13,
pressure: 1011,
},
{
date: '28/01/2021',
day: 28,
month: 'Jan',
year: 2021,
temp: 10.9,
rain: 18.8,
wind: 30.6,
pressure: 1001.6,
},
{
date: '29/01/2021',
day: 29,
month: 'Jan',
year: 2021,
temp: 9.5,
rain: 14.98,
wind: 29.9,
pressure: 998.3,
},
{
date: '30/01/2021',
day: 30,
month: 'Jan',
year: 2021,
temp: 5.4,
rain: 16.71,
wind: 26.5,
pressure: 997.9,
},
{
date: '31/01/2021',
day: 31,
month: 'Jan',
year: 2021,
temp: 3.1,
rain: 1,
wind: 19.3,
pressure: 997.9,
},
{
date: '01/02/2021',
day: 1,
month: 'Feb',
year: 2021,
temp: 4.1,
rain: 0.4,
wind: 12.3,
pressure: 996.9,
},
{
date: '02/02/2021',
day: 2,
month: 'Feb',
year: 2021,
temp: 9.3,
rain: 5.79,
wind: 24.8,
pressure: 994.7,
},
{
date: '03/02/2021',
day: 3,
month: 'Feb',
year: 2021,
temp: 8.7,
rain: 1.71,
wind: 23.4,
pressure: 996.6,
},
{
date: '04/02/2021',
day: 4,
month: 'Feb',
year: 2021,
temp: 7,
rain: 4.19,
wind: 15.4,
pressure: 1008.3,
},
{
date: '05/02/2021',
day: 5,
month: 'Feb',
year: 2021,
temp: 8.3,
rain: 10.06,
wind: 16.6,
pressure: 1008.2,
},
{
date: '06/02/2021',
day: 6,
month: 'Feb',
year: 2021,
temp: 6.8,
rain: 2.7,
wind: 18.8,
pressure: 1006.8,
},
{
date: '07/02/2021',
day: 7,
month: 'Feb',
year: 2021,
temp: 1.8,
rain: 10.59,
wind: 28.6,
pressure: 1004.4,
},
{
date: '08/02/2021',
day: 8,
month: 'Feb',
year: 2021,
temp: -0.8,
rain: 0,
wind: 28.7,
pressure: 1003.7,
},
{
date: '09/02/2021',
day: 9,
month: 'Feb',
year: 2021,
temp: -0.1,
rain: 0,
wind: 22.7,
pressure: 1006.9,
},
{
date: '10/02/2021',
day: 10,
month: 'Feb',
year: 2021,
temp: 0.3,
rain: 0,
wind: 18.1,
pressure: 1012.3,
},
{
date: '11/02/2021',
day: 11,
month: 'Feb',
year: 2021,
temp: -0.9,
rain: 0,
wind: 26.3,
pressure: 1025.1,
},
{
date: '12/02/2021',
day: 12,
month: 'Feb',
year: 2021,
temp: -0.5,
rain: 0,
wind: 36,
pressure: null,
},
{
date: '13/02/2021',
day: 13,
month: 'Feb',
year: 2021,
temp: -0.9,
rain: 0,
wind: 24.4,
pressure: 1032,
},
{
date: '14/02/2021',
day: 14,
month: 'Feb',
year: 2021,
temp: 2.9,
rain: 0.6,
wind: 25.5,
pressure: 1025.7,
},
{
date: '15/02/2021',
day: 15,
month: 'Feb',
year: 2021,
temp: 8.8,
rain: 3,
wind: 20.5,
pressure: 1018.2,
},
{
date: '16/02/2021',
day: 16,
month: 'Feb',
year: 2021,
temp: 9.5,
rain: 2.61,
wind: 23.9,
pressure: 1010,
},
{
date: '17/02/2021',
day: 17,
month: 'Feb',
year: 2021,
temp: 10,
rain: 3.41,
wind: 28.8,
pressure: 1009.8,
},
{
date: '18/02/2021',
day: 18,
month: 'Feb',
year: 2021,
temp: 9,
rain: 3.61,
wind: 28.1,
pressure: 1003.8,
},
{
date: '19/02/2021',
day: 19,
month: 'Feb',
year: 2021,
temp: 8.8,
rain: 0,
wind: 27.3,
pressure: 1009.1,
},
{
date: '20/02/2021',
day: 20,
month: 'Feb',
year: 2021,
temp: 13.4,
rain: 0,
wind: 25.1,
pressure: 1002.1,
},
{
date: '21/02/2021',
day: 21,
month: 'Feb',
year: 2021,
temp: 12,
rain: 0.23,
wind: 21.3,
pressure: 1008.3,
},
{
date: '22/02/2021',
day: 22,
month: 'Feb',
year: 2021,
temp: 9.9,
rain: 1,
wind: 12.8,
pressure: 1014.8,
},
{
date: '23/02/2021',
day: 23,
month: 'Feb',
year: 2021,
temp: 10.7,
rain: 0.2,
wind: 33.9,
pressure: 1022.9,
},
{
date: '24/02/2021',
day: 24,
month: 'Feb',
year: 2021,
temp: 13.3,
rain: 0,
wind: 26.6,
pressure: 1022.4,
},
{
date: '25/02/2021',
day: 25,
month: 'Feb',
year: 2021,
temp: 10.7,
rain: 0.8,
wind: 22,
pressure: 1026.7,
},
{
date: '26/02/2021',
day: 26,
month: 'Feb',
year: 2021,
temp: 7.2,
rain: 0,
wind: 13,
pressure: 1037.3,
},
{
date: '27/02/2021',
day: 27,
month: 'Feb',
year: 2021,
temp: 7,
rain: 0.2,
wind: 10.1,
pressure: 1040.9,
},
{
date: '28/02/2021',
day: 28,
month: 'Feb',
year: 2021,
temp: 6.3,
rain: 0,
wind: 16.7,
pressure: 1037.2,
},
{
date: '01/03/2021',
day: 1,
month: 'Mar',
year: 2021,
temp: 6.4,
rain: 0,
wind: 17.9,
pressure: 1032,
},
{
date: '02/03/2021',
day: 2,
month: 'Mar',
year: 2021,
temp: 5.8,
rain: 0,
wind: 12,
pressure: 1030,
},
{
date: '03/03/2021',
day: 3,
month: 'Mar',
year: 2021,
temp: 5.9,
rain: 9.17,
wind: 8.8,
pressure: 1027.6,
},
{
date: '04/03/2021',
day: 4,
month: 'Mar',
year: 2021,
temp: 5.5,
rain: 2.6,
wind: 16.7,
pressure: 1025.1,
},
{
date: '05/03/2021',
day: 5,
month: 'Mar',
year: 2021,
temp: 4.8,
rain: 0.2,
wind: 20.5,
pressure: 1031.8,
},
{
date: '06/03/2021',
day: 6,
month: 'Mar',
year: 2021,
temp: 4.5,
rain: 0,
wind: 13.7,
pressure: 1033.8,
},
{
date: '07/03/2021',
day: 7,
month: 'Mar',
year: 2021,
temp: 3.9,
rain: 0,
wind: 11.3,
pressure: 1027.7,
},
{
date: '08/03/2021',
day: 8,
month: 'Mar',
year: 2021,
temp: 5.2,
rain: 0,
wind: 11.6,
pressure: 1023.8,
},
{
date: '09/03/2021',
day: 9,
month: 'Mar',
year: 2021,
temp: 7.8,
rain: 0.2,
wind: 21.2,
pressure: 1020,
},
{
date: '10/03/2021',
day: 10,
month: 'Mar',
year: 2021,
temp: 8.1,
rain: 1.01,
wind: 33.6,
pressure: 1007.4,
},
{
date: '11/03/2021',
day: 11,
month: 'Mar',
year: 2021,
temp: 9.9,
rain: 6.32,
wind: 45.9,
pressure: 996.3,
},
{
date: '12/03/2021',
day: 12,
month: 'Mar',
year: 2021,
temp: 7.8,
rain: 4.8,
wind: 37.4,
pressure: 1002.1,
},
{
date: '13/03/2021',
day: 13,
month: 'Mar',
year: 2021,
temp: 7.3,
rain: 5.01,
wind: 42.6,
pressure: 995.7,
},
{
date: '14/03/2021',
day: 14,
month: 'Mar',
year: 2021,
temp: 8,
rain: 0.48,
wind: 29,
pressure: 1012.9,
},
{
date: '15/03/2021',
day: 15,
month: 'Mar',
year: 2021,
temp: 9.7,
rain: 1.78,
wind: 24.1,
pressure: 1020.4,
},
{
date: '16/03/2021',
day: 16,
month: 'Mar',
year: 2021,
temp: 10.2,
rain: 0.4,
wind: 24.1,
pressure: 1027.5,
},
{
date: '17/03/2021',
day: 17,
month: 'Mar',
year: 2021,
temp: 7.8,
rain: 1.99,
wind: 16.4,
pressure: 1033.2,
},
{
date: '18/03/2021',
day: 18,
month: 'Mar',
year: 2021,
temp: 7.9,
rain: 0.2,
wind: 25.4,
pressure: 1028.8,
},
{
date: '19/03/2021',
day: 19,
month: 'Mar',
year: 2021,
temp: 8.3,
rain: 0.4,
wind: 23,
pressure: 1028.1,
},
{
date: '20/03/2021',
day: 20,
month: 'Mar',
year: 2021,
temp: 8.1,
rain: 0,
wind: 16.4,
pressure: 1031.2,
},
{
date: '21/03/2021',
day: 21,
month: 'Mar',
year: 2021,
temp: 8.8,
rain: 0,
wind: 19.9,
pressure: 1028.7,
},
{
date: '22/03/2021',
day: 22,
month: 'Mar',
year: 2021,
temp: 9.5,
rain: 0,
wind: 13.8,
pressure: 1026.5,
},
{
date: '23/03/2021',
day: 23,
month: 'Mar',
year: 2021,
temp: 8.3,
rain: 0,
wind: 23,
pressure: 1024.2,
},
{
date: '24/03/2021',
day: 24,
month: 'Mar',
year: 2021,
temp: 8.9,
rain: 0,
wind: 19.9,
pressure: 1020.9,
},
{
date: '25/03/2021',
day: 25,
month: 'Mar',
year: 2021,
temp: 8.9,
rain: 2.39,
wind: 27.2,
pressure: 1018.4,
},
{
date: '26/03/2021',
day: 26,
month: 'Mar',
year: 2021,
temp: 9.3,
rain: 3.01,
wind: 33.9,
pressure: 1010.8,
},
{
date: '27/03/2021',
day: 27,
month: 'Mar',
year: 2021,
temp: 7.9,
rain: 1.12,
wind: 32,
pressure: 1020.5,
},
{
date: '28/03/2021',
day: 28,
month: 'Mar',
year: 2021,
temp: 10.7,
rain: 0,
wind: 34.2,
pressure: 1022.8,
},
{
date: '29/03/2021',
day: 29,
month: 'Mar',
year: 2021,
temp: 13,
rain: 0,
wind: 25.5,
pressure: 1026.6,
},
{
date: '30/03/2021',
day: 30,
month: 'Mar',
year: 2021,
temp: 13.4,
rain: 0,
wind: 14.1,
pressure: 1027.6,
},
{
date: '31/03/2021',
day: 31,
month: 'Mar',
year: 2021,
temp: 14.4,
rain: 0,
wind: 11,
pressure: 1020.5,
},
{
date: '01/04/2021',
day: 1,
month: 'Apr',
year: 2021,
temp: 11.1,
rain: 0,
wind: 23.1,
pressure: 1024.4,
},
{
date: '02/04/2021',
day: 2,
month: 'Apr',
year: 2021,
temp: 7.5,
rain: 0,
wind: 24.3,
pressure: 1030.2,
},
{
date: '03/04/2021',
day: 3,
month: 'Apr',
year: 2021,
temp: 7.7,
rain: 0,
wind: 21.8,
pressure: 1032.1,
},
{
date: '04/04/2021',
day: 4,
month: 'Apr',
year: 2021,
temp: 9.3,
rain: 0,
wind: 18.3,
pressure: 1026,
},
{
date: '05/04/2021',
day: 5,
month: 'Apr',
year: 2021,
temp: 6.9,
rain: 0,
wind: 28.8,
pressure: 1018.3,
},
{
date: '06/04/2021',
day: 6,
month: 'Apr',
year: 2021,
temp: 4.1,
rain: 0,
wind: 25.4,
pressure: 1020.6,
},
{
date: '07/04/2021',
day: 7,
month: 'Apr',
year: 2021,
temp: 3.6,
rain: 0,
wind: 22.5,
pressure: 1023.7,
},
{
date: '08/04/2021',
day: 8,
month: 'Apr',
year: 2021,
temp: 7.9,
rain: 0,
wind: 24.8,
pressure: 1021.7,
},
{
date: '09/04/2021',
day: 9,
month: 'Apr',
year: 2021,
temp: 9.3,
rain: 1,
wind: 18.6,
pressure: 1013.5,
},
{
date: '10/04/2021',
day: 10,
month: 'Apr',
year: 2021,
temp: 7.1,
rain: 0.2,
wind: 18.8,
pressure: 1013.2,
},
{
date: '11/04/2021',
day: 11,
month: 'Apr',
year: 2021,
temp: 5.2,
rain: 0.28,
wind: 19.6,
pressure: 1019.1,
},
{
date: '12/04/2021',
day: 12,
month: 'Apr',
year: 2021,
temp: 5.2,
rain: 2,
wind: 13.2,
pressure: 1028.6,
},
{
date: '13/04/2021',
day: 13,
month: 'Apr',
year: 2021,
temp: 6.5,
rain: 0,
wind: 15.9,
pressure: 1032.6,
},
{
date: '14/04/2021',
day: 14,
month: 'Apr',
year: 2021,
temp: 8.4,
rain: 0,
wind: 18.1,
pressure: 1032.7,
},
{
date: '15/04/2021',
day: 15,
month: 'Apr',
year: 2021,
temp: 6.5,
rain: 0.4,
wind: 16.7,
pressure: 1033.2,
},
{
date: '16/04/2021',
day: 16,
month: 'Apr',
year: 2021,
temp: 6.9,
rain: 0,
wind: 13.7,
pressure: 1031.2,
},
{
date: '17/04/2021',
day: 17,
month: 'Apr',
year: 2021,
temp: 8.2,
rain: 0,
wind: 14.9,
pressure: 1029.1,
},
{
date: '18/04/2021',
day: 18,
month: 'Apr',
year: 2021,
temp: 9.3,
rain: 0,
wind: 11.3,
pressure: 1025.1,
},
{
date: '19/04/2021',
day: 19,
month: 'Apr',
year: 2021,
temp: 10.5,
rain: 0,
wind: 15,
pressure: 1021.4,
},
{
date: '20/04/2021',
day: 20,
month: 'Apr',
year: 2021,
temp: 11.3,
rain: 0,
wind: 14.5,
pressure: 1018.1,
},
{
date: '21/04/2021',
day: 21,
month: 'Apr',
year: 2021,
temp: 10.1,
rain: 0,
wind: 21.3,
pressure: 1021,
},
{
date: '22/04/2021',
day: 22,
month: 'Apr',
year: 2021,
temp: 8.5,
rain: 0,
wind: 19.3,
pressure: 1027.1,
},
{
date: '23/04/2021',
day: 23,
month: 'Apr',
year: 2021,
temp: 9.5,
rain: 0,
wind: 20.8,
pressure: 1028.6,
},
{
date: '24/04/2021',
day: 24,
month: 'Apr',
year: 2021,
temp: 10.7,
rain: 0,
wind: 23.9,
pressure: 1027.5,
},
{
date: '25/04/2021',
day: 25,
month: 'Apr',
year: 2021,
temp: 8.9,
rain: 0,
wind: 25.2,
pressure: 1028.2,
},
{
date: '26/04/2021',
day: 26,
month: 'Apr',
year: 2021,
temp: 8.2,
rain: 0,
wind: 20.6,
pressure: 1021.7,
},
{
date: '27/04/2021',
day: 27,
month: 'Apr',
year: 2021,
temp: 9.8,
rain: 0,
wind: 15.6,
pressure: 1010.5,
},
{
date: '28/04/2021',
day: 28,
month: 'Apr',
year: 2021,
temp: 9.3,
rain: 2.01,
wind: 22.2,
pressure: 1006.4,
},
{
date: '29/04/2021',
day: 29,
month: 'Apr',
year: 2021,
temp: 8.3,
rain: 3.61,
wind: 17.5,
pressure: 1011.2,
},
{
date: '30/04/2021',
day: 30,
month: 'Apr',
year: 2021,
temp: 8.3,
rain: 0,
wind: 14.9,
pressure: 1015,
},
{
date: '01/05/2021',
day: 1,
month: 'May',
year: 2021,
temp: 8.7,
rain: 0.2,
wind: 17.1,
pressure: 1016.4,
},
{
date: '02/05/2021',
day: 2,
month: 'May',
year: 2021,
temp: 9.3,
rain: 2.6,
wind: 17.3,
pressure: 1020.3,
},
{
date: '03/05/2021',
day: 3,
month: 'May',
year: 2021,
temp: 9.7,
rain: 0.6,
wind: 43.9,
pressure: 1013.1,
},
{
date: '04/05/2021',
day: 4,
month: 'May',
year: 2021,
temp: 10.3,
rain: 5.53,
wind: 43.7,
pressure: 999.7,
},
{
date: '05/05/2021',
day: 5,
month: 'May',
year: 2021,
temp: 7.5,
rain: 3.2,
wind: 24.8,
pressure: 1008.7,
},
{
date: '06/05/2021',
day: 6,
month: 'May',
year: 2021,
temp: 7.6,
rain: 1.9,
wind: 20.1,
pressure: 1007.3,
},
{
date: '07/05/2021',
day: 7,
month: 'May',
year: 2021,
temp: 9.9,
rain: 0,
wind: 20.8,
pressure: 1015.2,
},
{
date: '08/05/2021',
day: 8,
month: 'May',
year: 2021,
temp: 12.2,
rain: 10.41,
wind: 36.8,
pressure: 1005.8,
},
{
date: '09/05/2021',
day: 9,
month: 'May',
year: 2021,
temp: 16.4,
rain: 0,
wind: 27.7,
pressure: 997.2,
},
{
date: '10/05/2021',
day: 10,
month: 'May',
year: 2021,
temp: 13.6,
rain: 0.8,
wind: 35.7,
pressure: 1000.1,
},
{
date: '11/05/2021',
day: 11,
month: 'May',
year: 2021,
temp: 12.9,
rain: 0.6,
wind: 26.6,
pressure: 1007,
},
{
date: '12/05/2021',
day: 12,
month: 'May',
year: 2021,
temp: 13,
rain: 1,
wind: 21.6,
pressure: 1008.5,
},
{
date: '13/05/2021',
day: 13,
month: 'May',
year: 2021,
temp: 11.6,
rain: 6.61,
wind: 18.1,
pressure: 1006.1,
},
{
date: '14/05/2021',
day: 14,
month: 'May',
year: 2021,
temp: 10.2,
rain: 1.2,
wind: 16,
pressure: 1009,
},
{
date: '15/05/2021',
day: 15,
month: 'May',
year: 2021,
temp: 10.3,
rain: 6.63,
wind: 16,
pressure: 1001.2,
},
{
date: '16/05/2021',
day: 16,
month: 'May',
year: 2021,
temp: 10.5,
rain: 6.39,
wind: 18.5,
pressure: 998,
},
{
date: '17/05/2021',
day: 17,
month: 'May',
year: 2021,
temp: 11.5,
rain: 11.32,
wind: 23,
pressure: 1004.6,
},
{
date: '18/05/2021',
day: 18,
month: 'May',
year: 2021,
temp: 11.1,
rain: 5.99,
wind: 17.5,
pressure: 1013.2,
},
{
date: '19/05/2021',
day: 19,
month: 'May',
year: 2021,
temp: 12.4,
rain: 6,
wind: 20,
pressure: 1017.4,
},
{
date: '20/05/2021',
day: 20,
month: 'May',
year: 2021,
temp: 11.2,
rain: 0.8,
wind: 37.6,
pressure: 1013.4,
},
{
date: '21/05/2021',
day: 21,
month: 'May',
year: 2021,
temp: 11.8,
rain: 2.16,
wind: 42.3,
pressure: 996.9,
},
{
date: '22/05/2021',
day: 22,
month: 'May',
year: 2021,
temp: 10.8,
rain: 7.39,
wind: 25.2,
pressure: 1002.7,
},
{
date: '23/05/2021',
day: 23,
month: 'May',
year: 2021,
temp: 10.1,
rain: 2.3,
wind: 30.2,
pressure: 1008.3,
},
{
date: '24/05/2021',
day: 24,
month: 'May',
year: 2021,
temp: 10.3,
rain: 12.26,
wind: 25.1,
pressure: 1003.1,
},
{
date: '25/05/2021',
day: 25,
month: 'May',
year: 2021,
temp: 11,
rain: 4.38,
wind: 26.1,
pressure: 1013.4,
},
{
date: '26/05/2021',
day: 26,
month: 'May',
year: 2021,
temp: 11.5,
rain: 0.8,
wind: 19.3,
pressure: 1014.7,
},
{
date: '27/05/2021',
day: 27,
month: 'May',
year: 2021,
temp: 14.5,
rain: 0,
wind: 13.1,
pressure: 1020,
},
{
date: '28/05/2021',
day: 28,
month: 'May',
year: 2021,
temp: 14.9,
rain: 0.6,
wind: 11,
pressure: 1023.2,
},
{
date: '29/05/2021',
day: 29,
month: 'May',
year: 2021,
temp: 16.2,
rain: 0.2,
wind: 19.3,
pressure: 1026.5,
},
{
date: '30/05/2021',
day: 30,
month: 'May',
year: 2021,
temp: 13.2,
rain: 0,
wind: 18.2,
pressure: 1027.6,
},
{
date: '31/05/2021',
day: 31,
month: 'May',
year: 2021,
temp: 16,
rain: 0.2,
wind: 18.8,
pressure: 1021.6,
},
{
date: '01/06/2021',
day: 1,
month: 'Jun',
year: 2021,
temp: 18.8,
rain: 0,
wind: 22.5,
pressure: 1015.2,
},
{
date: '02/06/2021',
day: 2,
month: 'Jun',
year: 2021,
temp: 20.1,
rain: 0,
wind: 16.8,
pressure: 1012.6,
},
{
date: '03/06/2021',
day: 3,
month: 'Jun',
year: 2021,
temp: 20.2,
rain: 1.25,
wind: 16.6,
pressure: 1018.1,
},
{
date: '04/06/2021',
day: 4,
month: 'Jun',
year: 2021,
temp: 15.3,
rain: 9.99,
wind: 13.2,
pressure: 1022.7,
},
{
date: '05/06/2021',
day: 5,
month: 'Jun',
year: 2021,
temp: 18,
rain: 0.4,
wind: 13.5,
pressure: 1024.2,
},
{
date: '06/06/2021',
day: 6,
month: 'Jun',
year: 2021,
temp: 18.4,
rain: 0.42,
wind: 12.4,
pressure: 1024.5,
},
{
date: '07/06/2021',
day: 7,
month: 'Jun',
year: 2021,
temp: 19,
rain: 0,
wind: 15.6,
pressure: 1023.8,
},
{
date: '08/06/2021',
day: 8,
month: 'Jun',
year: 2021,
temp: 19.1,
rain: 0,
wind: 14.8,
pressure: 1023.1,
},
{
date: '09/06/2021',
day: 9,
month: 'Jun',
year: 2021,
temp: 19.8,
rain: 0,
wind: 21.2,
pressure: 1021.7,
},
{
date: '10/06/2021',
day: 10,
month: 'Jun',
year: 2021,
temp: 19.6,
rain: 0,
wind: 19.2,
pressure: 1020.9,
},
{
date: '11/06/2021',
day: 11,
month: 'Jun',
year: 2021,
temp: 19.8,
rain: 0,
wind: 22.3,
pressure: 1019.8,
},
{
date: '12/06/2021',
day: 12,
month: 'Jun',
year: 2021,
temp: 19.6,
rain: 0,
wind: 18.5,
pressure: 1023.2,
},
{
date: '13/06/2021',
day: 13,
month: 'Jun',
year: 2021,
temp: 21.4,
rain: 0,
wind: 17.1,
pressure: 1026.1,
},
{
date: '14/06/2021',
day: 14,
month: 'Jun',
year: 2021,
temp: 22.1,
rain: 0,
wind: 13.9,
pressure: 1020.8,
},
{
date: '15/06/2021',
day: 15,
month: 'Jun',
year: 2021,
temp: 20,
rain: 0,
wind: 17.1,
pressure: 1020.7,
},
{
date: '16/06/2021',
day: 16,
month: 'Jun',
year: 2021,
temp: 21.8,
rain: 0,
wind: 17.2,
pressure: 1012.2,
},
{
date: '17/06/2021',
day: 17,
month: 'Jun',
year: 2021,
temp: 19.3,
rain: 11.52,
wind: 14.2,
pressure: 1010.5,
},
{
date: '18/06/2021',
day: 18,
month: 'Jun',
year: 2021,
temp: 15,
rain: 38.29,
wind: 18.2,
pressure: 1013.1,
},
{
date: '19/06/2021',
day: 19,
month: 'Jun',
year: 2021,
temp: 14.1,
rain: 3.2,
wind: 13.5,
pressure: 1014.1,
},
{
date: '20/06/2021',
day: 20,
month: 'Jun',
year: 2021,
temp: 15.1,
rain: 1.8,
wind: 18.8,
pressure: 1008.9,
},
{
date: '21/06/2021',
day: 21,
month: 'Jun',
year: 2021,
temp: 13.4,
rain: 6.88,
wind: 20.5,
pressure: 1012.4,
},
{
date: '22/06/2021',
day: 22,
month: 'Jun',
year: 2021,
temp: 14.1,
rain: 2.2,
wind: 23.2,
pressure: 1020.2,
},
{
date: '23/06/2021',
day: 23,
month: 'Jun',
year: 2021,
temp: 15.6,
rain: 0.2,
wind: 11.2,
pressure: 1023.4,
},
{
date: '24/06/2021',
day: 24,
month: 'Jun',
year: 2021,
temp: 16.5,
rain: 0.2,
wind: 15.4,
pressure: 1021.6,
},
{
date: '25/06/2021',
day: 25,
month: 'Jun',
year: 2021,
temp: 17.8,
rain: 0.46,
wind: 14.9,
pressure: 1016.3,
},
{
date: '26/06/2021',
day: 26,
month: 'Jun',
year: 2021,
temp: 17.9,
rain: 0,
wind: 15.6,
pressure: 1017.4,
},
{
date: '27/06/2021',
day: 27,
month: 'Jun',
year: 2021,
temp: 17.7,
rain: 1,
wind: 20.6,
pressure: 1015.7,
},
{
date: '28/06/2021',
day: 28,
month: 'Jun',
year: 2021,
temp: 17.4,
rain: 27.95,
wind: 15.6,
pressure: 1014.4,
},
{
date: '29/06/2021',
day: 29,
month: 'Jun',
year: 2021,
temp: 16.3,
rain: 2.2,
wind: 19,
pressure: 1015.3,
},
{
date: '30/06/2021',
day: 30,
month: 'Jun',
year: 2021,
temp: 15.6,
rain: 0,
wind: 13.5,
pressure: 1017.3,
},
{
date: '01/07/2021',
day: 1,
month: 'Jul',
year: 2021,
temp: 17.6,
rain: 0,
wind: 10.8,
pressure: 1017.8,
},
{
date: '02/07/2021',
day: 2,
month: 'Jul',
year: 2021,
temp: 19.6,
rain: 0,
wind: 15.3,
pressure: 1016.1,
},
{
date: '03/07/2021',
day: 3,
month: 'Jul',
year: 2021,
temp: 18.6,
rain: 2.41,
wind: 20.9,
pressure: 1012,
},
{
date: '04/07/2021',
day: 4,
month: 'Jul',
year: 2021,
temp: 17.7,
rain: 3.21,
wind: 24.9,
pressure: 1007.7,
},
{
date: '05/07/2021',
day: 5,
month: 'Jul',
year: 2021,
temp: 16.7,
rain: 2.99,
wind: 24.7,
pressure: 1004.9,
},
{
date: '06/07/2021',
day: 6,
month: 'Jul',
year: 2021,
temp: 15.4,
rain: 20.41,
wind: 31,
pressure: 999.6,
},
{
date: '07/07/2021',
day: 7,
month: 'Jul',
year: 2021,
temp: 16.8,
rain: 0.2,
wind: 24.1,
pressure: 1011.3,
},
{
date: '08/07/2021',
day: 8,
month: 'Jul',
year: 2021,
temp: 17.8,
rain: 6.31,
wind: 16.8,
pressure: 1019.4,
},
{
date: '09/07/2021',
day: 9,
month: 'Jul',
year: 2021,
temp: 19.1,
rain: 0.4,
wind: 18.3,
pressure: 1020.6,
},
{
date: '10/07/2021',
day: 10,
month: 'Jul',
year: 2021,
temp: 16.3,
rain: 2.32,
wind: 12.1,
pressure: 1016.7,
},
{
date: '11/07/2021',
day: 11,
month: 'Jul',
year: 2021,
temp: 17,
rain: 0,
wind: 16.6,
pressure: 1015.4,
},
{
date: '12/07/2021',
day: 12,
month: 'Jul',
year: 2021,
temp: 16.8,
rain: 5,
wind: 12.1,
pressure: 1011.2,
},
{
date: '13/07/2021',
day: 13,
month: 'Jul',
year: 2021,
temp: 18.9,
rain: 2.99,
wind: 17.5,
pressure: 1014.5,
},
{
date: '14/07/2021',
day: 14,
month: 'Jul',
year: 2021,
temp: 19.7,
rain: 0,
wind: 20.6,
pressure: 1017.9,
},
{
date: '15/07/2021',
day: 15,
month: 'Jul',
year: 2021,
temp: 18.7,
rain: 0,
wind: 17.4,
pressure: 1022.2,
},
{
date: '16/07/2021',
day: 16,
month: 'Jul',
year: 2021,
temp: 19.5,
rain: 0,
wind: 19.5,
pressure: 1026.6,
},
{
date: '17/07/2021',
day: 17,
month: 'Jul',
year: 2021,
temp: 22.1,
rain: 0,
wind: 12,
pressure: 1028,
},
{
date: '18/07/2021',
day: 18,
month: 'Jul',
year: 2021,
temp: 23.9,
rain: 0,
wind: 10,
pressure: 1024.9,
},
{
date: '19/07/2021',
day: 19,
month: 'Jul',
year: 2021,
temp: 24.3,
rain: 0,
wind: 12,
pressure: 1020.8,
},
{
date: '20/07/2021',
day: 20,
month: 'Jul',
year: 2021,
temp: 23.4,
rain: 1,
wind: 15.3,
pressure: 1019.7,
},
{
date: '21/07/2021',
day: 21,
month: 'Jul',
year: 2021,
temp: 23.9,
rain: 0.41,
wind: 13.2,
pressure: 1022.1,
},
{
date: '22/07/2021',
day: 22,
month: 'Jul',
year: 2021,
temp: 23.1,
rain: 0,
wind: 12.5,
pressure: 1022.6,
},
{
date: '23/07/2021',
day: 23,
month: 'Jul',
year: 2021,
temp: 19.5,
rain: 0,
wind: 23.2,
pressure: 1017.2,
},
{
date: '24/07/2021',
day: 24,
month: 'Jul',
year: 2021,
temp: 18.8,
rain: 1.07,
wind: 22,
pressure: 1008.6,
},
{
date: '25/07/2021',
day: 25,
month: 'Jul',
year: 2021,
temp: 18.4,
rain: 39.82,
wind: 17.1,
pressure: 1007.7,
},
{
date: '26/07/2021',
day: 26,
month: 'Jul',
year: 2021,
temp: 20,
rain: 2,
wind: 15.2,
pressure: 1009.8,
},
{
date: '27/07/2021',
day: 27,
month: 'Jul',
year: 2021,
temp: 19.2,
rain: 5.14,
wind: 20.2,
pressure: 1008.4,
},
{
date: '28/07/2021',
day: 28,
month: 'Jul',
year: 2021,
temp: 17.1,
rain: 18.93,
wind: 25.1,
pressure: 1006.9,
},
{
date: '29/07/2021',
day: 29,
month: 'Jul',
year: 2021,
temp: 17,
rain: 2.99,
wind: 29.1,
pressure: 1009.7,
},
{
date: '30/07/2021',
day: 30,
month: 'Jul',
year: 2021,
temp: 16.5,
rain: 6.44,
wind: 35.6,
pressure: 1003.3,
},
{
date: '31/07/2021',
day: 31,
month: 'Jul',
year: 2021,
temp: 16.7,
rain: 1.44,
wind: 19,
pressure: 1009,
},
{
date: '01/08/2021',
day: 1,
month: 'Aug',
year: 2021,
temp: 17.1,
rain: 3.79,
wind: 13.2,
pressure: 1011.2,
},
{
date: '02/08/2021',
day: 2,
month: 'Aug',
year: 2021,
temp: 16.5,
rain: 0,
wind: 14.2,
pressure: 1014.9,
},
{
date: '03/08/2021',
day: 3,
month: 'Aug',
year: 2021,
temp: 16.9,
rain: 1,
wind: 12.4,
pressure: 1013.2,
},
{
date: '04/08/2021',
day: 4,
month: 'Aug',
year: 2021,
temp: 17.6,
rain: 0,
wind: 13.5,
pressure: 1012.9,
},
{
date: '05/08/2021',
day: 5,
month: 'Aug',
year: 2021,
temp: 17,
rain: 2.01,
wind: 25.8,
pressure: 1005.3,
},
{
date: '06/08/2021',
day: 6,
month: 'Aug',
year: 2021,
temp: 17.6,
rain: 3.69,
wind: 33.1,
pressure: 998.4,
},
{
date: '07/08/2021',
day: 7,
month: 'Aug',
year: 2021,
temp: 16.2,
rain: 33.91,
wind: 24.1,
pressure: 997.9,
},
{
date: '08/08/2021',
day: 8,
month: 'Aug',
year: 2021,
temp: 16.1,
rain: 11,
wind: 25.8,
pressure: 1005.3,
},
{
date: '09/08/2021',
day: 9,
month: 'Aug',
year: 2021,
temp: 16.2,
rain: 16.19,
wind: 23.6,
pressure: 1011.5,
},
{
date: '10/08/2021',
day: 10,
month: 'Aug',
year: 2021,
temp: 17.9,
rain: 1,
wind: 14.8,
pressure: 1015.3,
},
{
date: '11/08/2021',
day: 11,
month: 'Aug',
year: 2021,
temp: 18.4,
rain: 0,
wind: 16.5,
pressure: 1018,
},
{
date: '12/08/2021',
day: 12,
month: 'Aug',
year: 2021,
temp: 18.9,
rain: 0.4,
wind: 20.5,
pressure: 1018.2,
},
{
date: '13/08/2021',
day: 13,
month: 'Aug',
year: 2021,
temp: 18,
rain: 0,
wind: 21.6,
pressure: 1020.8,
},
{
date: '14/08/2021',
day: 14,
month: 'Aug',
year: 2021,
temp: 19.4,
rain: 0,
wind: 19.9,
pressure: 1019.9,
},
{
date: '15/08/2021',
day: 15,
month: 'Aug',
year: 2021,
temp: 18.7,
rain: 0.31,
wind: 26.6,
pressure: 1013.6,
},
{
date: '16/08/2021',
day: 16,
month: 'Aug',
year: 2021,
temp: 16.3,
rain: 1.2,
wind: 22.6,
pressure: 1016.8,
},
{
date: '17/08/2021',
day: 17,
month: 'Aug',
year: 2021,
temp: 15.6,
rain: 0.32,
wind: 21.6,
pressure: 1019.8,
},
{
date: '18/08/2021',
day: 18,
month: 'Aug',
year: 2021,
temp: 18.5,
rain: 0.78,
wind: 24.8,
pressure: 1016.9,
},
{
date: '19/08/2021',
day: 19,
month: 'Aug',
year: 2021,
temp: 17.6,
rain: 0,
wind: 17,
pressure: 1014.3,
},
{
date: '20/08/2021',
day: 20,
month: 'Aug',
year: 2021,
temp: 18,
rain: 1.66,
wind: 12.9,
pressure: 1016,
},
{
date: '21/08/2021',
day: 21,
month: 'Aug',
year: 2021,
temp: 18.2,
rain: 0.2,
wind: 12.8,
pressure: 1015.5,
},
{
date: '22/08/2021',
day: 22,
month: 'Aug',
year: 2021,
temp: 18.1,
rain: 2.57,
wind: 18.2,
pressure: 1018.6,
},
{
date: '23/08/2021',
day: 23,
month: 'Aug',
year: 2021,
temp: 17.8,
rain: 0.26,
wind: 16.1,
pressure: 1027.5,
},
{
date: '24/08/2021',
day: 24,
month: 'Aug',
year: 2021,
temp: 17.5,
rain: 0,
wind: 20.1,
pressure: 1029.5,
},
{
date: '25/08/2021',
day: 25,
month: 'Aug',
year: 2021,
temp: 17.5,
rain: 0,
wind: 18.2,
pressure: 1025.8,
},
{
date: '26/08/2021',
day: 26,
month: 'Aug',
year: 2021,
temp: 17.1,
rain: 0,
wind: 20.2,
pressure: 1022.1,
},
{
date: '27/08/2021',
day: 27,
month: 'Aug',
year: 2021,
temp: 16,
rain: 0,
wind: 17,
pressure: 1023.4,
},
{
date: '28/08/2021',
day: 28,
month: 'Aug',
year: 2021,
temp: 16.2,
rain: 0,
wind: 17.5,
pressure: 1025.9,
},
{
date: '29/08/2021',
day: 29,
month: 'Aug',
year: 2021,
temp: 15.5,
rain: 0,
wind: 17,
pressure: 1025.4,
},
{
date: '30/08/2021',
day: 30,
month: 'Aug',
year: 2021,
temp: 15.8,
rain: 0,
wind: 19.3,
pressure: 1026.1,
},
{
date: '31/08/2021',
day: 31,
month: 'Aug',
year: 2021,
temp: 16,
rain: 0.6,
wind: 18.6,
pressure: 1029.3,
},
{
date: '01/09/2021',
day: 1,
month: 'Sep',
year: 2021,
temp: 16.3,
rain: 0,
wind: 17,
pressure: 1030.8,
},
{
date: '02/09/2021',
day: 2,
month: 'Sep',
year: 2021,
temp: 17,
rain: 0,
wind: 21.2,
pressure: 1027.9,
},
{
date: '03/09/2021',
day: 3,
month: 'Sep',
year: 2021,
temp: 17.7,
rain: 0,
wind: 14.5,
pressure: 1021.9,
},
{
date: '04/09/2021',
day: 4,
month: 'Sep',
year: 2021,
temp: 16.8,
rain: 0,
wind: 14.9,
pressure: 1019,
},
{
date: '05/09/2021',
day: 5,
month: 'Sep',
year: 2021,
temp: 18.9,
rain: 0,
wind: 11.2,
pressure: 1020.4,
},
{
date: '06/09/2021',
day: 6,
month: 'Sep',
year: 2021,
temp: 20.2,
rain: 0,
wind: 6.2,
pressure: 1023,
},
{
date: '07/09/2021',
day: 7,
month: 'Sep',
year: 2021,
temp: 21.8,
rain: 0,
wind: 14.4,
pressure: 1020.9,
},
{
date: '08/09/2021',
day: 8,
month: 'Sep',
year: 2021,
temp: 21.6,
rain: 0,
wind: 18.8,
pressure: 1013,
},
{
date: '09/09/2021',
day: 9,
month: 'Sep',
year: 2021,
temp: 19,
rain: 4.39,
wind: 21,
pressure: 1008.6,
},
{
date: '10/09/2021',
day: 10,
month: 'Sep',
year: 2021,
temp: 18.9,
rain: 4.2,
wind: 19,
pressure: 1010.5,
},
{
date: '11/09/2021',
day: 11,
month: 'Sep',
year: 2021,
temp: 19.1,
rain: 0.4,
wind: 17.8,
pressure: 1016.1,
},
{
date: '12/09/2021',
day: 12,
month: 'Sep',
year: 2021,
temp: 16.9,
rain: 0,
wind: 9.1,
pressure: 1018.7,
},
{
date: '13/09/2021',
day: 13,
month: 'Sep',
year: 2021,
temp: 17.2,
rain: 0,
wind: 17.5,
pressure: 1017.8,
},
{
date: '14/09/2021',
day: 14,
month: 'Sep',
year: 2021,
temp: 17.4,
rain: 19.98,
wind: 11.3,
pressure: 1011.9,
},
{
date: '15/09/2021',
day: 15,
month: 'Sep',
year: 2021,
temp: 17.1,
rain: 0.4,
wind: 13.7,
pressure: 1014.1,
},
{
date: '16/09/2021',
day: 16,
month: 'Sep',
year: 2021,
temp: 17,
rain: 0.2,
wind: 11,
pressure: 1017.5,
},
{
date: '17/09/2021',
day: 17,
month: 'Sep',
year: 2021,
temp: 17,
rain: 0.2,
wind: 0.1,
pressure: 1014.8,
},
{
date: '18/09/2021',
day: 18,
month: 'Sep',
year: 2021,
temp: 18.3,
rain: 0.2,
wind: 0.1,
pressure: 1014,
},
{
date: '19/09/2021',
day: 19,
month: 'Sep',
year: 2021,
temp: 17.4,
rain: 6.43,
wind: 0.1,
pressure: 1014.4,
},
{
date: '20/09/2021',
day: 20,
month: 'Sep',
year: 2021,
temp: 16.1,
rain: 0,
wind: 0.1,
pressure: 1022.5,
},
{
date: '21/09/2021',
day: 21,
month: 'Sep',
year: 2021,
temp: 15.7,
rain: 0,
wind: 0.1,
pressure: 1030.1,
},
{
date: '22/09/2021',
day: 22,
month: 'Sep',
year: 2021,
temp: 16.1,
rain: 0.2,
wind: 0.1,
pressure: 1027.8,
},
{
date: '23/09/2021',
day: 23,
month: 'Sep',
year: 2021,
temp: 16.2,
rain: 0,
wind: 0.1,
pressure: 1020.6,
},
{
date: '24/09/2021',
day: 24,
month: 'Sep',
year: 2021,
temp: 17.4,
rain: 0.2,
wind: 0.1,
pressure: 1016.3,
},
{
date: '25/09/2021',
day: 25,
month: 'Sep',
year: 2021,
temp: 16.9,
rain: 0.4,
wind: 0.1,
pressure: 1014.3,
},
{
date: '26/09/2021',
day: 26,
month: 'Sep',
year: 2021,
temp: 17.2,
rain: 0,
wind: 0.2,
pressure: 1011.8,
},
{
date: '27/09/2021',
day: 27,
month: 'Sep',
year: 2021,
temp: 16.3,
rain: 4.91,
wind: 0.2,
pressure: 1010.6,
},
{
date: '28/09/2021',
day: 28,
month: 'Sep',
year: 2021,
temp: 14.1,
rain: 5.33,
wind: 0.2,
pressure: 1016,
},
{
date: '29/09/2021',
day: 29,
month: 'Sep',
year: 2021,
temp: 12,
rain: 13.91,
wind: 14.2,
pressure: 1019.1,
},
{
date: '30/09/2021',
day: 30,
month: 'Sep',
year: 2021,
temp: 12.7,
rain: 0.83,
wind: 0.2,
pressure: 1021,
},
{
date: '01/10/2021',
day: 1,
month: 'Oct',
year: 2021,
temp: 14.9,
rain: 16.05,
wind: 0.2,
pressure: 1010.3,
},
{
date: '02/10/2021',
day: 2,
month: 'Oct',
year: 2021,
temp: 12.3,
rain: 14.04,
wind: 0.2,
pressure: 999.1,
},
{
date: '03/10/2021',
day: 3,
month: 'Oct',
year: 2021,
temp: 13.1,
rain: 2.8,
wind: 0.2,
pressure: 997.5,
},
{
date: '04/10/2021',
day: 4,
month: 'Oct',
year: 2021,
temp: 13.2,
rain: 3.58,
wind: 0.2,
pressure: 1008.3,
},
{
date: '05/10/2021',
day: 5,
month: 'Oct',
year: 2021,
temp: 12.9,
rain: 37.54,
wind: 0.2,
pressure: 1002.4,
},
{
date: '06/10/2021',
day: 6,
month: 'Oct',
year: 2021,
temp: 12.7,
rain: 0.2,
wind: 0.2,
pressure: 1018.2,
},
{
date: '07/10/2021',
day: 7,
month: 'Oct',
year: 2021,
temp: 15.4,
rain: 0.4,
wind: 0.1,
pressure: 1026,
},
{
date: '08/10/2021',
day: 8,
month: 'Oct',
year: 2021,
temp: 16,
rain: 0.6,
wind: 0.1,
pressure: 1029.5,
},
{
date: '09/10/2021',
day: 9,
month: 'Oct',
year: 2021,
temp: 13.6,
rain: 0.2,
wind: 3.9,
pressure: 1028.6,
},
{
date: '10/10/2021',
day: 10,
month: 'Oct',
year: 2021,
temp: 13.6,
rain: 0.2,
wind: 0.1,
pressure: 1029.4,
},
{
date: '11/10/2021',
day: 11,
month: 'Oct',
year: 2021,
temp: 11.7,
rain: 0.2,
wind: 0.1,
pressure: 1030.6,
},
{
date: '12/10/2021',
day: 12,
month: 'Oct',
year: 2021,
temp: 11.6,
rain: 3,
wind: 0.1,
pressure: 1026,
},
{
date: '13/10/2021',
day: 13,
month: 'Oct',
year: 2021,
temp: 12,
rain: 0.2,
wind: 10.3,
pressure: 1027.8,
},
{
date: '14/10/2021',
day: 14,
month: 'Oct',
year: 2021,
temp: 13.7,
rain: 0.2,
wind: 0.1,
pressure: 1024,
},
{
date: '15/10/2021',
day: 15,
month: 'Oct',
year: 2021,
temp: 13,
rain: 0,
wind: 0.1,
pressure: 1020.3,
},
{
date: '16/10/2021',
day: 16,
month: 'Oct',
year: 2021,
temp: 11.9,
rain: 0.8,
wind: 0.1,
pressure: 1020.6,
},
{
date: '17/10/2021',
day: 17,
month: 'Oct',
year: 2021,
temp: 13.2,
rain: 0,
wind: 0.1,
pressure: 1017.5,
},
{
date: '18/10/2021',
day: 18,
month: 'Oct',
year: 2021,
temp: 13.7,
rain: 1,
wind: 0.1,
pressure: 1016.4,
},
{
date: '19/10/2021',
day: 19,
month: 'Oct',
year: 2021,
temp: 18.1,
rain: 0.6,
wind: 0.2,
pressure: 1012.1,
},
{
date: '20/10/2021',
day: 20,
month: 'Oct',
year: 2021,
temp: 15.7,
rain: 15.44,
wind: 21.9,
pressure: 999.1,
},
{
date: '21/10/2021',
day: 21,
month: 'Oct',
year: 2021,
temp: 9.4,
rain: 20,
wind: 0.2,
pressure: 1007,
},
{
date: '22/10/2021',
day: 22,
month: 'Oct',
year: 2021,
temp: 9.2,
rain: 0,
wind: 0.2,
pressure: 1020.9,
},
{
date: '23/10/2021',
day: 23,
month: 'Oct',
year: 2021,
temp: 11.6,
rain: 0,
wind: 0.1,
pressure: 1025,
},
{
date: '24/10/2021',
day: 24,
month: 'Oct',
year: 2021,
temp: 13.2,
rain: 0.29,
wind: 0.1,
pressure: 1018.3,
},
{
date: '25/10/2021',
day: 25,
month: 'Oct',
year: 2021,
temp: 12.7,
rain: 2.4,
wind: 0.1,
pressure: 1015.2,
},
{
date: '26/10/2021',
day: 26,
month: 'Oct',
year: 2021,
temp: 13.1,
rain: 1.4,
wind: 0.1,
pressure: 1018.2,
},
{
date: '27/10/2021',
day: 27,
month: 'Oct',
year: 2021,
temp: 15.5,
rain: 0,
wind: 0.2,
pressure: 1018.3,
},
{
date: '28/10/2021',
day: 28,
month: 'Oct',
year: 2021,
temp: 13.9,
rain: 0,
wind: 0.2,
pressure: 1009.2,
},
{
date: '29/10/2021',
day: 29,
month: 'Oct',
year: 2021,
temp: 13.6,
rain: 3.41,
wind: 0.2,
pressure: 998.7,
},
{
date: '30/10/2021',
day: 30,
month: 'Oct',
year: 2021,
temp: 11.8,
rain: 3.55,
wind: 0.1,
pressure: 997.1,
},
{
date: '31/10/2021',
day: 31,
month: 'Oct',
year: 2021,
temp: 11.8,
rain: 8.44,
wind: 0.3,
pressure: 993.5,
},
{
date: '01/11/2021',
day: 1,
month: 'Nov',
year: 2021,
temp: 10.2,
rain: 1.16,
wind: 18.5,
pressure: 994.6,
},
{
date: '02/11/2021',
day: 2,
month: 'Nov',
year: 2021,
temp: 6.7,
rain: 0.2,
wind: 0.1,
pressure: 999,
},
{
date: '03/11/2021',
day: 3,
month: 'Nov',
year: 2021,
temp: 6.6,
rain: 0.6,
wind: 0.1,
pressure: 1004.4,
},
{
date: '04/11/2021',
day: 4,
month: 'Nov',
year: 2021,
temp: 8,
rain: 1,
wind: 0.1,
pressure: 1014.7,
},
{
date: '05/11/2021',
day: 5,
month: 'Nov',
year: 2021,
temp: 6.2,
rain: 0,
wind: 0.1,
pressure: 1026.4,
},
{
date: '06/11/2021',
day: 6,
month: 'Nov',
year: 2021,
temp: 11.2,
rain: 0,
wind: 0.2,
pressure: 1024.9,
},
{
date: '07/11/2021',
day: 7,
month: 'Nov',
year: 2021,
temp: 9.9,
rain: 0.2,
wind: 11.9,
pressure: 1021.2,
},
{
date: '08/11/2021',
day: 8,
month: 'Nov',
year: 2021,
temp: 8.4,
rain: 0,
wind: 0.1,
pressure: 1023.7,
},
{
date: '09/11/2021',
day: 9,
month: 'Nov',
year: 2021,
temp: 12.7,
rain: 0.2,
wind: 0.1,
pressure: 1023.4,
},
{
date: '10/11/2021',
day: 10,
month: 'Nov',
year: 2021,
temp: 12,
rain: 1.16,
wind: 0.1,
pressure: 1023,
},
{
date: '11/11/2021',
day: 11,
month: 'Nov',
year: 2021,
temp: 12.2,
rain: 0.44,
wind: 0.1,
pressure: 1022.6,
},
{
date: '12/11/2021',
day: 12,
month: 'Nov',
year: 2021,
temp: 12.2,
rain: 0.61,
wind: 0.2,
pressure: 1011.8,
},
{
date: '13/11/2021',
day: 13,
month: 'Nov',
year: 2021,
temp: 12.2,
rain: 0.63,
wind: 0.1,
pressure: 1015.7,
},
{
date: '14/11/2021',
day: 14,
month: 'Nov',
year: 2021,
temp: 12,
rain: 0.95,
wind: 0.1,
pressure: 1023.8,
},
{
date: '15/11/2021',
day: 15,
month: 'Nov',
year: 2021,
temp: 11.4,
rain: 0.2,
wind: 7.2,
pressure: 1026.9,
},
{
date: '16/11/2021',
day: 16,
month: 'Nov',
year: 2021,
temp: 9.7,
rain: 0.2,
wind: 0.1,
pressure: 1022.9,
},
{
date: '17/11/2021',
day: 17,
month: 'Nov',
year: 2021,
temp: 8.6,
rain: 0.4,
wind: 0.1,
pressure: 1024.2,
},
{
date: '18/11/2021',
day: 18,
month: 'Nov',
year: 2021,
temp: 10.1,
rain: 0,
wind: 0.1,
pressure: 1029,
},
{
date: '19/11/2021',
day: 19,
month: 'Nov',
year: 2021,
temp: 11.6,
rain: 0,
wind: 0.1,
pressure: 1030.7,
},
{
date: '20/11/2021',
day: 20,
month: 'Nov',
year: 2021,
temp: 10.4,
rain: 0,
wind: 0.1,
pressure: 1024.1,
},
{
date: '21/11/2021',
day: 21,
month: 'Nov',
year: 2021,
temp: 7.3,
rain: 0,
wind: 0.2,
pressure: 1019.5,
},
{
date: '22/11/2021',
day: 22,
month: 'Nov',
year: 2021,
temp: 6.6,
rain: 0,
wind: 0.1,
pressure: 1029.8,
},
{
date: '23/11/2021',
day: 23,
month: 'Nov',
year: 2021,
temp: 5.6,
rain: 0.6,
wind: 0.1,
pressure: 1032.3,
},
{
date: '24/11/2021',
day: 24,
month: 'Nov',
year: 2021,
temp: 5.8,
rain: 0,
wind: 0.1,
pressure: 1022.1,
},
{
date: '25/11/2021',
day: 25,
month: 'Nov',
year: 2021,
temp: 5.6,
rain: 0.2,
wind: 0.1,
pressure: 1016.3,
},
{
date: '26/11/2021',
day: 26,
month: 'Nov',
year: 2021,
temp: 5.5,
rain: 0.41,
wind: 0.2,
pressure: 996.2,
},
{
date: '27/11/2021',
day: 27,
month: 'Nov',
year: 2021,
temp: 4.1,
rain: 5.41,
wind: 0.2,
pressure: 993.6,
},
{
date: '28/11/2021',
day: 28,
month: 'Nov',
year: 2021,
temp: 2.3,
rain: 0,
wind: 0.2,
pressure: 1006.7,
},
{
date: '29/11/2021',
day: 29,
month: 'Nov',
year: 2021,
temp: 1.2,
rain: 0.2,
wind: 0.1,
pressure: 1014.5,
},
{
date: '30/11/2021',
day: 30,
month: 'Nov',
year: 2021,
temp: 9.8,
rain: 0,
wind: 0.2,
pressure: 1010.3,
},
{
date: '01/12/2021',
day: 1,
month: 'Dec',
year: 2021,
temp: 8.5,
rain: 2.63,
wind: 0.2,
pressure: 999,
},
{
date: '02/12/2021',
day: 2,
month: 'Dec',
year: 2021,
temp: 3.1,
rain: 0.93,
wind: 0.2,
pressure: 1011.7,
},
{
date: '03/12/2021',
day: 3,
month: 'Dec',
year: 2021,
temp: 6.2,
rain: 0.4,
wind: 13.8,
pressure: 1004.9,
},
{
date: '04/12/2021',
day: 4,
month: 'Dec',
year: 2021,
temp: 6.1,
rain: 2.4,
wind: 0.2,
pressure: 998,
},
{
date: '05/12/2021',
day: 5,
month: 'Dec',
year: 2021,
temp: 5.8,
rain: 4.8,
wind: 0.2,
pressure: 1006,
},
{
date: '06/12/2021',
day: 6,
month: 'Dec',
year: 2021,
temp: 4.8,
rain: 5.2,
wind: 0.2,
pressure: 1010,
},
{
date: '07/12/2021',
day: 7,
month: 'Dec',
year: 2021,
temp: 4.9,
rain: 6.02,
wind: 0.2,
pressure: 997.7,
},
{
date: '08/12/2021',
day: 8,
month: 'Dec',
year: 2021,
temp: 6.8,
rain: 1.2,
wind: 25.5,
pressure: 991.2,
},
{
date: '09/12/2021',
day: 9,
month: 'Dec',
year: 2021,
temp: 6.4,
rain: 0.2,
wind: 0.1,
pressure: 999.2,
},
{
date: '10/12/2021',
day: 10,
month: 'Dec',
year: 2021,
temp: 6.4,
rain: 13.48,
wind: 0.2,
pressure: 999.1,
},
{
date: '11/12/2021',
day: 11,
month: 'Dec',
year: 2021,
temp: 5.8,
rain: 2,
wind: 0.1,
pressure: 1015.6,
},
{
date: '12/12/2021',
day: 12,
month: 'Dec',
year: 2021,
temp: 12,
rain: 1.2,
wind: 0.1,
pressure: 1019.7,
},
{
date: '13/12/2021',
day: 13,
month: 'Dec',
year: 2021,
temp: 10.9,
rain: 0.2,
wind: 0.1,
pressure: 1023.4,
},
{
date: '14/12/2021',
day: 14,
month: 'Dec',
year: 2021,
temp: 11.3,
rain: 0,
wind: 0.1,
pressure: 1026.7,
},
{
date: '15/12/2021',
day: 15,
month: 'Dec',
year: 2021,
temp: 12.2,
rain: 0,
wind: 0.1,
pressure: 1030.7,
},
{
date: '16/12/2021',
day: 16,
month: 'Dec',
year: 2021,
temp: 11.5,
rain: 0,
wind: 3.6,
pressure: 1038,
},
{
date: '17/12/2021',
day: 17,
month: 'Dec',
year: 2021,
temp: 9.3,
rain: 0,
wind: 0.1,
pressure: 1040.4,
},
{
date: '18/12/2021',
day: 18,
month: 'Dec',
year: 2021,
temp: 8.4,
rain: 0,
wind: 0.1,
pressure: 1039.1,
},
{
date: '19/12/2021',
day: 19,
month: 'Dec',
year: 2021,
temp: 5.4,
rain: 0,
wind: 9.1,
pressure: 1034.6,
},
{
date: '20/12/2021',
day: 20,
month: 'Dec',
year: 2021,
temp: 6.9,
rain: 0,
wind: 0.1,
pressure: 1028.8,
},
{
date: '21/12/2021',
day: 21,
month: 'Dec',
year: 2021,
temp: 5.2,
rain: 0,
wind: 0.1,
pressure: 1025.3,
},
{
date: '22/12/2021',
day: 22,
month: 'Dec',
year: 2021,
temp: 3.2,
rain: 0,
wind: 8.9,
pressure: 1019.2,
},
{
date: '23/12/2021',
day: 23,
month: 'Dec',
year: 2021,
temp: 8.4,
rain: 0,
wind: 0.1,
pressure: 1008.2,
},
{
date: '24/12/2021',
day: 24,
month: 'Dec',
year: 2021,
temp: 8.8,
rain: 14.4,
wind: 0.1,
pressure: 1004.3,
},
{
date: '25/12/2021',
day: 25,
month: 'Dec',
year: 2021,
temp: 7.4,
rain: 3.09,
wind: 21.4,
pressure: 1003.5,
},
{
date: '26/12/2021',
day: 26,
month: 'Dec',
year: 2021,
temp: 7.4,
rain: 13.08,
wind: 0.1,
pressure: 1000.6,
},
{
date: '27/12/2021',
day: 27,
month: 'Dec',
year: 2021,
temp: 9.6,
rain: 2.41,
wind: 0.1,
pressure: 992.3,
},
{
date: '28/12/2021',
day: 28,
month: 'Dec',
year: 2021,
temp: 10.5,
rain: 1.03,
wind: 0.2,
pressure: 992.6,
},
{
date: '29/12/2021',
day: 29,
month: 'Dec',
year: 2021,
temp: 11.4,
rain: 1.42,
wind: 0.2,
pressure: 1004.4,
},
{
date: '30/12/2021',
day: 30,
month: 'Dec',
year: 2021,
temp: 14.3,
rain: 0,
wind: 0.2,
pressure: 1012.7,
},
{
date: '31/12/2021',
day: 31,
month: 'Dec',
year: 2021,
temp: 13.9,
rain: 1.22,
wind: 0.2,
pressure: 1016.8,
},
];
}
Range Chart API Copy Link
Range Charts can be created programmatically using:
Used to programmatically create charts from a range. |
Properties available on the CreateRangeChartParams interface.
Defines the range of cells to be charted. A range is normally defined with start and end rows and a list of columns. If the start and end rows are omitted, the range covers all rows (i.e. entire column contents are selected). The columns can either be defined using a start and end column (the range will cover the start and end columns and all columns in between), or columns can be supplied specifically in cases where the required columns are not adjacent to each other. See Add Cell Range for more information. |
The type of chart to create. |
By default, when a chart is displayed using the grid, the grid will highlight the range the chart is charting when the chart gets focus. To suppress this behaviour, set suppressChartRanges=true. |
Switch Category / Series. |
The aggregation function that should be applied to all series data. The built-in aggregation functions are 'sum', 'min', 'max', 'count', 'avg', 'first', 'last'. Alternatively, custom aggregation functions can be provided if they conform to the IAggFunc interface shown here. |
The series chart type configurations used in combination charts. |
Group type for chart types that support grouped series. |
Prefer using the auto group column as the category when grouping is active. |
The default theme to use for the created chart. In addition to the default options you listed, you can also provide your own custom chart themes. Options: 'ag-default', 'ag-default-dark', 'ag-material', 'ag-material-dark', 'ag-pastel', 'ag-pastel-dark', 'ag-vivid', 'ag-vivid-dark', 'ag-solar', 'ag-solar-dark' |
If the chart is to be displayed outside of the grid then a chart container should be provided. If the chart is to be displayed using the grid's popup window mechanism then leave as undefined. |
Allows specific chart options in the current theme to be overridden. |
When enabled the chart will be unlinked from the grid after creation, any updates to the data will not be reflected in the chart. |
The API returns a ChartRef object when a chartContainer is provided. This is the same structure that is provided to the createChartContainer(chartRef) callback. The ChartRef provides the application with the destroyChart() method that is required when the application wants to dispose the chart.

This section shows how Range Charts can be created via the Grid API.
Creating Range Charts Copy Link
Range Charts can be created through gridApi.createRangeChart() as shown below:
this.gridApi.createRangeChart({
chartType: 'groupedColumn',
cellRange: {
rowStartIndex: 0,
rowEndIndex: 4,
columns: ['country', 'gold', 'silver'],
},
// other options...
});The snippet above creates a Range Chart with the groupedColumn chart type using data from the first 4 and the country, gold, silver columns. For a full list of options see Range Chart API.
The following example demonstrates how Range Charts can be created programmatically via gridApi.createRangeChart(). Note the following:
- Clicking 'Top 5 Medal Winners' will chart the first five rows of Gold and Silver medals by Country.
- Clicking 'Bronze Medals by Country' will chart Bronze by Country using all rows (the provided cell range does not specify rows).
- Note the 'Bronze Medals by Country' chart is unlinked from the grid as
unlinkChart=true. Notice that sorting in the grid does not affect the chart and there is no chart range in the grid.
import { Component, ViewChild } from "@angular/core";
import { AgGridAngular } from "ag-grid-angular";
import "./style.css";
import { AgChartsEnterpriseModule } from "ag-charts-enterprise";
import {
CellSelectionOptions,
ClientSideRowModelModule,
ColDef,
ColGroupDef,
GridApi,
GridOptions,
GridReadyEvent,
ModuleRegistry,
NumberEditorModule,
NumberFilterModule,
TextEditorModule,
TextFilterModule,
enableDevValidations,
} from "ag-grid-community";
import {
ColumnMenuModule,
ContextMenuModule,
IntegratedChartsModule,
RowGroupingModule,
} from "ag-grid-enterprise";
import { getData } from "./data";
if (process.env.NODE_ENV !== "production") {
// Enable extended validations only for development
enableDevValidations();
}
ModuleRegistry.registerModules([
NumberEditorModule,
TextEditorModule,
TextFilterModule,
NumberFilterModule,
ClientSideRowModelModule,
IntegratedChartsModule.with(AgChartsEnterpriseModule),
ColumnMenuModule,
ContextMenuModule,
RowGroupingModule,
]);
@Component({
selector: "my-app",
standalone: true,
imports: [AgGridAngular],
template: `<div class="outer-div">
<div class="button-bar">
<button (click)="onChart1()">Top 5 Medal Winners</button>
<button (click)="onChart2()">Bronze Medals by Country</button>
</div>
<div class="grid-wrapper">
<ag-grid-angular
style="width: 100%; height: 100%;"
[columnDefs]="columnDefs"
[defaultColDef]="defaultColDef"
[cellSelection]="true"
[enableCharts]="true"
[popupParent]="popupParent"
[rowData]="rowData"
(gridReady)="onGridReady($event)"
/>
</div>
</div> `,
})
export class AppComponent {
private gridApi!: GridApi;
columnDefs: ColDef[] = [
{ field: "country", width: 150, chartDataType: "category" },
{ field: "gold", chartDataType: "series", sort: "desc" },
{ field: "silver", chartDataType: "series", sort: "desc" },
{ field: "bronze", chartDataType: "series" },
];
defaultColDef: ColDef = {
editable: true,
flex: 1,
minWidth: 100,
filter: true,
};
popupParent: HTMLElement | null = document.body;
rowData!: any[];
onChart1() {
this.gridApi.createRangeChart({
cellRange: {
rowStartIndex: 0,
rowEndIndex: 4,
columns: ["country", "gold", "silver"],
},
chartType: "groupedColumn",
chartThemeOverrides: {
common: {
title: {
enabled: true,
text: "Top 5 Medal Winners",
},
},
},
});
}
onChart2() {
this.gridApi.createRangeChart({
cellRange: {
columns: ["country", "bronze"],
},
chartType: "groupedBar",
chartThemeOverrides: {
common: {
title: {
enabled: true,
text: "Bronze Medal by Country",
},
},
},
unlinkChart: true,
});
}
onGridReady(params: GridReadyEvent) {
this.gridApi = params.api;
getData().then((rowData) => params.api.setGridOption("rowData", rowData));
}
}
.outer-div {
height: 100%;
display: flex;
flex-direction: column;
}
.button-bar {
padding-bottom: 4px;
}
.grid-wrapper {
height: 20px;
flex: 1 1 auto;
}
export async function getData(delay: number = 100): Promise<any[]> {
return new Promise((resolve) => setTimeout(() => resolve(generateData()), delay));
}
function generateData(): any[] {
const countries = [
'Ireland',
'Spain',
'United Kingdom',
'France',
'Germany',
'Luxembourg',
'Sweden',
'Norway',
'Italy',
'Greece',
'Iceland',
'Portugal',
'Malta',
'Brazil',
'Argentina',
'Colombia',
'Peru',
'Venezuela',
'Uruguay',
'Belgium',
];
return countries.map((country, index) => ({
country,
gold: Math.floor(((index + 1 / 7) * 333) % 100),
silver: Math.floor(((index + 1 / 3) * 555) % 100),
bronze: Math.floor(((index + 1 / 7.3) * 777) % 100),
}));
}
import '@angular/compiler';
import { provideHttpClient } from '@angular/common/http';
import { enableProdMode } from '@angular/core';
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
if (new URLSearchParams(window.location.search).get('prod') !== 'false') {
enableProdMode();
}
const app = bootstrapApplication(AppComponent, {
providers: [provideHttpClient()],
});
Range Chart Dashboard Copy Link
The following example passes a Chart Container to the API to place the chart in a location other than the grid's popup window. Note the following:
- The charts are placed in
divelements outside the grid. - The two pie charts are showing aggregations rather than charting individual rows.
- The bar chart is sensitive to changes in the rows. For example if you sort, the chart updates to always chart the first five rows.
- All data is editable in the grid. Changes to the grid data is reflected in the charts.
- The pie charts have legends on the right side. This is configured in the
chartThemeOverrides. - The chart menu has been hidden in the example below.
import { Component, ViewChild } from "@angular/core";
import { AgGridAngular } from "ag-grid-angular";
import { AgChartsEnterpriseModule } from "ag-charts-enterprise";
import {
CellSelectionOptions,
ChartToolPanelsDef,
ClientSideRowModelModule,
ColDef,
ColGroupDef,
FirstDataRenderedEvent,
GetChartToolbarItems,
GridApi,
GridOptions,
GridReadyEvent,
ModuleRegistry,
NumberEditorModule,
NumberFilterModule,
TextEditorModule,
TextFilterModule,
enableDevValidations,
} from "ag-grid-community";
import {
ColumnMenuModule,
ContextMenuModule,
IntegratedChartsModule,
RowGroupingModule,
} from "ag-grid-enterprise";
import { getData } from "./data";
if (process.env.NODE_ENV !== "production") {
// Enable extended validations only for development
enableDevValidations();
}
ModuleRegistry.registerModules([
NumberEditorModule,
TextEditorModule,
TextFilterModule,
NumberFilterModule,
ClientSideRowModelModule,
IntegratedChartsModule.with(AgChartsEnterpriseModule),
ColumnMenuModule,
ContextMenuModule,
RowGroupingModule,
]);
@Component({
selector: "my-app",
standalone: true,
imports: [AgGridAngular],
template: `<div
style="display: flex; flex-direction: column; height: 100%; width: 100%; overflow: hidden"
>
<ag-grid-angular
style="width: 100%; height: 30%;"
[columnDefs]="columnDefs"
[defaultColDef]="defaultColDef"
[cellSelection]="true"
[enableCharts]="true"
[chartToolPanelsDef]="chartToolPanelsDef"
[popupParent]="popupParent"
[getChartToolbarItems]="getChartToolbarItems"
[rowData]="rowData"
(firstDataRendered)="onFirstDataRendered($event)"
(gridReady)="onGridReady($event)"
/>
<div id="chart1" class="my-chart" style="flex: 1 1 auto; height: 30%"></div>
<div style="display: flex; flex: 1 1 auto; height: 30%; gap: 8px">
<div
id="chart2"
class="my-chart"
style="flex: 1 1 auto; width: 50%"
></div>
<div
id="chart3"
class="my-chart"
style="flex: 1 1 auto; width: 50%"
></div>
</div>
</div> `,
})
export class AppComponent {
columnDefs: ColDef[] = [
{ field: "country", width: 150, chartDataType: "category" },
{ field: "group", chartDataType: "category" },
{ field: "gold", chartDataType: "series" },
{ field: "silver", chartDataType: "series" },
{ field: "bronze", chartDataType: "series" },
];
defaultColDef: ColDef = {
editable: true,
flex: 1,
minWidth: 100,
filter: true,
};
chartToolPanelsDef: ChartToolPanelsDef = { panels: [] };
popupParent: HTMLElement | null = document.body;
getChartToolbarItems: GetChartToolbarItems = () => [];
rowData!: any[];
onFirstDataRendered(event: FirstDataRenderedEvent) {
createGroupedBarChart(event, "#chart1", ["country", "gold", "silver"]);
createPieChart(event, "#chart2", ["group", "gold"]);
createPieChart(event, "#chart3", ["group", "silver"]);
}
onGridReady(params: GridReadyEvent) {
getData().then((rowData) => params.api.setGridOption("rowData", rowData));
}
}
function createGroupedBarChart(
params: FirstDataRenderedEvent,
selector: string,
columns: string[],
) {
params.api.createRangeChart({
chartContainer: document.querySelector(selector) as HTMLElement,
cellRange: {
rowStartIndex: 0,
rowEndIndex: 4,
columns,
},
suppressChartRanges: true,
chartType: "groupedBar",
});
}
function createPieChart(
params: FirstDataRenderedEvent,
selector: string,
columns: string[],
) {
params.api.createRangeChart({
chartContainer: document.querySelector(selector) as HTMLElement,
cellRange: { columns },
suppressChartRanges: true,
chartType: "pie",
aggFunc: "sum",
chartThemeOverrides: {
common: {
padding: {
top: 20,
left: 10,
bottom: 30,
right: 10,
},
legend: {
position: "right",
},
},
},
});
}
export async function getData(delay: number = 100): Promise<any[]> {
// Simulate a server delay using setTimeout wrapped in a Promise
return await new Promise<any[]>((resolve) => setTimeout(() => resolve(generateData()), delay));
}
function generateData(): any[] {
const countries = [
'Ireland',
'Spain',
'United Kingdom',
'France',
'Germany',
'Luxembourg',
'Sweden',
'Norway',
'Italy',
'Greece',
'Iceland',
'Portugal',
'Malta',
'Brazil',
'Argentina',
'Colombia',
'Peru',
'Venezuela',
'Uruguay',
'Belgium',
];
return countries.map((country, index) => ({
country,
group: index % 2 === 0 ? 'Group A' : 'Group B',
gold: Math.floor(((index + 1 / 7) * 333) % 100),
silver: Math.floor(((index + 1 / 3) * 555) % 100),
bronze: Math.floor(((index + 1 / 7.3) * 777) % 100),
}));
}
import '@angular/compiler';
import { provideHttpClient } from '@angular/common/http';
import { enableProdMode } from '@angular/core';
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
if (new URLSearchParams(window.location.search).get('prod') !== 'false') {
enableProdMode();
}
const app = bootstrapApplication(AppComponent, {
providers: [provideHttpClient()],
});
Hiding Chart Ranges Copy Link
In some cases it may be desirable to hide the chart ranges in the grid, see Combination Charts.
To hide the chart ranges simply enable suppressChartRanges=true on the ChartRangeParams.
For more details refer to Range Chart API.
Combination Charts Copy Link
It is possible to create the following combination chart types via gridApi.createRangeChart():
- Column & Line (
chartType: 'columnLineCombo') - Area & Column (
chartType: 'areaColumnCombo') - Custom Combination (
chartType: 'customCombo')
When the customCombo chart type is specified a new CreateRangeChartParams.seriesChartTypes must also be supplied. Also note that when seriesChartTypes is present a customCombo chart type is assumed, regardless of which chartType is supplied.
The seriesChartTypes property accepts an array of SeriesChartType objects as shown below:
this.gridApi.createRangeChart({
chartType: 'customCombo',
cellRange: {
columns: ['month', 'rain', 'pressure', 'temp'],
},
seriesChartTypes: [
{ colId: 'rain', chartType: 'groupedColumn', secondaryAxis: false },
{ colId: 'pressure', chartType: 'line', secondaryAxis: true },
{ colId: 'temp', chartType: 'line', secondaryAxis: true }
],
aggFunc: 'sum',
});The following series chart types are supported with combination charts:
- Line (
chartType: 'line') - Area (
chartType: 'Area') - Stacked Area (
chartType: 'stackedArea') - Grouped Column (
chartType: 'groupedColumn') - Stacked Column (
chartType: 'stackedColumn')
Note that only line and area series chart types can be plotted against a secondary axis.
The following example demonstrates the above configuration, note the following:
- The 'Rain' series uses a
groupedColumnchart type and is plotted against the primary Y axis (secondaryAxis=false) - 'Pressure' and 'Temp' use a
linechart type and are plotted against separate secondary Y axes (secondaryAxis=true) - Values are aggregated by the 'Month' category by setting
aggFunc: 'sum' - Chart Ranges are hidden using
suppressChartRanges=true
import { Component, ViewChild } from "@angular/core";
import { AgGridAngular } from "ag-grid-angular";
import "./style.css";
import { AgChartsEnterpriseModule } from "ag-charts-enterprise";
import { AgAxisCaptionFormatterParams } from "ag-charts-types";
import {
AgChartThemeOverrides,
CellSelectionOptions,
ClientSideRowModelModule,
ColDef,
ColGroupDef,
FirstDataRenderedEvent,
GridApi,
GridOptions,
GridReadyEvent,
ModuleRegistry,
NumberEditorModule,
NumberFilterModule,
TextEditorModule,
TextFilterModule,
enableDevValidations,
} from "ag-grid-community";
import {
ColumnMenuModule,
ContextMenuModule,
IntegratedChartsModule,
RowGroupingModule,
} from "ag-grid-enterprise";
import { getData } from "./data";
if (process.env.NODE_ENV !== "production") {
// Enable extended validations only for development
enableDevValidations();
}
ModuleRegistry.registerModules([
TextEditorModule,
TextFilterModule,
NumberEditorModule,
NumberFilterModule,
ClientSideRowModelModule,
IntegratedChartsModule.with(AgChartsEnterpriseModule),
ColumnMenuModule,
ContextMenuModule,
RowGroupingModule,
]);
@Component({
selector: "my-app",
standalone: true,
imports: [AgGridAngular],
template: `<div class="wrapper">
<ag-grid-angular
style="width: 100%; height: 100%;"
[columnDefs]="columnDefs"
[defaultColDef]="defaultColDef"
[cellSelection]="true"
[enableCharts]="true"
[popupParent]="popupParent"
[chartThemeOverrides]="chartThemeOverrides"
[rowData]="rowData"
(firstDataRendered)="onFirstDataRendered($event)"
(gridReady)="onGridReady($event)"
/>
<div id="myChart"></div>
</div> `,
})
export class AppComponent {
columnDefs: ColDef[] = [
{ field: "day", maxWidth: 120 },
{
field: "month",
chartDataType: "category",
filterParams: {
comparator: (a: string, b: string) => {
const months: {
[key: string]: number;
} = {
jan: 1,
feb: 2,
mar: 3,
apr: 4,
may: 5,
jun: 6,
jul: 7,
aug: 8,
sep: 9,
oct: 10,
nov: 11,
dec: 12,
};
const valA = months[a.toLowerCase()];
const valB = months[b.toLowerCase()];
if (valA === valB) return 0;
return valA > valB ? 1 : -1;
},
},
},
{ field: "rain", chartDataType: "series" },
{ field: "pressure", chartDataType: "series" },
{ field: "temp", chartDataType: "series" },
{ field: "wind", chartDataType: "series" },
];
defaultColDef: ColDef = {
flex: 1,
minWidth: 100,
editable: true,
filter: true,
floatingFilter: true,
};
popupParent: HTMLElement | null = document.body;
chartThemeOverrides: AgChartThemeOverrides = {
common: {
axes: {
number: {
title: {
enabled: true,
formatter: (params: AgAxisCaptionFormatterParams) => {
return params.boundSeries.map((s) => s.name).join(" / ");
},
},
},
},
},
bar: {
series: {
strokeWidth: 2,
fillOpacity: 0.8,
},
},
line: {
series: {
strokeWidth: 5,
strokeOpacity: 0.8,
marker: {
enabled: false,
},
},
},
};
rowData!: any[];
onFirstDataRendered(params: FirstDataRenderedEvent) {
params.api.createRangeChart({
chartType: "customCombo",
cellRange: {
columns: ["month", "rain", "pressure", "temp"],
},
seriesChartTypes: [
{ colId: "rain", chartType: "groupedColumn", secondaryAxis: false },
{ colId: "pressure", chartType: "line", secondaryAxis: true },
{ colId: "temp", chartType: "line", secondaryAxis: true },
],
aggFunc: "sum",
suppressChartRanges: true,
chartContainer: document.querySelector("#myChart") as any,
});
}
onGridReady(params: GridReadyEvent) {
getData().then((rowData) => params.api.setGridOption("rowData", rowData));
}
}
.wrapper {
display: flex;
flex-direction: column;
height: 100%;
}
#myGrid {
flex: 2;
}
#myChart {
flex: 3;
min-height: 455px;
}
export async function getData(delay: number = 100): Promise<any[]> {
// Simulate a server delay using setTimeout wrapped in a Promise
return await new Promise<any[]>((resolve) => setTimeout(() => resolve(generateData()), delay));
}
function generateData(): any[] {
return [
{
date: '01/01/2021',
day: 1,
month: 'Jan',
year: 2021,
temp: 2.1,
rain: 0.22,
wind: 10.6,
pressure: 1011.6,
},
{
date: '02/01/2021',
day: 2,
month: 'Jan',
year: 2021,
temp: 3.8,
rain: 0.6,
wind: 12.5,
pressure: 1015.9,
},
{
date: '03/01/2021',
day: 3,
month: 'Jan',
year: 2021,
temp: 3.8,
rain: 2.2,
wind: 18.2,
pressure: 1017.6,
},
{
date: '04/01/2021',
day: 4,
month: 'Jan',
year: 2021,
temp: 4.3,
rain: 3.4,
wind: 27,
pressure: 1019.4,
},
{
date: '05/01/2021',
day: 5,
month: 'Jan',
year: 2021,
temp: 3.7,
rain: 1.4,
wind: 22.6,
pressure: 1020,
},
{
date: '06/01/2021',
day: 6,
month: 'Jan',
year: 2021,
temp: 4,
rain: 6.42,
wind: 18.8,
pressure: 1019.5,
},
{
date: '07/01/2021',
day: 7,
month: 'Jan',
year: 2021,
temp: 1.1,
rain: 0,
wind: 13.5,
pressure: 1018.5,
},
{
date: '08/01/2021',
day: 8,
month: 'Jan',
year: 2021,
temp: 0.6,
rain: 0,
wind: 7.6,
pressure: 1018.6,
},
{
date: '09/01/2021',
day: 9,
month: 'Jan',
year: 2021,
temp: 1.2,
rain: 0.4,
wind: 10.1,
pressure: 1026.3,
},
{
date: '10/01/2021',
day: 10,
month: 'Jan',
year: 2021,
temp: 1,
rain: 0,
wind: 11.3,
pressure: 1026,
},
{
date: '11/01/2021',
day: 11,
month: 'Jan',
year: 2021,
temp: 6.7,
rain: 0,
wind: 34.3,
pressure: 1017.8,
},
{
date: '12/01/2021',
day: 12,
month: 'Jan',
year: 2021,
temp: 6.9,
rain: 7.99,
wind: 30,
pressure: 1014.1,
},
{
date: '13/01/2021',
day: 13,
month: 'Jan',
year: 2021,
temp: 6.1,
rain: 2.19,
wind: 19,
pressure: 1018.4,
},
{
date: '14/01/2021',
day: 14,
month: 'Jan',
year: 2021,
temp: 5,
rain: 27.53,
wind: 16.7,
pressure: 1016.7,
},
{
date: '15/01/2021',
day: 15,
month: 'Jan',
year: 2021,
temp: 2.4,
rain: 0.6,
wind: 14.3,
pressure: 1029.7,
},
{
date: '16/01/2021',
day: 16,
month: 'Jan',
year: 2021,
temp: 4.9,
rain: 5.22,
wind: 21,
pressure: 1020,
},
{
date: '17/01/2021',
day: 17,
month: 'Jan',
year: 2021,
temp: 5.8,
rain: 0,
wind: 21.1,
pressure: 1023.5,
},
{
date: '18/01/2021',
day: 18,
month: 'Jan',
year: 2021,
temp: 5.3,
rain: 0.2,
wind: 25.1,
pressure: 1021.2,
},
{
date: '19/01/2021',
day: 19,
month: 'Jan',
year: 2021,
temp: 10.7,
rain: 2.69,
wind: 34,
pressure: 1004.1,
},
{
date: '20/01/2021',
day: 20,
month: 'Jan',
year: 2021,
temp: 10.2,
rain: 5.36,
wind: 34,
pressure: 987.5,
},
{
date: '21/01/2021',
day: 21,
month: 'Jan',
year: 2021,
temp: 6.6,
rain: 5.76,
wind: 0.3,
pressure: 984.6,
},
{
date: '22/01/2021',
day: 22,
month: 'Jan',
year: 2021,
temp: 4,
rain: 0.2,
wind: 17.3,
pressure: 992.2,
},
{
date: '23/01/2021',
day: 23,
month: 'Jan',
year: 2021,
temp: 2.1,
rain: 0.8,
wind: 16,
pressure: 995.6,
},
{
date: '24/01/2021',
day: 24,
month: 'Jan',
year: 2021,
temp: 0.6,
rain: 3.19,
wind: 14.4,
pressure: 997.1,
},
{
date: '25/01/2021',
day: 25,
month: 'Jan',
year: 2021,
temp: 1.8,
rain: 0.92,
wind: 18.4,
pressure: 1009.6,
},
{
date: '26/01/2021',
day: 26,
month: 'Jan',
year: 2021,
temp: 3,
rain: 0.6,
wind: 23.3,
pressure: 1015.8,
},
{
date: '27/01/2021',
day: 27,
month: 'Jan',
year: 2021,
temp: 8.4,
rain: 1.2,
wind: 13,
pressure: 1011,
},
{
date: '28/01/2021',
day: 28,
month: 'Jan',
year: 2021,
temp: 10.9,
rain: 18.8,
wind: 30.6,
pressure: 1001.6,
},
{
date: '29/01/2021',
day: 29,
month: 'Jan',
year: 2021,
temp: 9.5,
rain: 14.98,
wind: 29.9,
pressure: 998.3,
},
{
date: '30/01/2021',
day: 30,
month: 'Jan',
year: 2021,
temp: 5.4,
rain: 16.71,
wind: 26.5,
pressure: 997.9,
},
{
date: '31/01/2021',
day: 31,
month: 'Jan',
year: 2021,
temp: 3.1,
rain: 1,
wind: 19.3,
pressure: 997.9,
},
{
date: '01/02/2021',
day: 1,
month: 'Feb',
year: 2021,
temp: 4.1,
rain: 0.4,
wind: 12.3,
pressure: 996.9,
},
{
date: '02/02/2021',
day: 2,
month: 'Feb',
year: 2021,
temp: 9.3,
rain: 5.79,
wind: 24.8,
pressure: 994.7,
},
{
date: '03/02/2021',
day: 3,
month: 'Feb',
year: 2021,
temp: 8.7,
rain: 1.71,
wind: 23.4,
pressure: 996.6,
},
{
date: '04/02/2021',
day: 4,
month: 'Feb',
year: 2021,
temp: 7,
rain: 4.19,
wind: 15.4,
pressure: 1008.3,
},
{
date: '05/02/2021',
day: 5,
month: 'Feb',
year: 2021,
temp: 8.3,
rain: 10.06,
wind: 16.6,
pressure: 1008.2,
},
{
date: '06/02/2021',
day: 6,
month: 'Feb',
year: 2021,
temp: 6.8,
rain: 2.7,
wind: 18.8,
pressure: 1006.8,
},
{
date: '07/02/2021',
day: 7,
month: 'Feb',
year: 2021,
temp: 1.8,
rain: 10.59,
wind: 28.6,
pressure: 1004.4,
},
{
date: '08/02/2021',
day: 8,
month: 'Feb',
year: 2021,
temp: -0.8,
rain: 0,
wind: 28.7,
pressure: 1003.7,
},
{
date: '09/02/2021',
day: 9,
month: 'Feb',
year: 2021,
temp: -0.1,
rain: 0,
wind: 22.7,
pressure: 1006.9,
},
{
date: '10/02/2021',
day: 10,
month: 'Feb',
year: 2021,
temp: 0.3,
rain: 0,
wind: 18.1,
pressure: 1012.3,
},
{
date: '11/02/2021',
day: 11,
month: 'Feb',
year: 2021,
temp: -0.9,
rain: 0,
wind: 26.3,
pressure: 1025.1,
},
{
date: '12/02/2021',
day: 12,
month: 'Feb',
year: 2021,
temp: -0.5,
rain: 0,
wind: 36,
pressure: null,
},
{
date: '13/02/2021',
day: 13,
month: 'Feb',
year: 2021,
temp: -0.9,
rain: 0,
wind: 24.4,
pressure: 1032,
},
{
date: '14/02/2021',
day: 14,
month: 'Feb',
year: 2021,
temp: 2.9,
rain: 0.6,
wind: 25.5,
pressure: 1025.7,
},
{
date: '15/02/2021',
day: 15,
month: 'Feb',
year: 2021,
temp: 8.8,
rain: 3,
wind: 20.5,
pressure: 1018.2,
},
{
date: '16/02/2021',
day: 16,
month: 'Feb',
year: 2021,
temp: 9.5,
rain: 2.61,
wind: 23.9,
pressure: 1010,
},
{
date: '17/02/2021',
day: 17,
month: 'Feb',
year: 2021,
temp: 10,
rain: 3.41,
wind: 28.8,
pressure: 1009.8,
},
{
date: '18/02/2021',
day: 18,
month: 'Feb',
year: 2021,
temp: 9,
rain: 3.61,
wind: 28.1,
pressure: 1003.8,
},
{
date: '19/02/2021',
day: 19,
month: 'Feb',
year: 2021,
temp: 8.8,
rain: 0,
wind: 27.3,
pressure: 1009.1,
},
{
date: '20/02/2021',
day: 20,
month: 'Feb',
year: 2021,
temp: 13.4,
rain: 0,
wind: 25.1,
pressure: 1002.1,
},
{
date: '21/02/2021',
day: 21,
month: 'Feb',
year: 2021,
temp: 12,
rain: 0.23,
wind: 21.3,
pressure: 1008.3,
},
{
date: '22/02/2021',
day: 22,
month: 'Feb',
year: 2021,
temp: 9.9,
rain: 1,
wind: 12.8,
pressure: 1014.8,
},
{
date: '23/02/2021',
day: 23,
month: 'Feb',
year: 2021,
temp: 10.7,
rain: 0.2,
wind: 33.9,
pressure: 1022.9,
},
{
date: '24/02/2021',
day: 24,
month: 'Feb',
year: 2021,
temp: 13.3,
rain: 0,
wind: 26.6,
pressure: 1022.4,
},
{
date: '25/02/2021',
day: 25,
month: 'Feb',
year: 2021,
temp: 10.7,
rain: 0.8,
wind: 22,
pressure: 1026.7,
},
{
date: '26/02/2021',
day: 26,
month: 'Feb',
year: 2021,
temp: 7.2,
rain: 0,
wind: 13,
pressure: 1037.3,
},
{
date: '27/02/2021',
day: 27,
month: 'Feb',
year: 2021,
temp: 7,
rain: 0.2,
wind: 10.1,
pressure: 1040.9,
},
{
date: '28/02/2021',
day: 28,
month: 'Feb',
year: 2021,
temp: 6.3,
rain: 0,
wind: 16.7,
pressure: 1037.2,
},
{
date: '01/03/2021',
day: 1,
month: 'Mar',
year: 2021,
temp: 6.4,
rain: 0,
wind: 17.9,
pressure: 1032,
},
{
date: '02/03/2021',
day: 2,
month: 'Mar',
year: 2021,
temp: 5.8,
rain: 0,
wind: 12,
pressure: 1030,
},
{
date: '03/03/2021',
day: 3,
month: 'Mar',
year: 2021,
temp: 5.9,
rain: 9.17,
wind: 8.8,
pressure: 1027.6,
},
{
date: '04/03/2021',
day: 4,
month: 'Mar',
year: 2021,
temp: 5.5,
rain: 2.6,
wind: 16.7,
pressure: 1025.1,
},
{
date: '05/03/2021',
day: 5,
month: 'Mar',
year: 2021,
temp: 4.8,
rain: 0.2,
wind: 20.5,
pressure: 1031.8,
},
{
date: '06/03/2021',
day: 6,
month: 'Mar',
year: 2021,
temp: 4.5,
rain: 0,
wind: 13.7,
pressure: 1033.8,
},
{
date: '07/03/2021',
day: 7,
month: 'Mar',
year: 2021,
temp: 3.9,
rain: 0,
wind: 11.3,
pressure: 1027.7,
},
{
date: '08/03/2021',
day: 8,
month: 'Mar',
year: 2021,
temp: 5.2,
rain: 0,
wind: 11.6,
pressure: 1023.8,
},
{
date: '09/03/2021',
day: 9,
month: 'Mar',
year: 2021,
temp: 7.8,
rain: 0.2,
wind: 21.2,
pressure: 1020,
},
{
date: '10/03/2021',
day: 10,
month: 'Mar',
year: 2021,
temp: 8.1,
rain: 1.01,
wind: 33.6,
pressure: 1007.4,
},
{
date: '11/03/2021',
day: 11,
month: 'Mar',
year: 2021,
temp: 9.9,
rain: 6.32,
wind: 45.9,
pressure: 996.3,
},
{
date: '12/03/2021',
day: 12,
month: 'Mar',
year: 2021,
temp: 7.8,
rain: 4.8,
wind: 37.4,
pressure: 1002.1,
},
{
date: '13/03/2021',
day: 13,
month: 'Mar',
year: 2021,
temp: 7.3,
rain: 5.01,
wind: 42.6,
pressure: 995.7,
},
{
date: '14/03/2021',
day: 14,
month: 'Mar',
year: 2021,
temp: 8,
rain: 0.48,
wind: 29,
pressure: 1012.9,
},
{
date: '15/03/2021',
day: 15,
month: 'Mar',
year: 2021,
temp: 9.7,
rain: 1.78,
wind: 24.1,
pressure: 1020.4,
},
{
date: '16/03/2021',
day: 16,
month: 'Mar',
year: 2021,
temp: 10.2,
rain: 0.4,
wind: 24.1,
pressure: 1027.5,
},
{
date: '17/03/2021',
day: 17,
month: 'Mar',
year: 2021,
temp: 7.8,
rain: 1.99,
wind: 16.4,
pressure: 1033.2,
},
{
date: '18/03/2021',
day: 18,
month: 'Mar',
year: 2021,
temp: 7.9,
rain: 0.2,
wind: 25.4,
pressure: 1028.8,
},
{
date: '19/03/2021',
day: 19,
month: 'Mar',
year: 2021,
temp: 8.3,
rain: 0.4,
wind: 23,
pressure: 1028.1,
},
{
date: '20/03/2021',
day: 20,
month: 'Mar',
year: 2021,
temp: 8.1,
rain: 0,
wind: 16.4,
pressure: 1031.2,
},
{
date: '21/03/2021',
day: 21,
month: 'Mar',
year: 2021,
temp: 8.8,
rain: 0,
wind: 19.9,
pressure: 1028.7,
},
{
date: '22/03/2021',
day: 22,
month: 'Mar',
year: 2021,
temp: 9.5,
rain: 0,
wind: 13.8,
pressure: 1026.5,
},
{
date: '23/03/2021',
day: 23,
month: 'Mar',
year: 2021,
temp: 8.3,
rain: 0,
wind: 23,
pressure: 1024.2,
},
{
date: '24/03/2021',
day: 24,
month: 'Mar',
year: 2021,
temp: 8.9,
rain: 0,
wind: 19.9,
pressure: 1020.9,
},
{
date: '25/03/2021',
day: 25,
month: 'Mar',
year: 2021,
temp: 8.9,
rain: 2.39,
wind: 27.2,
pressure: 1018.4,
},
{
date: '26/03/2021',
day: 26,
month: 'Mar',
year: 2021,
temp: 9.3,
rain: 3.01,
wind: 33.9,
pressure: 1010.8,
},
{
date: '27/03/2021',
day: 27,
month: 'Mar',
year: 2021,
temp: 7.9,
rain: 1.12,
wind: 32,
pressure: 1020.5,
},
{
date: '28/03/2021',
day: 28,
month: 'Mar',
year: 2021,
temp: 10.7,
rain: 0,
wind: 34.2,
pressure: 1022.8,
},
{
date: '29/03/2021',
day: 29,
month: 'Mar',
year: 2021,
temp: 13,
rain: 0,
wind: 25.5,
pressure: 1026.6,
},
{
date: '30/03/2021',
day: 30,
month: 'Mar',
year: 2021,
temp: 13.4,
rain: 0,
wind: 14.1,
pressure: 1027.6,
},
{
date: '31/03/2021',
day: 31,
month: 'Mar',
year: 2021,
temp: 14.4,
rain: 0,
wind: 11,
pressure: 1020.5,
},
{
date: '01/04/2021',
day: 1,
month: 'Apr',
year: 2021,
temp: 11.1,
rain: 0,
wind: 23.1,
pressure: 1024.4,
},
{
date: '02/04/2021',
day: 2,
month: 'Apr',
year: 2021,
temp: 7.5,
rain: 0,
wind: 24.3,
pressure: 1030.2,
},
{
date: '03/04/2021',
day: 3,
month: 'Apr',
year: 2021,
temp: 7.7,
rain: 0,
wind: 21.8,
pressure: 1032.1,
},
{
date: '04/04/2021',
day: 4,
month: 'Apr',
year: 2021,
temp: 9.3,
rain: 0,
wind: 18.3,
pressure: 1026,
},
{
date: '05/04/2021',
day: 5,
month: 'Apr',
year: 2021,
temp: 6.9,
rain: 0,
wind: 28.8,
pressure: 1018.3,
},
{
date: '06/04/2021',
day: 6,
month: 'Apr',
year: 2021,
temp: 4.1,
rain: 0,
wind: 25.4,
pressure: 1020.6,
},
{
date: '07/04/2021',
day: 7,
month: 'Apr',
year: 2021,
temp: 3.6,
rain: 0,
wind: 22.5,
pressure: 1023.7,
},
{
date: '08/04/2021',
day: 8,
month: 'Apr',
year: 2021,
temp: 7.9,
rain: 0,
wind: 24.8,
pressure: 1021.7,
},
{
date: '09/04/2021',
day: 9,
month: 'Apr',
year: 2021,
temp: 9.3,
rain: 1,
wind: 18.6,
pressure: 1013.5,
},
{
date: '10/04/2021',
day: 10,
month: 'Apr',
year: 2021,
temp: 7.1,
rain: 0.2,
wind: 18.8,
pressure: 1013.2,
},
{
date: '11/04/2021',
day: 11,
month: 'Apr',
year: 2021,
temp: 5.2,
rain: 0.28,
wind: 19.6,
pressure: 1019.1,
},
{
date: '12/04/2021',
day: 12,
month: 'Apr',
year: 2021,
temp: 5.2,
rain: 2,
wind: 13.2,
pressure: 1028.6,
},
{
date: '13/04/2021',
day: 13,
month: 'Apr',
year: 2021,
temp: 6.5,
rain: 0,
wind: 15.9,
pressure: 1032.6,
},
{
date: '14/04/2021',
day: 14,
month: 'Apr',
year: 2021,
temp: 8.4,
rain: 0,
wind: 18.1,
pressure: 1032.7,
},
{
date: '15/04/2021',
day: 15,
month: 'Apr',
year: 2021,
temp: 6.5,
rain: 0.4,
wind: 16.7,
pressure: 1033.2,
},
{
date: '16/04/2021',
day: 16,
month: 'Apr',
year: 2021,
temp: 6.9,
rain: 0,
wind: 13.7,
pressure: 1031.2,
},
{
date: '17/04/2021',
day: 17,
month: 'Apr',
year: 2021,
temp: 8.2,
rain: 0,
wind: 14.9,
pressure: 1029.1,
},
{
date: '18/04/2021',
day: 18,
month: 'Apr',
year: 2021,
temp: 9.3,
rain: 0,
wind: 11.3,
pressure: 1025.1,
},
{
date: '19/04/2021',
day: 19,
month: 'Apr',
year: 2021,
temp: 10.5,
rain: 0,
wind: 15,
pressure: 1021.4,
},
{
date: '20/04/2021',
day: 20,
month: 'Apr',
year: 2021,
temp: 11.3,
rain: 0,
wind: 14.5,
pressure: 1018.1,
},
{
date: '21/04/2021',
day: 21,
month: 'Apr',
year: 2021,
temp: 10.1,
rain: 0,
wind: 21.3,
pressure: 1021,
},
{
date: '22/04/2021',
day: 22,
month: 'Apr',
year: 2021,
temp: 8.5,
rain: 0,
wind: 19.3,
pressure: 1027.1,
},
{
date: '23/04/2021',
day: 23,
month: 'Apr',
year: 2021,
temp: 9.5,
rain: 0,
wind: 20.8,
pressure: 1028.6,
},
{
date: '24/04/2021',
day: 24,
month: 'Apr',
year: 2021,
temp: 10.7,
rain: 0,
wind: 23.9,
pressure: 1027.5,
},
{
date: '25/04/2021',
day: 25,
month: 'Apr',
year: 2021,
temp: 8.9,
rain: 0,
wind: 25.2,
pressure: 1028.2,
},
{
date: '26/04/2021',
day: 26,
month: 'Apr',
year: 2021,
temp: 8.2,
rain: 0,
wind: 20.6,
pressure: 1021.7,
},
{
date: '27/04/2021',
day: 27,
month: 'Apr',
year: 2021,
temp: 9.8,
rain: 0,
wind: 15.6,
pressure: 1010.5,
},
{
date: '28/04/2021',
day: 28,
month: 'Apr',
year: 2021,
temp: 9.3,
rain: 2.01,
wind: 22.2,
pressure: 1006.4,
},
{
date: '29/04/2021',
day: 29,
month: 'Apr',
year: 2021,
temp: 8.3,
rain: 3.61,
wind: 17.5,
pressure: 1011.2,
},
{
date: '30/04/2021',
day: 30,
month: 'Apr',
year: 2021,
temp: 8.3,
rain: 0,
wind: 14.9,
pressure: 1015,
},
{
date: '01/05/2021',
day: 1,
month: 'May',
year: 2021,
temp: 8.7,
rain: 0.2,
wind: 17.1,
pressure: 1016.4,
},
{
date: '02/05/2021',
day: 2,
month: 'May',
year: 2021,
temp: 9.3,
rain: 2.6,
wind: 17.3,
pressure: 1020.3,
},
{
date: '03/05/2021',
day: 3,
month: 'May',
year: 2021,
temp: 9.7,
rain: 0.6,
wind: 43.9,
pressure: 1013.1,
},
{
date: '04/05/2021',
day: 4,
month: 'May',
year: 2021,
temp: 10.3,
rain: 5.53,
wind: 43.7,
pressure: 999.7,
},
{
date: '05/05/2021',
day: 5,
month: 'May',
year: 2021,
temp: 7.5,
rain: 3.2,
wind: 24.8,
pressure: 1008.7,
},
{
date: '06/05/2021',
day: 6,
month: 'May',
year: 2021,
temp: 7.6,
rain: 1.9,
wind: 20.1,
pressure: 1007.3,
},
{
date: '07/05/2021',
day: 7,
month: 'May',
year: 2021,
temp: 9.9,
rain: 0,
wind: 20.8,
pressure: 1015.2,
},
{
date: '08/05/2021',
day: 8,
month: 'May',
year: 2021,
temp: 12.2,
rain: 10.41,
wind: 36.8,
pressure: 1005.8,
},
{
date: '09/05/2021',
day: 9,
month: 'May',
year: 2021,
temp: 16.4,
rain: 0,
wind: 27.7,
pressure: 997.2,
},
{
date: '10/05/2021',
day: 10,
month: 'May',
year: 2021,
temp: 13.6,
rain: 0.8,
wind: 35.7,
pressure: 1000.1,
},
{
date: '11/05/2021',
day: 11,
month: 'May',
year: 2021,
temp: 12.9,
rain: 0.6,
wind: 26.6,
pressure: 1007,
},
{
date: '12/05/2021',
day: 12,
month: 'May',
year: 2021,
temp: 13,
rain: 1,
wind: 21.6,
pressure: 1008.5,
},
{
date: '13/05/2021',
day: 13,
month: 'May',
year: 2021,
temp: 11.6,
rain: 6.61,
wind: 18.1,
pressure: 1006.1,
},
{
date: '14/05/2021',
day: 14,
month: 'May',
year: 2021,
temp: 10.2,
rain: 1.2,
wind: 16,
pressure: 1009,
},
{
date: '15/05/2021',
day: 15,
month: 'May',
year: 2021,
temp: 10.3,
rain: 6.63,
wind: 16,
pressure: 1001.2,
},
{
date: '16/05/2021',
day: 16,
month: 'May',
year: 2021,
temp: 10.5,
rain: 6.39,
wind: 18.5,
pressure: 998,
},
{
date: '17/05/2021',
day: 17,
month: 'May',
year: 2021,
temp: 11.5,
rain: 11.32,
wind: 23,
pressure: 1004.6,
},
{
date: '18/05/2021',
day: 18,
month: 'May',
year: 2021,
temp: 11.1,
rain: 5.99,
wind: 17.5,
pressure: 1013.2,
},
{
date: '19/05/2021',
day: 19,
month: 'May',
year: 2021,
temp: 12.4,
rain: 6,
wind: 20,
pressure: 1017.4,
},
{
date: '20/05/2021',
day: 20,
month: 'May',
year: 2021,
temp: 11.2,
rain: 0.8,
wind: 37.6,
pressure: 1013.4,
},
{
date: '21/05/2021',
day: 21,
month: 'May',
year: 2021,
temp: 11.8,
rain: 2.16,
wind: 42.3,
pressure: 996.9,
},
{
date: '22/05/2021',
day: 22,
month: 'May',
year: 2021,
temp: 10.8,
rain: 7.39,
wind: 25.2,
pressure: 1002.7,
},
{
date: '23/05/2021',
day: 23,
month: 'May',
year: 2021,
temp: 10.1,
rain: 2.3,
wind: 30.2,
pressure: 1008.3,
},
{
date: '24/05/2021',
day: 24,
month: 'May',
year: 2021,
temp: 10.3,
rain: 12.26,
wind: 25.1,
pressure: 1003.1,
},
{
date: '25/05/2021',
day: 25,
month: 'May',
year: 2021,
temp: 11,
rain: 4.38,
wind: 26.1,
pressure: 1013.4,
},
{
date: '26/05/2021',
day: 26,
month: 'May',
year: 2021,
temp: 11.5,
rain: 0.8,
wind: 19.3,
pressure: 1014.7,
},
{
date: '27/05/2021',
day: 27,
month: 'May',
year: 2021,
temp: 14.5,
rain: 0,
wind: 13.1,
pressure: 1020,
},
{
date: '28/05/2021',
day: 28,
month: 'May',
year: 2021,
temp: 14.9,
rain: 0.6,
wind: 11,
pressure: 1023.2,
},
{
date: '29/05/2021',
day: 29,
month: 'May',
year: 2021,
temp: 16.2,
rain: 0.2,
wind: 19.3,
pressure: 1026.5,
},
{
date: '30/05/2021',
day: 30,
month: 'May',
year: 2021,
temp: 13.2,
rain: 0,
wind: 18.2,
pressure: 1027.6,
},
{
date: '31/05/2021',
day: 31,
month: 'May',
year: 2021,
temp: 16,
rain: 0.2,
wind: 18.8,
pressure: 1021.6,
},
{
date: '01/06/2021',
day: 1,
month: 'Jun',
year: 2021,
temp: 18.8,
rain: 0,
wind: 22.5,
pressure: 1015.2,
},
{
date: '02/06/2021',
day: 2,
month: 'Jun',
year: 2021,
temp: 20.1,
rain: 0,
wind: 16.8,
pressure: 1012.6,
},
{
date: '03/06/2021',
day: 3,
month: 'Jun',
year: 2021,
temp: 20.2,
rain: 1.25,
wind: 16.6,
pressure: 1018.1,
},
{
date: '04/06/2021',
day: 4,
month: 'Jun',
year: 2021,
temp: 15.3,
rain: 9.99,
wind: 13.2,
pressure: 1022.7,
},
{
date: '05/06/2021',
day: 5,
month: 'Jun',
year: 2021,
temp: 18,
rain: 0.4,
wind: 13.5,
pressure: 1024.2,
},
{
date: '06/06/2021',
day: 6,
month: 'Jun',
year: 2021,
temp: 18.4,
rain: 0.42,
wind: 12.4,
pressure: 1024.5,
},
{
date: '07/06/2021',
day: 7,
month: 'Jun',
year: 2021,
temp: 19,
rain: 0,
wind: 15.6,
pressure: 1023.8,
},
{
date: '08/06/2021',
day: 8,
month: 'Jun',
year: 2021,
temp: 19.1,
rain: 0,
wind: 14.8,
pressure: 1023.1,
},
{
date: '09/06/2021',
day: 9,
month: 'Jun',
year: 2021,
temp: 19.8,
rain: 0,
wind: 21.2,
pressure: 1021.7,
},
{
date: '10/06/2021',
day: 10,
month: 'Jun',
year: 2021,
temp: 19.6,
rain: 0,
wind: 19.2,
pressure: 1020.9,
},
{
date: '11/06/2021',
day: 11,
month: 'Jun',
year: 2021,
temp: 19.8,
rain: 0,
wind: 22.3,
pressure: 1019.8,
},
{
date: '12/06/2021',
day: 12,
month: 'Jun',
year: 2021,
temp: 19.6,
rain: 0,
wind: 18.5,
pressure: 1023.2,
},
{
date: '13/06/2021',
day: 13,
month: 'Jun',
year: 2021,
temp: 21.4,
rain: 0,
wind: 17.1,
pressure: 1026.1,
},
{
date: '14/06/2021',
day: 14,
month: 'Jun',
year: 2021,
temp: 22.1,
rain: 0,
wind: 13.9,
pressure: 1020.8,
},
{
date: '15/06/2021',
day: 15,
month: 'Jun',
year: 2021,
temp: 20,
rain: 0,
wind: 17.1,
pressure: 1020.7,
},
{
date: '16/06/2021',
day: 16,
month: 'Jun',
year: 2021,
temp: 21.8,
rain: 0,
wind: 17.2,
pressure: 1012.2,
},
{
date: '17/06/2021',
day: 17,
month: 'Jun',
year: 2021,
temp: 19.3,
rain: 11.52,
wind: 14.2,
pressure: 1010.5,
},
{
date: '18/06/2021',
day: 18,
month: 'Jun',
year: 2021,
temp: 15,
rain: 38.29,
wind: 18.2,
pressure: 1013.1,
},
{
date: '19/06/2021',
day: 19,
month: 'Jun',
year: 2021,
temp: 14.1,
rain: 3.2,
wind: 13.5,
pressure: 1014.1,
},
{
date: '20/06/2021',
day: 20,
month: 'Jun',
year: 2021,
temp: 15.1,
rain: 1.8,
wind: 18.8,
pressure: 1008.9,
},
{
date: '21/06/2021',
day: 21,
month: 'Jun',
year: 2021,
temp: 13.4,
rain: 6.88,
wind: 20.5,
pressure: 1012.4,
},
{
date: '22/06/2021',
day: 22,
month: 'Jun',
year: 2021,
temp: 14.1,
rain: 2.2,
wind: 23.2,
pressure: 1020.2,
},
{
date: '23/06/2021',
day: 23,
month: 'Jun',
year: 2021,
temp: 15.6,
rain: 0.2,
wind: 11.2,
pressure: 1023.4,
},
{
date: '24/06/2021',
day: 24,
month: 'Jun',
year: 2021,
temp: 16.5,
rain: 0.2,
wind: 15.4,
pressure: 1021.6,
},
{
date: '25/06/2021',
day: 25,
month: 'Jun',
year: 2021,
temp: 17.8,
rain: 0.46,
wind: 14.9,
pressure: 1016.3,
},
{
date: '26/06/2021',
day: 26,
month: 'Jun',
year: 2021,
temp: 17.9,
rain: 0,
wind: 15.6,
pressure: 1017.4,
},
{
date: '27/06/2021',
day: 27,
month: 'Jun',
year: 2021,
temp: 17.7,
rain: 1,
wind: 20.6,
pressure: 1015.7,
},
{
date: '28/06/2021',
day: 28,
month: 'Jun',
year: 2021,
temp: 17.4,
rain: 27.95,
wind: 15.6,
pressure: 1014.4,
},
{
date: '29/06/2021',
day: 29,
month: 'Jun',
year: 2021,
temp: 16.3,
rain: 2.2,
wind: 19,
pressure: 1015.3,
},
{
date: '30/06/2021',
day: 30,
month: 'Jun',
year: 2021,
temp: 15.6,
rain: 0,
wind: 13.5,
pressure: 1017.3,
},
{
date: '01/07/2021',
day: 1,
month: 'Jul',
year: 2021,
temp: 17.6,
rain: 0,
wind: 10.8,
pressure: 1017.8,
},
{
date: '02/07/2021',
day: 2,
month: 'Jul',
year: 2021,
temp: 19.6,
rain: 0,
wind: 15.3,
pressure: 1016.1,
},
{
date: '03/07/2021',
day: 3,
month: 'Jul',
year: 2021,
temp: 18.6,
rain: 2.41,
wind: 20.9,
pressure: 1012,
},
{
date: '04/07/2021',
day: 4,
month: 'Jul',
year: 2021,
temp: 17.7,
rain: 3.21,
wind: 24.9,
pressure: 1007.7,
},
{
date: '05/07/2021',
day: 5,
month: 'Jul',
year: 2021,
temp: 16.7,
rain: 2.99,
wind: 24.7,
pressure: 1004.9,
},
{
date: '06/07/2021',
day: 6,
month: 'Jul',
year: 2021,
temp: 15.4,
rain: 20.41,
wind: 31,
pressure: 999.6,
},
{
date: '07/07/2021',
day: 7,
month: 'Jul',
year: 2021,
temp: 16.8,
rain: 0.2,
wind: 24.1,
pressure: 1011.3,
},
{
date: '08/07/2021',
day: 8,
month: 'Jul',
year: 2021,
temp: 17.8,
rain: 6.31,
wind: 16.8,
pressure: 1019.4,
},
{
date: '09/07/2021',
day: 9,
month: 'Jul',
year: 2021,
temp: 19.1,
rain: 0.4,
wind: 18.3,
pressure: 1020.6,
},
{
date: '10/07/2021',
day: 10,
month: 'Jul',
year: 2021,
temp: 16.3,
rain: 2.32,
wind: 12.1,
pressure: 1016.7,
},
{
date: '11/07/2021',
day: 11,
month: 'Jul',
year: 2021,
temp: 17,
rain: 0,
wind: 16.6,
pressure: 1015.4,
},
{
date: '12/07/2021',
day: 12,
month: 'Jul',
year: 2021,
temp: 16.8,
rain: 5,
wind: 12.1,
pressure: 1011.2,
},
{
date: '13/07/2021',
day: 13,
month: 'Jul',
year: 2021,
temp: 18.9,
rain: 2.99,
wind: 17.5,
pressure: 1014.5,
},
{
date: '14/07/2021',
day: 14,
month: 'Jul',
year: 2021,
temp: 19.7,
rain: 0,
wind: 20.6,
pressure: 1017.9,
},
{
date: '15/07/2021',
day: 15,
month: 'Jul',
year: 2021,
temp: 18.7,
rain: 0,
wind: 17.4,
pressure: 1022.2,
},
{
date: '16/07/2021',
day: 16,
month: 'Jul',
year: 2021,
temp: 19.5,
rain: 0,
wind: 19.5,
pressure: 1026.6,
},
{
date: '17/07/2021',
day: 17,
month: 'Jul',
year: 2021,
temp: 22.1,
rain: 0,
wind: 12,
pressure: 1028,
},
{
date: '18/07/2021',
day: 18,
month: 'Jul',
year: 2021,
temp: 23.9,
rain: 0,
wind: 10,
pressure: 1024.9,
},
{
date: '19/07/2021',
day: 19,
month: 'Jul',
year: 2021,
temp: 24.3,
rain: 0,
wind: 12,
pressure: 1020.8,
},
{
date: '20/07/2021',
day: 20,
month: 'Jul',
year: 2021,
temp: 23.4,
rain: 1,
wind: 15.3,
pressure: 1019.7,
},
{
date: '21/07/2021',
day: 21,
month: 'Jul',
year: 2021,
temp: 23.9,
rain: 0.41,
wind: 13.2,
pressure: 1022.1,
},
{
date: '22/07/2021',
day: 22,
month: 'Jul',
year: 2021,
temp: 23.1,
rain: 0,
wind: 12.5,
pressure: 1022.6,
},
{
date: '23/07/2021',
day: 23,
month: 'Jul',
year: 2021,
temp: 19.5,
rain: 0,
wind: 23.2,
pressure: 1017.2,
},
{
date: '24/07/2021',
day: 24,
month: 'Jul',
year: 2021,
temp: 18.8,
rain: 1.07,
wind: 22,
pressure: 1008.6,
},
{
date: '25/07/2021',
day: 25,
month: 'Jul',
year: 2021,
temp: 18.4,
rain: 39.82,
wind: 17.1,
pressure: 1007.7,
},
{
date: '26/07/2021',
day: 26,
month: 'Jul',
year: 2021,
temp: 20,
rain: 2,
wind: 15.2,
pressure: 1009.8,
},
{
date: '27/07/2021',
day: 27,
month: 'Jul',
year: 2021,
temp: 19.2,
rain: 5.14,
wind: 20.2,
pressure: 1008.4,
},
{
date: '28/07/2021',
day: 28,
month: 'Jul',
year: 2021,
temp: 17.1,
rain: 18.93,
wind: 25.1,
pressure: 1006.9,
},
{
date: '29/07/2021',
day: 29,
month: 'Jul',
year: 2021,
temp: 17,
rain: 2.99,
wind: 29.1,
pressure: 1009.7,
},
{
date: '30/07/2021',
day: 30,
month: 'Jul',
year: 2021,
temp: 16.5,
rain: 6.44,
wind: 35.6,
pressure: 1003.3,
},
{
date: '31/07/2021',
day: 31,
month: 'Jul',
year: 2021,
temp: 16.7,
rain: 1.44,
wind: 19,
pressure: 1009,
},
{
date: '01/08/2021',
day: 1,
month: 'Aug',
year: 2021,
temp: 17.1,
rain: 3.79,
wind: 13.2,
pressure: 1011.2,
},
{
date: '02/08/2021',
day: 2,
month: 'Aug',
year: 2021,
temp: 16.5,
rain: 0,
wind: 14.2,
pressure: 1014.9,
},
{
date: '03/08/2021',
day: 3,
month: 'Aug',
year: 2021,
temp: 16.9,
rain: 1,
wind: 12.4,
pressure: 1013.2,
},
{
date: '04/08/2021',
day: 4,
month: 'Aug',
year: 2021,
temp: 17.6,
rain: 0,
wind: 13.5,
pressure: 1012.9,
},
{
date: '05/08/2021',
day: 5,
month: 'Aug',
year: 2021,
temp: 17,
rain: 2.01,
wind: 25.8,
pressure: 1005.3,
},
{
date: '06/08/2021',
day: 6,
month: 'Aug',
year: 2021,
temp: 17.6,
rain: 3.69,
wind: 33.1,
pressure: 998.4,
},
{
date: '07/08/2021',
day: 7,
month: 'Aug',
year: 2021,
temp: 16.2,
rain: 33.91,
wind: 24.1,
pressure: 997.9,
},
{
date: '08/08/2021',
day: 8,
month: 'Aug',
year: 2021,
temp: 16.1,
rain: 11,
wind: 25.8,
pressure: 1005.3,
},
{
date: '09/08/2021',
day: 9,
month: 'Aug',
year: 2021,
temp: 16.2,
rain: 16.19,
wind: 23.6,
pressure: 1011.5,
},
{
date: '10/08/2021',
day: 10,
month: 'Aug',
year: 2021,
temp: 17.9,
rain: 1,
wind: 14.8,
pressure: 1015.3,
},
{
date: '11/08/2021',
day: 11,
month: 'Aug',
year: 2021,
temp: 18.4,
rain: 0,
wind: 16.5,
pressure: 1018,
},
{
date: '12/08/2021',
day: 12,
month: 'Aug',
year: 2021,
temp: 18.9,
rain: 0.4,
wind: 20.5,
pressure: 1018.2,
},
{
date: '13/08/2021',
day: 13,
month: 'Aug',
year: 2021,
temp: 18,
rain: 0,
wind: 21.6,
pressure: 1020.8,
},
{
date: '14/08/2021',
day: 14,
month: 'Aug',
year: 2021,
temp: 19.4,
rain: 0,
wind: 19.9,
pressure: 1019.9,
},
{
date: '15/08/2021',
day: 15,
month: 'Aug',
year: 2021,
temp: 18.7,
rain: 0.31,
wind: 26.6,
pressure: 1013.6,
},
{
date: '16/08/2021',
day: 16,
month: 'Aug',
year: 2021,
temp: 16.3,
rain: 1.2,
wind: 22.6,
pressure: 1016.8,
},
{
date: '17/08/2021',
day: 17,
month: 'Aug',
year: 2021,
temp: 15.6,
rain: 0.32,
wind: 21.6,
pressure: 1019.8,
},
{
date: '18/08/2021',
day: 18,
month: 'Aug',
year: 2021,
temp: 18.5,
rain: 0.78,
wind: 24.8,
pressure: 1016.9,
},
{
date: '19/08/2021',
day: 19,
month: 'Aug',
year: 2021,
temp: 17.6,
rain: 0,
wind: 17,
pressure: 1014.3,
},
{
date: '20/08/2021',
day: 20,
month: 'Aug',
year: 2021,
temp: 18,
rain: 1.66,
wind: 12.9,
pressure: 1016,
},
{
date: '21/08/2021',
day: 21,
month: 'Aug',
year: 2021,
temp: 18.2,
rain: 0.2,
wind: 12.8,
pressure: 1015.5,
},
{
date: '22/08/2021',
day: 22,
month: 'Aug',
year: 2021,
temp: 18.1,
rain: 2.57,
wind: 18.2,
pressure: 1018.6,
},
{
date: '23/08/2021',
day: 23,
month: 'Aug',
year: 2021,
temp: 17.8,
rain: 0.26,
wind: 16.1,
pressure: 1027.5,
},
{
date: '24/08/2021',
day: 24,
month: 'Aug',
year: 2021,
temp: 17.5,
rain: 0,
wind: 20.1,
pressure: 1029.5,
},
{
date: '25/08/2021',
day: 25,
month: 'Aug',
year: 2021,
temp: 17.5,
rain: 0,
wind: 18.2,
pressure: 1025.8,
},
{
date: '26/08/2021',
day: 26,
month: 'Aug',
year: 2021,
temp: 17.1,
rain: 0,
wind: 20.2,
pressure: 1022.1,
},
{
date: '27/08/2021',
day: 27,
month: 'Aug',
year: 2021,
temp: 16,
rain: 0,
wind: 17,
pressure: 1023.4,
},
{
date: '28/08/2021',
day: 28,
month: 'Aug',
year: 2021,
temp: 16.2,
rain: 0,
wind: 17.5,
pressure: 1025.9,
},
{
date: '29/08/2021',
day: 29,
month: 'Aug',
year: 2021,
temp: 15.5,
rain: 0,
wind: 17,
pressure: 1025.4,
},
{
date: '30/08/2021',
day: 30,
month: 'Aug',
year: 2021,
temp: 15.8,
rain: 0,
wind: 19.3,
pressure: 1026.1,
},
{
date: '31/08/2021',
day: 31,
month: 'Aug',
year: 2021,
temp: 16,
rain: 0.6,
wind: 18.6,
pressure: 1029.3,
},
{
date: '01/09/2021',
day: 1,
month: 'Sep',
year: 2021,
temp: 16.3,
rain: 0,
wind: 17,
pressure: 1030.8,
},
{
date: '02/09/2021',
day: 2,
month: 'Sep',
year: 2021,
temp: 17,
rain: 0,
wind: 21.2,
pressure: 1027.9,
},
{
date: '03/09/2021',
day: 3,
month: 'Sep',
year: 2021,
temp: 17.7,
rain: 0,
wind: 14.5,
pressure: 1021.9,
},
{
date: '04/09/2021',
day: 4,
month: 'Sep',
year: 2021,
temp: 16.8,
rain: 0,
wind: 14.9,
pressure: 1019,
},
{
date: '05/09/2021',
day: 5,
month: 'Sep',
year: 2021,
temp: 18.9,
rain: 0,
wind: 11.2,
pressure: 1020.4,
},
{
date: '06/09/2021',
day: 6,
month: 'Sep',
year: 2021,
temp: 20.2,
rain: 0,
wind: 6.2,
pressure: 1023,
},
{
date: '07/09/2021',
day: 7,
month: 'Sep',
year: 2021,
temp: 21.8,
rain: 0,
wind: 14.4,
pressure: 1020.9,
},
{
date: '08/09/2021',
day: 8,
month: 'Sep',
year: 2021,
temp: 21.6,
rain: 0,
wind: 18.8,
pressure: 1013,
},
{
date: '09/09/2021',
day: 9,
month: 'Sep',
year: 2021,
temp: 19,
rain: 4.39,
wind: 21,
pressure: 1008.6,
},
{
date: '10/09/2021',
day: 10,
month: 'Sep',
year: 2021,
temp: 18.9,
rain: 4.2,
wind: 19,
pressure: 1010.5,
},
{
date: '11/09/2021',
day: 11,
month: 'Sep',
year: 2021,
temp: 19.1,
rain: 0.4,
wind: 17.8,
pressure: 1016.1,
},
{
date: '12/09/2021',
day: 12,
month: 'Sep',
year: 2021,
temp: 16.9,
rain: 0,
wind: 9.1,
pressure: 1018.7,
},
{
date: '13/09/2021',
day: 13,
month: 'Sep',
year: 2021,
temp: 17.2,
rain: 0,
wind: 17.5,
pressure: 1017.8,
},
{
date: '14/09/2021',
day: 14,
month: 'Sep',
year: 2021,
temp: 17.4,
rain: 19.98,
wind: 11.3,
pressure: 1011.9,
},
{
date: '15/09/2021',
day: 15,
month: 'Sep',
year: 2021,
temp: 17.1,
rain: 0.4,
wind: 13.7,
pressure: 1014.1,
},
{
date: '16/09/2021',
day: 16,
month: 'Sep',
year: 2021,
temp: 17,
rain: 0.2,
wind: 11,
pressure: 1017.5,
},
{
date: '17/09/2021',
day: 17,
month: 'Sep',
year: 2021,
temp: 17,
rain: 0.2,
wind: 0.1,
pressure: 1014.8,
},
{
date: '18/09/2021',
day: 18,
month: 'Sep',
year: 2021,
temp: 18.3,
rain: 0.2,
wind: 0.1,
pressure: 1014,
},
{
date: '19/09/2021',
day: 19,
month: 'Sep',
year: 2021,
temp: 17.4,
rain: 6.43,
wind: 0.1,
pressure: 1014.4,
},
{
date: '20/09/2021',
day: 20,
month: 'Sep',
year: 2021,
temp: 16.1,
rain: 0,
wind: 0.1,
pressure: 1022.5,
},
{
date: '21/09/2021',
day: 21,
month: 'Sep',
year: 2021,
temp: 15.7,
rain: 0,
wind: 0.1,
pressure: 1030.1,
},
{
date: '22/09/2021',
day: 22,
month: 'Sep',
year: 2021,
temp: 16.1,
rain: 0.2,
wind: 0.1,
pressure: 1027.8,
},
{
date: '23/09/2021',
day: 23,
month: 'Sep',
year: 2021,
temp: 16.2,
rain: 0,
wind: 0.1,
pressure: 1020.6,
},
{
date: '24/09/2021',
day: 24,
month: 'Sep',
year: 2021,
temp: 17.4,
rain: 0.2,
wind: 0.1,
pressure: 1016.3,
},
{
date: '25/09/2021',
day: 25,
month: 'Sep',
year: 2021,
temp: 16.9,
rain: 0.4,
wind: 0.1,
pressure: 1014.3,
},
{
date: '26/09/2021',
day: 26,
month: 'Sep',
year: 2021,
temp: 17.2,
rain: 0,
wind: 0.2,
pressure: 1011.8,
},
{
date: '27/09/2021',
day: 27,
month: 'Sep',
year: 2021,
temp: 16.3,
rain: 4.91,
wind: 0.2,
pressure: 1010.6,
},
{
date: '28/09/2021',
day: 28,
month: 'Sep',
year: 2021,
temp: 14.1,
rain: 5.33,
wind: 0.2,
pressure: 1016,
},
{
date: '29/09/2021',
day: 29,
month: 'Sep',
year: 2021,
temp: 12,
rain: 13.91,
wind: 14.2,
pressure: 1019.1,
},
{
date: '30/09/2021',
day: 30,
month: 'Sep',
year: 2021,
temp: 12.7,
rain: 0.83,
wind: 0.2,
pressure: 1021,
},
{
date: '01/10/2021',
day: 1,
month: 'Oct',
year: 2021,
temp: 14.9,
rain: 16.05,
wind: 0.2,
pressure: 1010.3,
},
{
date: '02/10/2021',
day: 2,
month: 'Oct',
year: 2021,
temp: 12.3,
rain: 14.04,
wind: 0.2,
pressure: 999.1,
},
{
date: '03/10/2021',
day: 3,
month: 'Oct',
year: 2021,
temp: 13.1,
rain: 2.8,
wind: 0.2,
pressure: 997.5,
},
{
date: '04/10/2021',
day: 4,
month: 'Oct',
year: 2021,
temp: 13.2,
rain: 3.58,
wind: 0.2,
pressure: 1008.3,
},
{
date: '05/10/2021',
day: 5,
month: 'Oct',
year: 2021,
temp: 12.9,
rain: 37.54,
wind: 0.2,
pressure: 1002.4,
},
{
date: '06/10/2021',
day: 6,
month: 'Oct',
year: 2021,
temp: 12.7,
rain: 0.2,
wind: 0.2,
pressure: 1018.2,
},
{
date: '07/10/2021',
day: 7,
month: 'Oct',
year: 2021,
temp: 15.4,
rain: 0.4,
wind: 0.1,
pressure: 1026,
},
{
date: '08/10/2021',
day: 8,
month: 'Oct',
year: 2021,
temp: 16,
rain: 0.6,
wind: 0.1,
pressure: 1029.5,
},
{
date: '09/10/2021',
day: 9,
month: 'Oct',
year: 2021,
temp: 13.6,
rain: 0.2,
wind: 3.9,
pressure: 1028.6,
},
{
date: '10/10/2021',
day: 10,
month: 'Oct',
year: 2021,
temp: 13.6,
rain: 0.2,
wind: 0.1,
pressure: 1029.4,
},
{
date: '11/10/2021',
day: 11,
month: 'Oct',
year: 2021,
temp: 11.7,
rain: 0.2,
wind: 0.1,
pressure: 1030.6,
},
{
date: '12/10/2021',
day: 12,
month: 'Oct',
year: 2021,
temp: 11.6,
rain: 3,
wind: 0.1,
pressure: 1026,
},
{
date: '13/10/2021',
day: 13,
month: 'Oct',
year: 2021,
temp: 12,
rain: 0.2,
wind: 10.3,
pressure: 1027.8,
},
{
date: '14/10/2021',
day: 14,
month: 'Oct',
year: 2021,
temp: 13.7,
rain: 0.2,
wind: 0.1,
pressure: 1024,
},
{
date: '15/10/2021',
day: 15,
month: 'Oct',
year: 2021,
temp: 13,
rain: 0,
wind: 0.1,
pressure: 1020.3,
},
{
date: '16/10/2021',
day: 16,
month: 'Oct',
year: 2021,
temp: 11.9,
rain: 0.8,
wind: 0.1,
pressure: 1020.6,
},
{
date: '17/10/2021',
day: 17,
month: 'Oct',
year: 2021,
temp: 13.2,
rain: 0,
wind: 0.1,
pressure: 1017.5,
},
{
date: '18/10/2021',
day: 18,
month: 'Oct',
year: 2021,
temp: 13.7,
rain: 1,
wind: 0.1,
pressure: 1016.4,
},
{
date: '19/10/2021',
day: 19,
month: 'Oct',
year: 2021,
temp: 18.1,
rain: 0.6,
wind: 0.2,
pressure: 1012.1,
},
{
date: '20/10/2021',
day: 20,
month: 'Oct',
year: 2021,
temp: 15.7,
rain: 15.44,
wind: 21.9,
pressure: 999.1,
},
{
date: '21/10/2021',
day: 21,
month: 'Oct',
year: 2021,
temp: 9.4,
rain: 20,
wind: 0.2,
pressure: 1007,
},
{
date: '22/10/2021',
day: 22,
month: 'Oct',
year: 2021,
temp: 9.2,
rain: 0,
wind: 0.2,
pressure: 1020.9,
},
{
date: '23/10/2021',
day: 23,
month: 'Oct',
year: 2021,
temp: 11.6,
rain: 0,
wind: 0.1,
pressure: 1025,
},
{
date: '24/10/2021',
day: 24,
month: 'Oct',
year: 2021,
temp: 13.2,
rain: 0.29,
wind: 0.1,
pressure: 1018.3,
},
{
date: '25/10/2021',
day: 25,
month: 'Oct',
year: 2021,
temp: 12.7,
rain: 2.4,
wind: 0.1,
pressure: 1015.2,
},
{
date: '26/10/2021',
day: 26,
month: 'Oct',
year: 2021,
temp: 13.1,
rain: 1.4,
wind: 0.1,
pressure: 1018.2,
},
{
date: '27/10/2021',
day: 27,
month: 'Oct',
year: 2021,
temp: 15.5,
rain: 0,
wind: 0.2,
pressure: 1018.3,
},
{
date: '28/10/2021',
day: 28,
month: 'Oct',
year: 2021,
temp: 13.9,
rain: 0,
wind: 0.2,
pressure: 1009.2,
},
{
date: '29/10/2021',
day: 29,
month: 'Oct',
year: 2021,
temp: 13.6,
rain: 3.41,
wind: 0.2,
pressure: 998.7,
},
{
date: '30/10/2021',
day: 30,
month: 'Oct',
year: 2021,
temp: 11.8,
rain: 3.55,
wind: 0.1,
pressure: 997.1,
},
{
date: '31/10/2021',
day: 31,
month: 'Oct',
year: 2021,
temp: 11.8,
rain: 8.44,
wind: 0.3,
pressure: 993.5,
},
{
date: '01/11/2021',
day: 1,
month: 'Nov',
year: 2021,
temp: 10.2,
rain: 1.16,
wind: 18.5,
pressure: 994.6,
},
{
date: '02/11/2021',
day: 2,
month: 'Nov',
year: 2021,
temp: 6.7,
rain: 0.2,
wind: 0.1,
pressure: 999,
},
{
date: '03/11/2021',
day: 3,
month: 'Nov',
year: 2021,
temp: 6.6,
rain: 0.6,
wind: 0.1,
pressure: 1004.4,
},
{
date: '04/11/2021',
day: 4,
month: 'Nov',
year: 2021,
temp: 8,
rain: 1,
wind: 0.1,
pressure: 1014.7,
},
{
date: '05/11/2021',
day: 5,
month: 'Nov',
year: 2021,
temp: 6.2,
rain: 0,
wind: 0.1,
pressure: 1026.4,
},
{
date: '06/11/2021',
day: 6,
month: 'Nov',
year: 2021,
temp: 11.2,
rain: 0,
wind: 0.2,
pressure: 1024.9,
},
{
date: '07/11/2021',
day: 7,
month: 'Nov',
year: 2021,
temp: 9.9,
rain: 0.2,
wind: 11.9,
pressure: 1021.2,
},
{
date: '08/11/2021',
day: 8,
month: 'Nov',
year: 2021,
temp: 8.4,
rain: 0,
wind: 0.1,
pressure: 1023.7,
},
{
date: '09/11/2021',
day: 9,
month: 'Nov',
year: 2021,
temp: 12.7,
rain: 0.2,
wind: 0.1,
pressure: 1023.4,
},
{
date: '10/11/2021',
day: 10,
month: 'Nov',
year: 2021,
temp: 12,
rain: 1.16,
wind: 0.1,
pressure: 1023,
},
{
date: '11/11/2021',
day: 11,
month: 'Nov',
year: 2021,
temp: 12.2,
rain: 0.44,
wind: 0.1,
pressure: 1022.6,
},
{
date: '12/11/2021',
day: 12,
month: 'Nov',
year: 2021,
temp: 12.2,
rain: 0.61,
wind: 0.2,
pressure: 1011.8,
},
{
date: '13/11/2021',
day: 13,
month: 'Nov',
year: 2021,
temp: 12.2,
rain: 0.63,
wind: 0.1,
pressure: 1015.7,
},
{
date: '14/11/2021',
day: 14,
month: 'Nov',
year: 2021,
temp: 12,
rain: 0.95,
wind: 0.1,
pressure: 1023.8,
},
{
date: '15/11/2021',
day: 15,
month: 'Nov',
year: 2021,
temp: 11.4,
rain: 0.2,
wind: 7.2,
pressure: 1026.9,
},
{
date: '16/11/2021',
day: 16,
month: 'Nov',
year: 2021,
temp: 9.7,
rain: 0.2,
wind: 0.1,
pressure: 1022.9,
},
{
date: '17/11/2021',
day: 17,
month: 'Nov',
year: 2021,
temp: 8.6,
rain: 0.4,
wind: 0.1,
pressure: 1024.2,
},
{
date: '18/11/2021',
day: 18,
month: 'Nov',
year: 2021,
temp: 10.1,
rain: 0,
wind: 0.1,
pressure: 1029,
},
{
date: '19/11/2021',
day: 19,
month: 'Nov',
year: 2021,
temp: 11.6,
rain: 0,
wind: 0.1,
pressure: 1030.7,
},
{
date: '20/11/2021',
day: 20,
month: 'Nov',
year: 2021,
temp: 10.4,
rain: 0,
wind: 0.1,
pressure: 1024.1,
},
{
date: '21/11/2021',
day: 21,
month: 'Nov',
year: 2021,
temp: 7.3,
rain: 0,
wind: 0.2,
pressure: 1019.5,
},
{
date: '22/11/2021',
day: 22,
month: 'Nov',
year: 2021,
temp: 6.6,
rain: 0,
wind: 0.1,
pressure: 1029.8,
},
{
date: '23/11/2021',
day: 23,
month: 'Nov',
year: 2021,
temp: 5.6,
rain: 0.6,
wind: 0.1,
pressure: 1032.3,
},
{
date: '24/11/2021',
day: 24,
month: 'Nov',
year: 2021,
temp: 5.8,
rain: 0,
wind: 0.1,
pressure: 1022.1,
},
{
date: '25/11/2021',
day: 25,
month: 'Nov',
year: 2021,
temp: 5.6,
rain: 0.2,
wind: 0.1,
pressure: 1016.3,
},
{
date: '26/11/2021',
day: 26,
month: 'Nov',
year: 2021,
temp: 5.5,
rain: 0.41,
wind: 0.2,
pressure: 996.2,
},
{
date: '27/11/2021',
day: 27,
month: 'Nov',
year: 2021,
temp: 4.1,
rain: 5.41,
wind: 0.2,
pressure: 993.6,
},
{
date: '28/11/2021',
day: 28,
month: 'Nov',
year: 2021,
temp: 2.3,
rain: 0,
wind: 0.2,
pressure: 1006.7,
},
{
date: '29/11/2021',
day: 29,
month: 'Nov',
year: 2021,
temp: 1.2,
rain: 0.2,
wind: 0.1,
pressure: 1014.5,
},
{
date: '30/11/2021',
day: 30,
month: 'Nov',
year: 2021,
temp: 9.8,
rain: 0,
wind: 0.2,
pressure: 1010.3,
},
{
date: '01/12/2021',
day: 1,
month: 'Dec',
year: 2021,
temp: 8.5,
rain: 2.63,
wind: 0.2,
pressure: 999,
},
{
date: '02/12/2021',
day: 2,
month: 'Dec',
year: 2021,
temp: 3.1,
rain: 0.93,
wind: 0.2,
pressure: 1011.7,
},
{
date: '03/12/2021',
day: 3,
month: 'Dec',
year: 2021,
temp: 6.2,
rain: 0.4,
wind: 13.8,
pressure: 1004.9,
},
{
date: '04/12/2021',
day: 4,
month: 'Dec',
year: 2021,
temp: 6.1,
rain: 2.4,
wind: 0.2,
pressure: 998,
},
{
date: '05/12/2021',
day: 5,
month: 'Dec',
year: 2021,
temp: 5.8,
rain: 4.8,
wind: 0.2,
pressure: 1006,
},
{
date: '06/12/2021',
day: 6,
month: 'Dec',
year: 2021,
temp: 4.8,
rain: 5.2,
wind: 0.2,
pressure: 1010,
},
{
date: '07/12/2021',
day: 7,
month: 'Dec',
year: 2021,
temp: 4.9,
rain: 6.02,
wind: 0.2,
pressure: 997.7,
},
{
date: '08/12/2021',
day: 8,
month: 'Dec',
year: 2021,
temp: 6.8,
rain: 1.2,
wind: 25.5,
pressure: 991.2,
},
{
date: '09/12/2021',
day: 9,
month: 'Dec',
year: 2021,
temp: 6.4,
rain: 0.2,
wind: 0.1,
pressure: 999.2,
},
{
date: '10/12/2021',
day: 10,
month: 'Dec',
year: 2021,
temp: 6.4,
rain: 13.48,
wind: 0.2,
pressure: 999.1,
},
{
date: '11/12/2021',
day: 11,
month: 'Dec',
year: 2021,
temp: 5.8,
rain: 2,
wind: 0.1,
pressure: 1015.6,
},
{
date: '12/12/2021',
day: 12,
month: 'Dec',
year: 2021,
temp: 12,
rain: 1.2,
wind: 0.1,
pressure: 1019.7,
},
{
date: '13/12/2021',
day: 13,
month: 'Dec',
year: 2021,
temp: 10.9,
rain: 0.2,
wind: 0.1,
pressure: 1023.4,
},
{
date: '14/12/2021',
day: 14,
month: 'Dec',
year: 2021,
temp: 11.3,
rain: 0,
wind: 0.1,
pressure: 1026.7,
},
{
date: '15/12/2021',
day: 15,
month: 'Dec',
year: 2021,
temp: 12.2,
rain: 0,
wind: 0.1,
pressure: 1030.7,
},
{
date: '16/12/2021',
day: 16,
month: 'Dec',
year: 2021,
temp: 11.5,
rain: 0,
wind: 3.6,
pressure: 1038,
},
{
date: '17/12/2021',
day: 17,
month: 'Dec',
year: 2021,
temp: 9.3,
rain: 0,
wind: 0.1,
pressure: 1040.4,
},
{
date: '18/12/2021',
day: 18,
month: 'Dec',
year: 2021,
temp: 8.4,
rain: 0,
wind: 0.1,
pressure: 1039.1,
},
{
date: '19/12/2021',
day: 19,
month: 'Dec',
year: 2021,
temp: 5.4,
rain: 0,
wind: 9.1,
pressure: 1034.6,
},
{
date: '20/12/2021',
day: 20,
month: 'Dec',
year: 2021,
temp: 6.9,
rain: 0,
wind: 0.1,
pressure: 1028.8,
},
{
date: '21/12/2021',
day: 21,
month: 'Dec',
year: 2021,
temp: 5.2,
rain: 0,
wind: 0.1,
pressure: 1025.3,
},
{
date: '22/12/2021',
day: 22,
month: 'Dec',
year: 2021,
temp: 3.2,
rain: 0,
wind: 8.9,
pressure: 1019.2,
},
{
date: '23/12/2021',
day: 23,
month: 'Dec',
year: 2021,
temp: 8.4,
rain: 0,
wind: 0.1,
pressure: 1008.2,
},
{
date: '24/12/2021',
day: 24,
month: 'Dec',
year: 2021,
temp: 8.8,
rain: 14.4,
wind: 0.1,
pressure: 1004.3,
},
{
date: '25/12/2021',
day: 25,
month: 'Dec',
year: 2021,
temp: 7.4,
rain: 3.09,
wind: 21.4,
pressure: 1003.5,
},
{
date: '26/12/2021',
day: 26,
month: 'Dec',
year: 2021,
temp: 7.4,
rain: 13.08,
wind: 0.1,
pressure: 1000.6,
},
{
date: '27/12/2021',
day: 27,
month: 'Dec',
year: 2021,
temp: 9.6,
rain: 2.41,
wind: 0.1,
pressure: 992.3,
},
{
date: '28/12/2021',
day: 28,
month: 'Dec',
year: 2021,
temp: 10.5,
rain: 1.03,
wind: 0.2,
pressure: 992.6,
},
{
date: '29/12/2021',
day: 29,
month: 'Dec',
year: 2021,
temp: 11.4,
rain: 1.42,
wind: 0.2,
pressure: 1004.4,
},
{
date: '30/12/2021',
day: 30,
month: 'Dec',
year: 2021,
temp: 14.3,
rain: 0,
wind: 0.2,
pressure: 1012.7,
},
{
date: '31/12/2021',
day: 31,
month: 'Dec',
year: 2021,
temp: 13.9,
rain: 1.22,
wind: 0.2,
pressure: 1016.8,
},
];
}
import '@angular/compiler';
import { provideHttpClient } from '@angular/common/http';
import { enableProdMode } from '@angular/core';
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
if (new URLSearchParams(window.location.search).get('prod') !== 'false') {
enableProdMode();
}
const app = bootstrapApplication(AppComponent, {
providers: [provideHttpClient()],
});
Range Chart API Copy Link
Range Charts can be created programmatically using:
Used to programmatically create charts from a range. |
Properties available on the CreateRangeChartParams interface.
Defines the range of cells to be charted. A range is normally defined with start and end rows and a list of columns. If the start and end rows are omitted, the range covers all rows (i.e. entire column contents are selected). The columns can either be defined using a start and end column (the range will cover the start and end columns and all columns in between), or columns can be supplied specifically in cases where the required columns are not adjacent to each other. See Add Cell Range for more information. |
The type of chart to create. |
By default, when a chart is displayed using the grid, the grid will highlight the range the chart is charting when the chart gets focus. To suppress this behaviour, set suppressChartRanges=true. |
Switch Category / Series. |
The aggregation function that should be applied to all series data. The built-in aggregation functions are 'sum', 'min', 'max', 'count', 'avg', 'first', 'last'. Alternatively, custom aggregation functions can be provided if they conform to the IAggFunc interface shown here. |
The series chart type configurations used in combination charts. |
Group type for chart types that support grouped series. |
Prefer using the auto group column as the category when grouping is active. |
The default theme to use for the created chart. In addition to the default options you listed, you can also provide your own custom chart themes. Options: 'ag-default', 'ag-default-dark', 'ag-material', 'ag-material-dark', 'ag-pastel', 'ag-pastel-dark', 'ag-vivid', 'ag-vivid-dark', 'ag-solar', 'ag-solar-dark' |
If the chart is to be displayed outside of the grid then a chart container should be provided. If the chart is to be displayed using the grid's popup window mechanism then leave as undefined. |
Allows specific chart options in the current theme to be overridden. |
When enabled the chart will be unlinked from the grid after creation, any updates to the data will not be reflected in the chart. |
The API returns a ChartRef object when a chartContainer is provided. This is the same structure that is provided to the createChartContainer(chartRef) callback. The ChartRef provides the application with the destroyChart() method that is required when the application wants to dispose the chart.